<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * HELPER COMMENT START
 * 
 * This class contains all of the available CLI commands for your plugin. 
 * Down below, we added a command that allows you to display the current 
 * details about your plugin within the console. 
 * 
 * To test the command, please head over to your WordPress instance and type in the following
 * 
 * wp smart_ai_content_creator details
 * 
 * HELPER COMMENT END
 */

WP_CLI::add_command( 'smart_ai_content_creator', 'Smart_Ai_Content_Creator_CLI' );

/**
 * Class Smart_Ai_Content_Creator_CLI
 *
 * This class contains all WP CLI related features.
 *
 * @package		SMAICC
 * @subpackage	Classes/Smart_Ai_Content_Creator_CLI
 * @author		Web Dimensions, Inc.
 * @since		0.1.1
 */
class Smart_Ai_Content_Creator_CLI extends WP_CLI_Command {

	/**
	 * Our Smart_Ai_Content_Creator_CLI constructor 
	 * to run the plugin CLI logic.
	 *
	 * @since 0.1.1
	 */
	function __construct(){
	}


	/**
	 * Get plugin details
	 *
	 * ## OPTIONS
	 *
	 * None. Returns basic info regarding the plugin instance.
	 *
	 * ## EXAMPLES
	 *
	 * To access this feature, type the following into your console:
	 * wp smart_ai_content_creator details
	 *
	 * @param		array $args
	 * @param		array $assoc_args
	 * @return		void
	 */
	public function details( $args, $assoc_args ) {
		WP_CLI::line( sprintf( __( 'Plugin name: %s', 'Smart AI Content Creator' ), SMAICC_NAME ) );
		WP_CLI::line( sprintf( __( 'Plugin version: %s', 'Smart AI Content Creator' ), SMAICC_VERSION ) );
    }
    
}
