<?php
/**
 * Generated by the WordPress Meta Box Generator
 * https://jeremyhixon.com/tool/wordpress-meta-box-generator/
 * 
 * Retrieving the values:
 * prompt = get_post_meta( get_the_ID(), 'smaicc_prompt', true )
 * Result = get_post_meta( get_the_ID(), 'smaicc_result', true )
 */

class Smaicc_Metabox_ {
	private $config = '{"title":"Smart AI Content Creator Writing Assistant","prefix":"smaicc_","domain":"smaicc_","class_name":"Smaicc_Metabox_","post-type":["post","page"],"context":"normal","priority":"default","fields":[{"type":"text","label":"prompt","id":"smaicc_prompt"}]}';

	public function __construct() {
		$this->config = json_decode( $this->config, true );
		add_action( 'add_meta_boxes', [ $this, 'add_meta_boxes' ] );
		add_action( 'save_post', [ $this, 'save_post' ] );
	}

  function bc_get_wp_editor( $content = '', $editor_id = 0, $options = array() ) {
    ob_start();
    wp_editor( $content, $editor_id, $options );

    $temp = ob_get_clean();
    $temp .= \_WP_Editors::enqueue_scripts();
    //$temp .= print_footer_scripts();
    $temp .= \_WP_Editors::editor_js();

    return $temp;
  }

	public function add_meta_boxes() {
		foreach ( $this->config['post-type'] as $screen ) {
			add_meta_box(
				sanitize_title( $this->config['title'] ),
				$this->config['title'],
				[ $this, 'add_meta_box_callback' ],
				$screen,
				$this->config['context'],
				$this->config['priority']
			);
		}
	}

	public function save_post( $post_id ) {
		foreach ( $this->config['fields'] as $field ) {
			switch ( $field['type'] ) {
				default:
					if ( isset( $_POST[ $field['id'] ] ) ) {
						$sanitized = sanitize_text_field( $_POST[ $field['id'] ] );
						update_post_meta( $post_id, $field['id'], $sanitized );
					}
			}
		}
	}

	public function add_meta_box_callback() {
		$this->fields_table();
	}

	private function fields_table() {
		?><table class="form-table" role="presentation">
			<tbody>

        <tr colspan="3">

          <td colspan="3" align="center">

            <img style="width:64%;max-width:460px" src="<?php echo SMAICC_PLUGIN_URL;?>/images/smaicc-banner.png"/>

          </td>

        </tr>

        <tr colspan="3">

          <td colspan="3">

            <div class="input-group" style="width:100%">

              <div class="input-group-addon" style="width:30%;text-align:right">

                <label for="whattowrite">Please write a:</label>

              </div>

              <div class="input-group-addon" style="min-width:200px;width:70%">

                <select class="form-control" id="whattowrite" name="whattowrite" placeholder="What to write" style="min-width:200px">
                  <option value="9">Blog Post</option>
                  <option value="1">Article (short)</option>
                  <option value="2">Article (long)</option>
                  <option value="3">Story</option>
                  <option value="4">Ad Copy</option>
                  <option value="5">Sales Page</option>
                  <option value="6">JV Page</option>
                  <option value="7">Bonus Page</option>
                  <option value="8">Product Review</option>
                  <option value="0">Free text</option>
                </select>

              </div>

            </div>
            <div class="input-group" style="width:100%">

              <div class="input-group-addon" style="width:30%;text-align:right">

                <label for="description">About:</label>

              </div>

              <div class="input-group-addon" style="min-width:200px;width:70%">

                <textarea class="form-control" id="description" name="description" style="min-width:200px;text-align:left"></textarea>

              </div>

            </div>
            <div class="input-group" style="width:100%">

              <div class="input-group-addon" style="width:100%;text-align:center">

                <div class="btn-group" style="width:100%">

                  <input class="form-control btn" style="width:30%;border:solid 1px #444444;text-align:left" 
                  title="If you want the content to link to a URL, put the url in here."
                  id="urlinprompt" name="urlinprompt" placeholder="https://"/>

                  <input class="form-control btn" style="width:30%;border:solid 1px #444444;text-align:left" 
                  title="If you are adding a URL for a link, give the AI some very basic idea what you want the link to say."
                  id="linkphrase" name="linkphrase" placeholder="link idea ex. great plugin"/>

                  <button id="btnclear1" class="btn btn-danger" style="width:20%" type="button"><span>Clear</span></button>

                  <button class="btn btn-primary btnsmaiccaiexecute" style="width:20%" id="btnsmaiccaiexecute"><span>Execute</span></button>            
                  
                </div>

              </div>
            </div>

          </td>
        </tr>

        <tr colspan="3">
          <td colspan="3">
        <?php 
        //$outputter = $this->bc_get_wp_editor( '', 'output' );
        //echo $outputter;
        ?>
          </td>
        </tr>


      </tbody>

  </table>

<div class="notifydiv">
<h2><span id="mymessage"></span></h2>
<p style="font-size:16px"><span id="myexplanation"></span></p>
</div>
<style type="text/css">

.notifydiv
{
  display:none;
  width:460px;
  height:300px;
  border: solid 2px #444444;
  background-color:#1082c5;
  color:#ffffff;
  padding:16px;
  position:fixed;
  top:50%;
  left:50%;
  margin-top:-150px; /* negative half the size of height */
  margin-left:-230px; /* negative half the size of width */
  z-index: 1400;
  border-radius:14px;
  
}

.error
{
color:red;
}

.success
{
color:green;
}

.token-label
{
font-size:16px;
}
.loader {
  position: absolute;
  top:50%;
  left:50%;
  border: 4px solid #f3f3f3;
  border-radius: 50%;
  border-top: 4px solid #3498db;
  width: 32px;
  height: 32px;
  -webkit-animation: spin 2s linear infinite; /* Safari */
  animation: spin 1s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
.wp-media-buttons
{
/*display:none;*/
}
#maindiv .input-group, #maindiv .input-group-addon
{
border: none;
background:unset;
}
.media-frame-content
{
/*overflow:hidden;*/
}
.subimage
{
max-width:104px;
margin:6px;
cursor:pointer;
}
#btnimgcontroladd
{
position:absolute;
top:24px;
margin-left:24px;
}
#editbtns
{
position: absolute;
top: 24px;
font-size: 24px;
margin-left: 24px;
background: rgb(255, 255, 255);
padding: 6px;
opacity: 0.5;
}
#notification{
  display: none;
  position: absolute;
  bottom: 135px;
  background: rgb(255, 255, 255);
  margin-left: 138px;
  padding: 6px;
  font-size: 16px;
  opacity: 0.8;
  border: solid 1px red;
  color: #ab3e3e;
  z-index:9999;
}
</style>
<script type="text/javascript">
g_is_in_editor = true;

jQuery(function(){

  jQuery("#btnsmaiccaiexecute").on('click', function(){

    jQuery(document.body).find('form#execForm').remove();
    jQuery(document.body).find('form#checktextupdateform').remove();

    var whattowrite = jQuery('#whattowrite').val();
    var description = jQuery('#description').val();

    description = description.replace('"',/\\"/g);

    var f = '<form id="execForm" method="POST"><input type="hidden" name="whattowrite" id="whattowrite" value="' + 
            
            jQuery('#whattowrite').val() +

            '"/><input type="hidden" name="description" id="description" value="' + 
            
            jQuery('#description').val() + 
            
            '"/><input type="hidden" name="writingstyle" id="writingstyle" value=""/>'+
              
            '<input type="hidden" name="urlinprompt" id="urlinprompt" value="' + 
            
            jQuery('#urlinprompt').val() +

            '"/>'+

            '<input type="hidden" name="linkphrase" id="linkphrase" value="' + 
            
            jQuery('#linkphrase').val() +

            '"/>'+
            
            '<input type="hidden" name="action" value="the_ajax_smaicExecute"/></form>';

    jQuery(document.body).append(f);

    var c = '<form method="POST" id="checktextupdateform"><input type="hidden" name="action" value="the_ajax_checkSmaiccTextRequest"/><input type="hidden" id="texttaskid" name="texttaskid" value=""/></form>';

    jQuery(document.body).append(c);

    jQuery.blockUI();

    executeSmaicc();

    return false;

  });

  
  jQuery("#btnclear1").on('click', function(){

    jQuery("#description").val("");

    jQuery("#whattowrite").val("0");

    jQuery("#urlinprompt").val("");

    jQuery("#linkphrase").val("");

  });        

  jQuery("*").tooltip();

});
</script>
        <?php
	}

//	private function label( $field ) {
//		switch ( $field['type'] ) {
//			default:
//				printf(
//					'<label class="" for="%s">%s</label>',
//					$field['id'], $field['label']
//				);
//		}
//	}
//
//	private function field( $field ) {
//		switch ( $field['type'] ) {
//			case 'textarea':
//				$this->textarea( $field );
//				break;
//			default:
//				$this->input( $field );
//		}
//	}
//
//	private function input( $field ) {
//		printf(
//			'<input class="regular-text %s" id="%s" name="%s" %s type="%s" value="%s">',
//			isset( $field['class'] ) ? $field['class'] : '',
//			$field['id'], $field['id'],
//			isset( $field['pattern'] ) ? "pattern='{$field['pattern']}'" : '',
//			$field['type'],
//			$this->value( $field )
//		);
//	}
//
//	private function textarea( $field ) {
//		printf(
//			'<textarea class="regular-text" id="%s" name="%s" rows="%d">%s</textarea>',
//			$field['id'], $field['id'],
//			isset( $field['rows'] ) ? $field['rows'] : 5,
//			$this->value( $field )
//		);
//	}
//
//	private function value( $field ) {
//		global $post;
//		if ( metadata_exists( 'post', $post->ID, $field['id'] ) ) {
//			$value = get_post_meta( $post->ID, $field['id'], true );
//		} else if ( isset( $field['default'] ) ) {
//			$value = $field['default'];
//		} else {
//			return '';
//		}
//		return str_replace( '\u0027', "'", $value );
//	}

}

$options = get_option('smart-ai-content-creator');

if(isset($options['authorized']) && $options['authorized' ] == 'Y')
{

 new Smaicc_Metabox_;

}