<?php
/*
 * Plugin Name:       Smart AI Content Creator
 * Plugin URI:        https://www.web-dimensions.net/smaicc-inframe-help/
 * Description:       A blog content management and creation system for Wordpress
 * Version:           1.5.2
 * Requires at least: 6.0
 * Requires PHP:      7.1
 * Author:            Web Dimensions, Inc.
 * Author URI:        https://www.web-dimensions.net
 * License:           limited
 * License URI:       https://www.web-dimensions.net/privacy-policy-2/
 * Update URI:        https://smartaicontentcreator.com/latest.zip
 * Text Domain:       smart-ai-content-creator
 * Domain Path:       /
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * HELPER COMMENT START
 * 
 * This file contains the main information about the plugin.
 * It is used to register all components necessary to run the plugin.
 * 
 * The comment above contains all information about the plugin 
 * that are used by WordPress to differenciate the plugin and register it properly.
 * It also contains further PHPDocs parameter for a better documentation
 * 
 * The function SMAICC() is the main function that you will be able to 
 * use throughout your plugin to extend the logic. Further information
 * about that is available within the sub classes.
 * 
 * HELPER COMMENT END
 */

// Plugin name
define( 'SMAICC_NAME',			'Smart AI Content Creator' );

// Plugin version
define( 'SMAICC_VERSION',		'1.5.2' );

// Plugin Root File
define( 'SMAICC_PLUGIN_FILE',	__FILE__ );

// Plugin base
define( 'SMAICC_PLUGIN_BASE',	plugin_basename( SMAICC_PLUGIN_FILE ) );

// Plugin Folder Path
define( 'SMAICC_PLUGIN_DIR',	plugin_dir_path( SMAICC_PLUGIN_FILE ) );

// Plugin Folder URL
define( 'SMAICC_PLUGIN_URL',	plugin_dir_url( SMAICC_PLUGIN_FILE ) );

// Processor url
define('WEBD_MID_SERVER_PROCESSOR', 'https://service.smartaicc.net/api/v1.1/api.php');

/**
 * Load the main class for the core functionality
 */
require_once SMAICC_PLUGIN_DIR . 'core/class-smart-ai-content-creator.php';

/**
 * The main function to load the only instance
 * of our master class.
 *
 * @author  Web Dimensions, Inc.
 * @since   1.0.1
 * @return  object|Smart_Ai_Content_Creator
 */
function SMAICC() {
	return Smart_Ai_Content_Creator::instance();
}

SMAICC();
