<?php

$options = get_option('smart-ai-content-creator');

$deepaiapikey = $options['deepaiapikey'];
$openaiapikey = $options['openaiapikey'];
?>
<script>
var enabled = 1;
var freqsid = 1;
var typesid = 9;
var paction = "the_ajax_getTableData";
function queryParams(p) {

  //statusid = $("#lststatus").val();
  //freqsid = $("#lstfreqs").val();
  //typesid = $("#lsttypes").val();

  return {
    enabled: enabled,
    action: paction,
    frequency: freqsid,
    typeid: typesid,
    order: p.order,
    sort: p.sort,
    offset: p.offset,
    limit: p.limit,
    query: p.search
  };
}

function nicknameFormatter(value,row,index)
{
  var outstr = '<a>'+row.nickname+'</a>';

  return [outstr].join('');
}

function activeFormatter(value,row,index)
{
  var outstr = '';
  if(row.active==0)
  {
    outstr += 'no';
  }
  else
  {
    outstr += 'yes';
  }
  return [outstr].join('');
}

function lastPostedFormatter(value,row,index)
{
  var outstr = '';
  if(row.lastposted == '1971-01-01 00:00:00')
  {
    outstr = 'never';
  }
  else
  {
    outstr = row.lastposted;
  }

  return [outstr].join('');
}

function postTypeFormatter(value,row,index)
{
  var outstr = "";

  switch(row.type)
  {
    case "1":

      outstr = "short article";

      break;

   case "2":

      outstr = "long article";

     break;

   case "3":

      outstr = "story";

     break;

   case "4":

      outstr = "ad copy";

     break;

   case "5":

      outstr = "sales page";

     break;

   case "6":

      outstr = "jv page";

     break;

   case "7":

      outstr = "bonus page";

     break;

   case "8":

      outstr = "product review";

     break;

   case "9":

      outstr = "blog post";

     break;

  case "0":
  default:
    outstr = "free text";

    break;

  }


  return [outstr].join('');
}

function deletorFormatter(value,row,index)
{
  var outstr = '';
  var id = row.id.trim();

  outstr = '<button type="button" data-id="'+id+'" title="delete" class="btn btn-danger btn-lg deletecampaign" onclick="executeDelete('+id.toString()+');"><i class="icon-trash"></i></button>';

  return [outstr].join('');
}

function executeDelete(iid)
{
  smaiccDeleteCampaign(iid);
}

function frequencyFormatter(value,row,index)
{
  var outstr = "";

  switch(row.frequency)
  {
    case "1":

      outstr = "daily";
      break;
    
    case "2":

      outstr = "2xdaily";
      break;

    case "3":

      outstr = "weekly";
      break;

    case "4":

      outstr = "monthly";
      break;

    default:

      outstr = "";

  }

  return [outstr].join('');

}

jQuery(function(){

  jQuery(".featurestocome").css("opacity",".3");
  jQuery(".featurestocome").on("click",function(){return false;});
  jQuery(".featurestocome").find("input").attr("disabled","disabled");
  jQuery(".featurestocome").each(function(){jQuery(this).attr("title","Upcoming features");});
  jQuery(".featurestocome").tooltip();
});
</script>
<div class="wrap">
  
  <div class="dlm" id="poststuff">
    
    <div class="clear"></div>
    
    <div class="postbox" style="padding:24px">

      <div align="center">
        <img style="width:85%" src="<?php echo plugins_url( 'images/smaicc-banner-campaigns.jpg', dirname(__FILE__) );?>" alt="Smart AI Content Creator"/>
      </div>
      
      <div class="row">

        <button class="btn btn-primary mycampaign" style="width:124px" type="button"><span>New Campaign</span></button>

        <table
            id="campaigntable"
            data-toggle="table"
            data-url="<?php echo $_SERVER['REQUEST_URI'];?>"
            data-show-refresh="true"
            data-show-toggle="false"
            data-show-columns="true"
            data-search="false"
            data-select-item-name="toolbar1"
            data-pagination="true"
            data-method="get"
            data-sort-name="lastposted"
            data-side-pagination="server"
            data-page-list="[5,10, 25, 50]"
            data-detail-formatter="detailFormatter"
            data-response-handler="responseHandler"
            data-query-params="queryParams"
            data-page-size="10"
            data-sort-order="desc">
            <thead>
            <tr>
              <th data-field="nickname" data-sortable="true" data-formatter="nicknameFormatter">Nickname</th>
              <th data-field="type" data-sortable="true" data-formatter="postTypeFormatter">Type</th>
              <th data-field="frequency" data-sortable="false" data-formatter="frequencyFormatter">Schedule</th>
              <th data-field="active" data-sortable="true" data-formatter="activeFormatter">Active</th>
              <th data-field="lastposted" data-sortable="true" data-formatter="lastPostedFormatter">Last Posted</th>
              <th data-field="shares" data-sortable="true" >Shares</th>
              <th data-field="editor" data-sortable="false" style="width:48px">edit</th>
              <th data-field="deletor" data-sortable="false" data-formatter="deletorFormatter" style="width:48px">delete</th>
            </tr>
            </thead>
        </table>

      </div>

    </div>            
    
  </div>
 
</div>
<!-- /.postbox -->
<form id="smaiccDeleteCampaignForm" method="POST">
<input type="hidden" id="idtodelete" name="idtodelete" value=""/>
<input type="hidden" name="action" value="the_ajax_smaiccCampaignDelete"/>
</form>

<div class="notifydiv">
<h2><span id="mymessage"></span></h2>
<p style="font-size:16px"><span id="myexplanation"></span></p>
</div>

<style type="text/css">
.notifydiv
{
  display:none;
  width:460px;
  height:300px;
  border: solid 2px #444444;
  background-color:#1082c5;
  color:#ffffff;
  padding:16px;
  position:fixed;
  top:50%;
  left:50%;
  margin-top:-150px; /* negative half the size of height */
  margin-left:-230px; /* negative half the size of width */
  z-index: 1400;
  border-radius:14px;
  
}

.error
{
color:red;
}

.success
{
color:green;
}
</style>