<?php
//import { FormTokenField } from '@wordpress/components';
//import { useState } from '@wordpress/element';

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Class Smart_Ai_Content_Creator_Run
 *
 * Thats where we bring the plugin to life
 *
 * @package		SMAICC
 * @subpackage	Classes/Smart_Ai_Content_Creator_Run
 * @author		Web Dimensions, Inc.
 * @since		0.1.1
 */
class Smart_Ai_Content_Creator_Run{

	/**
	 * Our Smart_Ai_Content_Creator_Run constructor 
	 * to run the plugin logic.
	 *
	 * @since 0.1.1
	 */
	function __construct(){
		$this->add_hooks();
	}

  public $g_image_models = array();
  public $g_art_styles = array();
  public $g_image_filters = array();
  public $g_api_error = "";
  public $g_already_loaded = false;
  public $deepaiopenapikey = "";
  public $openaiapikey = "";
  public $rikuapikey = "";
  public $silofactorykey = "";
  public $silofactoryemail = "";
  public $smartaicampaignskey = "";
  public $smartaicampaignsemail = "";
  public $nav_menu_locations = array();
  public $nav_menus = array();
  public $prprusagemetric = true;
  public $g_imgversion = "10002";
  public $g_previmgversion = "10001";
  public $g_posterrors = 0;

	/**
	 * ######################
	 * ###
	 * #### WORDPRESS HOOKS
	 * ###
	 * ######################
	 */

	/**
	 * Registers all WordPress and plugin related hooks
	 *
	 * @access	private
	 * @since	0.1.1
	 * @return	void
	 */
	private function add_hooks(){   

		//add_action( 'plugin_action_links_' . SMAICC_PLUGIN_BASE, array( $this, 'add_plugin_action_link' ), 20 );
 		//add_action( 'admin_init', array(&$this, 'smaicc_execchkLCX_2403116280348208'));
		add_action( 'admin_enqueue_scripts', array( $this, 'smaicc_enqassets_2403116280348208' ), 20 );
		add_action( 'admin_menu', array( $this, 'smaicc_regsteradminmenupages_2403116280348208' ), 20 );
		add_action( 'wp_dashboard_setup', array( $this, 'manage_dashboard_widgets' ), 20 );
		add_action( 'acf/init', array( $this, 'add_custom_acf_options_page' ), 20 );
		add_action( 'plugins_loaded', array( $this, 'add_wp_webhooks_integrations' ), 9 );

		add_action( 'wp_ajax_the_ajax_smaicRegister', array(&$this, 'smaicc_extregplgn_2403116280348208'));
		add_action( 'wp_ajax_the_ajax_smaicUnregister', array(&$this, 'smaicc_extunregplgn_2403116280348208'));

		add_action( 'wp_ajax_the_ajax_smaicExecute', array(&$this, 'smaicc_execreqtxt_2403116280348208'));
		add_action( 'wp_ajax_the_ajax_smaicSaveApiKeys', array(&$this, 'smaicc_savapikeys_2403116280348208'));
		add_action( 'wp_ajax_the_ajax_smaicSchedule', array(&$this, 'smaicc_schdlctx_2403116280348208'));
		add_action( 'wp_ajax_the_ajax_smaicImageAI', array(&$this, 'smaicc_execreqimg_2403116280348208'));
		add_action( 'wp_ajax_the_ajax_smaicSaveAllImages', array(&$this, 'smaicc_imgssavall_2403116280348208'));
		add_action( 'wp_ajax_the_ajax_smaiccCampaign', array(&$this, 'smaicc_savcmpn_2403116280348208'));
		add_action( 'wp_ajax_the_ajax_smaiccCampaignDelete', array(&$this, 'smaicc_delcmpn_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_getTableData', array(&$this, 'smaicc_rettbldata_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_getCampaignById', array(&$this, 'smaicc_retcmpnbyid_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_checkSmaiccImageRequest', array(&$this, 'smaicc_enqchkreqimg_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_checkSmaiccTextRequest', array(&$this, 'smaicc_enqchkreqtxt_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_checkSmaiccSiloRequest', array(&$this, 'smaicc_enqchkreqsilo_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_writeSMAICCSiloRequest', array(&$this, 'smaicc_enqreqsilo_2403116280348208'));
 		add_action( 'wp_ajax_the_ajax_siloFactoryAiExecute', array(&$this, 'smaicc_execsilofactory_2403116280348208'));	
 		add_action( 'wp_ajax_the_ajax_siloFactoryInitializeBlog', array(&$this, 'smaicc_bloginitialize_2403116280348208'));	
 		add_action( 'wp_ajax_the_ajax_SMAICCsaveSilo', array(&$this, 'smaicc_silosave_2403116280348208'));	
    add_action( 'wp_ajax_the_ajax_smaicEnableSiloFactory', array(&$this, 'smaicc_silofactoryenable_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_smaicEnableSmartAICampaigns', array(&$this, 'smaicc_smartaicmpgnsenable_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_smaiccLoadSavedSilo', array(&$this, 'smaicc_loadsvdsilo_2403116280348208') );
    add_action( 'wp_ajax_the_ajax_smaiccTrashSilo', array(&$this, 'smaicc_trashsvdsilo_2403116280348208') );
    add_action( 'wp_ajax_the_ajax_smaiccReloadSilos', array(&$this, 'smaicc_reloadsvdsilos_2403116280348208') );
    add_action( 'wp_ajax_the_ajax_registerSiloFactoryKey', array(&$this, 'smaicc_extregsilofactory_2403116280348208') );
    add_action( 'wp_ajax_the_ajax_registerSmartAICampaignsKey', array(&$this, 'smaicc_extregcmpns_2403116280348208') );
    add_action( 'wp_ajax_the_ajax_creationsManage', array(&$this, 'smaicc_crtnsmang_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_smaiccRewriter', array(&$this, 'smaicc_rwrtrexecute_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_smaiccRetitler', array(&$this, 'smaicc_rttlrexecute_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_smaiccArticleOutliner', array(&$this, 'smaicc_artclroutlnrexecute_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_smaiccArticleSection', array(&$this, 'smaicc_artclsctnexecute_2403116280348208'));
    add_action( 'wp_ajax_the_ajax_smaiccPostBrainBuilder', array(&$this, 'smaicc_postfrmbrnbldr_2403116280348208'));
    add_action('print_media_templates',array(&$this,'smaicc_mediatmptsadd_2403116280348208'));

    //add_action('add_the_thickbox', 'add_thickbox_function');
		register_activation_hook( SMAICC_PLUGIN_FILE, array( &$this, 'activation_hook_callback' ) );

	}

	/**
	 * ######################
	 * ###
	 * #### WORDPRESS HOOK CALLBACKS
	 * ###
	 * ######################
	 */

	/**
	* Adds action links to the plugin list table
	*
	* @access	public
	* @since	0.1.1
	*
	* @param	array	$links An array of plugin action links.
	*
	* @return	array	An array of plugin action links.
	*/
	public function add_plugin_action_link( $links ) {

		$links['our_shop'] = sprintf( '<a href="%s" title="Custom Link" style="font-weight:700;">%s</a>', 'https://test.test', __( 'Custom Link', 'smart-ai-content-creator' ) );

		return '';//$links;
	}

	/**
	 * Enqueue the backend related scripts and styles for this plugin.
	 * All of the added scripts andstyles will be available on every page within the backend.
	 *
	 * @access	public
	 * @since	0.1.1
	 *
	 * @return	void
	 */
	public function smaicc_enqassets_2403116280348208() {

    global $pagenow;

    $smaicc_screens = array('smaicc','smaicc-creator','smaicc-silofactory','smaicc-posts','smaicc-settings','smaicc-campaigns','smaicc-factoryview','smaicc-rewriter');

    $screen = get_current_screen();

    if ( ( $pagenow == 'admin.php' && in_array( $_GET['page'], $smaicc_screens  ) ) || $pagenow == 'post.php' || $pagenow == 'post-new.php' )
    {
      // bootstrap /////
      wp_register_style( 'smaicc-bootstrap-style', SMAICC_PLUGIN_URL . 'core/includes/assets/css/bootstrap.min.css' );
      wp_enqueue_style( 'smaicc-bootstrap-style', SMAICC_PLUGIN_URL . 'core/includes/assets/css/bootstrap.min.css', array(), SMAICC_VERSION, 'all' );
      // bootstrap table ///
      wp_register_style( 'smaicc-bootstrap-table-style', SMAICC_PLUGIN_URL . 'core/includes/assets/css/bootstrap-table.css' );
      wp_enqueue_style( 'smaicc-bootstrap-table-style', SMAICC_PLUGIN_URL . 'core/includes/assets/css/bootstrap-table.css', array(), SMAICC_VERSION, 'all' );
      // bootstrap tokenfield
      wp_register_style( 'smaicc-bootstrap-tokenfield-style', SMAICC_PLUGIN_URL . 'core/includes/assets/css/tokenfield.css' );
      wp_enqueue_style( 'smaicc-bootstrap-tokenfield-style', SMAICC_PLUGIN_URL . 'core/includes/assets/css/tokenfield.css', array(), SMAICC_VERSION, 'all' );
      // icomoon
      wp_register_style( 'smaicc-icomoon-style', SMAICC_PLUGIN_URL . 'core/includes/assets/css/ico/styles.css' );
      wp_enqueue_style( 'smaicc-icomoon-style', SMAICC_PLUGIN_URL . 'core/includes/assets/css/ico/styles.css', array(), SMAICC_VERSION, 'all' );
      // datetimepicker
      wp_register_style( 'smaicc-datetimepicker-style', SMAICC_PLUGIN_URL . 'core/includes/assets/css/jquery.datetimepicker.min.css' );
      wp_enqueue_style( 'smaicc-datetimepicker-style', SMAICC_PLUGIN_URL . 'core/includes/assets/css/query.datetimepicker.min.css', array(), SMAICC_VERSION, 'all' );

      // bootstrap js
      wp_enqueue_script( 'smaicc-bootstrap-scripts', SMAICC_PLUGIN_URL . 'core/includes/assets/js/bootstrap.min.js', array( 'jquery' ), SMAICC_VERSION, false );

      // tokenfield js
      wp_enqueue_script( 'smaicc-tokenfield-scripts', SMAICC_PLUGIN_URL . 'core/includes/assets/js/tokenfield.js', array( 'jquery' ), SMAICC_VERSION, false );

      // blockui js
      wp_enqueue_script( 'smaicc-blockui-scripts', SMAICC_PLUGIN_URL . 'core/includes/assets/js/blockui.min.js', array( 'jquery' ), SMAICC_VERSION, false );

      // daterange-picker js
      wp_enqueue_script( 'smaicc-daterangepicker-scripts', SMAICC_PLUGIN_URL . 'core/includes/assets/js/jquery.datetimepicker.full.min.js', array( 'jquery' ), SMAICC_VERSION, false );

      wp_enqueue_script( 'jquery-ui-dialog' ); 
      wp_enqueue_style( 'wp-jquery-ui-dialog' );
      wp_enqueue_style( 'wp-jquery-ui-tabs' );
      wp_enqueue_script('jquery-ui-tabs');
      wp_enqueue_style( 'wp-jquery-ui-sortable' );
      wp_enqueue_script( 'jquery-ui-sortable' );

      wp_enqueue_script( 'smaicc-ajax-handle', SMAICC_PLUGIN_URL . 'core/includes/assets/js/ajax7.js', array( 'jquery' ) );
      wp_localize_script( 'smaicc-ajax-handle', 'the_ajax_script', array('ajaxurl' => admin_url('admin-ajax.php')));

      wp_enqueue_media();

      wp_enqueue_script('smaicc-media-library',
                        SMAICC_PLUGIN_URL . 'core/includes/assets/js/smaiccmedia.js',
                        ['jquery', 'media-views']
                        );

      // bootstrap table js
      wp_enqueue_script( 'smaicc-bootstrap-table-scripts', SMAICC_PLUGIN_URL . 'core/includes/assets/js/bootstrap-table.js', array( 'jquery' ), SMAICC_VERSION, false );
    }

  }

	/**
	 * Add custom menu pages
	 *
	 * @access	public
	 * @since	0.1.1
	 *
	 * @return	void
	 */
	public function smaicc_regsteradminmenupages_2403116280348208(){

    $options = get_option('smart-ai-content-creator');

		add_menu_page( 'Smart AI CC', 'Smart AI CC', 'manage_options', 'smaicc', array( $this, 'smaicc_clbk_menupagetoplevel_2403116280348208' ), SMAICC_PLUGIN_URL . 'images/smarty-24.png', 5 );

		add_submenu_page( 'smaicc', 'Smart AI CC Creator', 'Creator', 'manage_options', 'smaicc-creator', array(&$this,'smaicc_clbk_menupagecreator_2403116280348208'));

		//add_submenu_page( 'smaicc', 'Smart AI CC Stories', 'Stories', 'manage_options', 'smaicc-stories', array(&$this,'smaicc_clbk_menupagestory_2403116280348208'));
		//add_submenu_page( 'smaicc', 'Smart AI CC Curation', 'Curation', 'manage_options', 'smaicc-curation', array(&$this,'smaicc_clbk_menupagecuration_2403116280348208'));

		add_submenu_page( 'smaicc', 'Smart AI CC ReWriter', 'ReWriter', 'manage_options', 'smaicc-rewriter', array(&$this,'smaicc_clbk_menupagerewrtr_2403116280348208'));
    
    
    if( ( (isset($options['smartaicampaigns_validated']) && $options['smartaicampaigns_validated'] == 'Y') || ($options['mgrlvl'] == "9")) && 
       isset($options['smartaicampaignson']) && $options['smartaicampaignson'] == 'Y')
    {
  		add_submenu_page( 'smaicc', 'Smart AI CC Campaigns', 'Campaigns', 'manage_options', 'smaicc-campaigns', array(&$this,'smaicc_clbk_menupagecmpgns_2403116280348208'));
  		add_submenu_page( 'smaicc', 'Smart AI CC Posts', 'Posts', 'manage_options', 'smaicc-posts', array(&$this,'smaicc_clbk_menupageposts_2403116280348208'));
    }

    if(((isset($options['silofactory_validated']) && $options['silofactory_validated'] == 'Y')||$options['mgrlvl']=="9") && 
      isset($options['silofactoryon']) && $options['silofactoryon'] == 'Y')
    {
		  add_submenu_page( 'smaicc', 'Smart AI CC Silo Builder', 'SiloFactory', 'manage_options', 'smaicc-silofactory', array(&$this,'smaicc_clbk_menupagesilofactory_2403116280348208'));
		  add_submenu_page( 'smaicc', 'Smart AI CC Silo Builder', 'SiloMonitor', 'manage_options', 'smaicc-factoryview', array(&$this,'smaicc_clbk_menupagefactorymonitor_2403116280348208'));
    }

		add_submenu_page( 'smaicc', 'Smart AI CC Settings', 'Settings', 'manage_options', 'smaicc-settings', array(&$this,'smaicc_clbk_menupagesttngs_2403116280348208'));

		add_submenu_page( 'smaicc', 'Smart AI CC Help', 'Help', 'manage_options', 'smaicc-help', array(&$this,'smaicc_clbk_menupagehelp_2403116280348208'));

  }

	/**
	 * Add custom menu page content for the following
	 * menu item: custom-menu-slug
	 *
	 * @access	public
	 * @since	0.1.1
	 *
	 * @return	void
	 */
	public function smaicc_clbk_menupagetoplevel_2403116280348208(){

    $options = get_option('smart-ai-content-creator');

    //var_dump($options);

    if($options['authorized'] != 'Y')
    {
      include( SMAICC_PLUGIN_DIR . 'views/view_licensing.php' ); 
      return;
    }
    //$ret = exec("pwd");echo $ret;
    include( SMAICC_PLUGIN_DIR . 'views/view_dashboard.php' );

	}

	public function smaicc_clbk_menupagecreator_2403116280348208(){

    $options = get_option('smart-ai-content-creator');

    //var_dump($options);

    if($options['authorized'] != 'Y')
    {
      include( SMAICC_PLUGIN_DIR . 'views/view_licensing.php' ); 
      return;
    }

    $cats = get_categories(array(
        'taxonomy'   => 'category', // Taxonomy to retrieve terms for. We want 'category'. Note that this parameter is default to 'category', so you can omit it
        'orderby'    => 'name',
        'parent'     => 0,
        'hide_empty' => 0, // change to 1 to hide categores not having a single post
    ));

    $cat_options = '<option value="0">From Category</option>';
    $cat2_options = '';

    foreach($cats as $cat)
    {
      $cat_options .= '<option value="'.$cat->term_id . '">'.$cat->name.'</option>';
      $cat2_options .= '<option value="'.$cat->term_id . '">'.$cat->name.'</option>';
    }

    $outputter = $this->smaicc_bc_wp_editor_2403116280348208( '', 'output' );

    //$ret = exec("pwd");echo $ret;
    include( SMAICC_PLUGIN_DIR . 'views/view_writer.php' );

    $this->smaicc_cmpgndialogadd_2403116280348208();

    return;
  }

//  public function add_thickbox_function(){
//
//    add_thickbox();
//
//  }

	public function smaicc_clbk_menupagestory_2403116280348208(){
    $options = get_option('smart-ai-content-creator');

    //var_dump($options);

    if($options['authorized'] != 'Y')
    {
      include( SMAICC_PLUGIN_DIR . 'views/view_licensing.php' ); 
      return;
    }
    //$ret = exec("pwd");echo $ret;
    include( SMAICC_PLUGIN_DIR . 'views/view_stories.php' );

    return;
  }

	public function smaicc_clbk_menupagecuration_2403116280348208(){
    $options = get_option('smart-ai-content-creator');

    //var_dump($options);

    if($options['authorized'] != 'Y')
    {
      include( SMAICC_PLUGIN_DIR . 'views/view_licensing.php' ); 
      return;
    }
    //$ret = exec("pwd");echo $ret;
    include( SMAICC_PLUGIN_DIR . 'views/view_curation.php' );

    return;
  }

	public function smaicc_clbk_menupageposts_2403116280348208(){
    global $wpdb;

    $options = get_option('smart-ai-content-creator');

    //var_dump($options);

    if($options['authorized'] != 'Y')
    {
      include( SMAICC_PLUGIN_DIR . 'views/view_licensing.php' ); 
      return;
    }

    $table_name_creations = $wpdb->prefix."smaicc_creations";
    $results = $wpdb->get_results( " select count(*) as thecount from ".$table_name_creations." where status=3 " );
    $this->g_posterrors = intval($results[0]->thecount);
    
    //$ret = exec("pwd");echo $ret;
    include( SMAICC_PLUGIN_DIR . 'views/view_posts.php' );

    return;
  }

	public function smaicc_clbk_menupagerewrtr_2403116280348208(){
    $options = get_option('smart-ai-content-creator');

    //var_dump($options);

    if($options['authorized'] != 'Y')
    {
      include( SMAICC_PLUGIN_DIR . 'views/view_licensing.php' ); 
      return;
    }

    //$ret = exec("pwd");echo $ret;
    include( SMAICC_PLUGIN_DIR . 'views/view_rewriter.php' );

    //$this->smaicc_cmpgndialogadd_2403116280348208();

    return;
  }


	public function smaicc_clbk_menupagecmpgns_2403116280348208(){
    $options = get_option('smart-ai-content-creator');

    //var_dump($options);

    if($options['authorized'] != 'Y')
    {
      include( SMAICC_PLUGIN_DIR . 'views/view_licensing.php' ); 
      return;
    }

    //$ret = exec("pwd");echo $ret;
    include( SMAICC_PLUGIN_DIR . 'views/view_campaigns.php' );

    $this->smaicc_cmpgndialogadd_2403116280348208();

    return;
  }

	public function smaicc_clbk_menupagesttngs_2403116280348208(){

    $options = get_option('smart-ai-content-creator');

    if(! array_key_exists('rikuapikey',$options))
    {
      $options['rikuapikey'] = '';
      update_option('smart-ai-content-creator',$options);
    }

    //var_dump($options);

    if( ! isset($options['authorized']) || ( isset($options['authorized']) && $options['authorized'] != 'Y' ) )
    {
      include( SMAICC_PLUGIN_DIR . 'views/view_licensing.php' ); 
      return;
    }

    //var_dump($options);
    $this->rikuapikey = base64_decode($options['rikuapikey']);
    $this->deepaiapikey = base64_decode($options['deepaiapikey']);
    $this->openaiapikey = base64_decode($options['openaiapikey']);
    if(isset($options['rikuapikey']))
    {
      $this->rikuapikey   = base64_decode($options['rikuapikey']);
    }

    $indicator_not_enabled = SMAICC_PLUGIN_URL . 'images/plugin-no-connect.png';
    $indicator_enabled = SMAICC_PLUGIN_URL . 'images/plugin-connect.png';
    $silo_factory_enabled = false;
    $silo_factory_eligible = false;
    $silofactory_validated_indicator = $indicator_not_enabled;
    $silofactory_enabled_indicator = $indicator_not_enabled;
    $smartai_campaigns_enabled = false;
    $smartai_campaigns_eligible = false;
    $smartaicampaigns_enabled_indicator = $indicator_not_enabled;
    $smartaicampaigns_validated_indicator = $indicator_not_enabled;

    $levelname = 'STANDARD';

    if((isset($options['silofactory_key']) && isset($options['silofactory_validated']) && $options['silofactory_validated']=='Y')
      || intval( $options['mgrlvl'] ) == 9 ||intval( $options['mgrlvl'] ) == 8)
    {
      $silo_factory_eligible = true;
      $silofactory_validated_indicator = $indicator_enabled;

      if( isset( $options['silofactoryon'] ) && $options['silofactoryon'] == 'Y' )
      {
        $silo_factory_enabled = true;
        $silofactory_enabled_indicator = $indicator_enabled;
      }

      if(intval( $options['mgrlvl'] ) == 9||intval( $options['mgrlvl'] ) == 8)
      {
        $this->silofactorykey = 'UNLIMITED';
      }
      else 
      {
        if( isset( $options['silofactory_key'] )) 
        { 
          $this->silofactorykey = $options['silofactory_key'];
        }
        if(isset($options['silofactory_email']))
        {
          $this->silofactoryemail = $options['silofactory_email'];
        }
      }
    }

    if((isset($options['smartaicampaigns_key']) && isset($options['smartaicampaigns_validated']) && $options['smartaicampaigns_validated']=='Y') || intval( $options['mgrlvl'] ) == 9 )
    {
      $smartai_campaigns_eligible = true;
      $smartaicampaigns_validated_indicator = $indicator_enabled;

      if( isset( $options['smartaicampaignson'] ) && $options['smartaicampaignson'] == 'Y' )
      {
        $smartai_campaigns_enabled = true;
        $smartaicampaigns_enabled_indicator = $indicator_enabled;
      }

      if(intval( $options['mgrlvl'] ) == 9||intval( $options['mgrlvl'] ) == 8)
      {
        $this->smartaicampaignskey = 'UNLIMITED';
      }
      else 
      {
        if(isset($options['smartaicampaigns_key'])){$this->smartaicampaignskey = $options['smartaicampaigns_key'];}
        if(isset($options['smartaicampaigns_email'])){
          $this->smartaicampaignsemail = $options['smartaicampaigns_email'];
        }
      }
    }

    if( intval( $options['mgrlvl'] ) == 1)
    {
      $levelname = 'STANDARD';
    }
    if( intval( $options['mgrlvl'] ) == 4)
    {
      $levelname = 'API-KEY FREE';
    }
    else if( intval( $options['mgrlvl'] ) == 8 )
    {
      $levelname = 'ULTIMATE POWER BUNDLE';
    }
    else if( intval( $options['mgrlvl'] ) == 9 )
    {
      $levelname = 'UNLIMITED';
    }
    //$ret = exec("pwd");echo $ret;
    include( SMAICC_PLUGIN_DIR . 'views/view_settings.php' );

    return;
  }

  public function smaicc_clbk_menupagefactorymonitor_2403116280348208()
  {
    $options = get_option('smart-ai-content-creator');

    //var_dump($options);

    if($options['authorized'] != 'Y')
    {
      include( SMAICC_PLUGIN_DIR . 'views/view_licensing.php' ); 
      return;
    }

    if($options['silofactoryon'] != 'Y')
    {
      include( SMAICC_PLUGIN_DIR . 'views/view_settings.php' ); 
      return;
    }

    wp_enqueue_style( 'wp-jquery-ui-tabs' );
    wp_enqueue_script('jquery-ui-tabs');
    wp_enqueue_style( 'wp-jquery-ui-sortable' );
    wp_enqueue_script( 'jquery-ui-sortable' );

    include( SMAICC_PLUGIN_DIR . 'views/view_factory.php' );

    return;
  }

	public function smaicc_clbk_menupagesilofactory_2403116280348208()
  {
    $options = get_option('smart-ai-content-creator');

    //var_dump($options);

    if($options['authorized'] != 'Y')
    {
      include( SMAICC_PLUGIN_DIR . 'views/view_licensing.php' ); 
      return;
    }

    if($options['silofactoryon'] != 'Y')
    {
      include( SMAICC_PLUGIN_DIR . 'views/view_settings.php' ); 
      return;
    }

    wp_enqueue_style( 'wp-jquery-ui-tabs' );
    wp_enqueue_script('jquery-ui-tabs');
    wp_enqueue_style( 'wp-jquery-ui-sortable' );
    wp_enqueue_script( 'jquery-ui-sortable' );

    $this->smaicc_extimgmodels_2403116280348208();

    $this->smaicc_getmnulocoptions_2403116280348208();

    //$settings  = array('media_buttons' => true,'tab_index'=>0,'textarea_rows' => 5,'textarea_name' => 'output', 'editor_height' => 325);

    $outputter = $this->smaicc_bc_wp_editor_2403116280348208( '', 'output' );//, $settings );

    //$ret = exec("pwd");echo $ret;
    include( SMAICC_PLUGIN_DIR . 'views/view_silofactory.php' );

    return;
  }

	public function smaicc_clbk_menupagehelp_2403116280348208(){

    include( SMAICC_PLUGIN_DIR . 'views/view_help.php' );

    return;
  }


	/**
	 * Adds all plugin related dashbaord widgets
	 *
	 * @access	public
	 * @since	0.1.1
	 *
	 * @return	void
	 */
	public function manage_dashboard_widgets() {

		//wp_add_dashboard_widget( 'demo_widget', __( SMAICC_NAME, 'smart-ai-content-creator' ), array( $this, 'demo_widget_callback' ), null, array() );

	}

	/**
	 * The callback for the "Demo Widget" widget
	 *
	 * @access	public
	 * @since	0.1.1
	 *
	 * @param	object	$object	Often this is the object that's the focus of the current screen, for example a WP_Post or WP_Comment object.
	 * @param	array	$args	Data that should be set as the $args property of the widget array (which is the fifth parameter passed to the wp_add_dashboard_widget function call)
	 *
	 * @return	void
	 */
	public function demo_widget_callback( $object, $args ){
		?>
<p>Welcome to <?php echo SMAICC_NAME;?>.</p>
		<?php
	}

	/**
	 * Add the Advanced Custom fields
	 * options pages
	 *
	 * @access	public
	 * @since	0.1.1
	 * @link	https://www.advancedcustomfields.com/resources/acf_add_options_page/
	 *
	 * @return	void
	 */
	public function add_custom_acf_options_page() {

		// Check function exists.
		if( function_exists('acf_add_options_page') ) {

			// Register options page.
			$option_page = acf_add_options_page( array(
				'page_title'    => __('ACF Page Title'),
				'menu_title'    => __('ACF Menu Title'),
				'menu_slug'     => 'acf-page-title',
				'capability'    => 'edit_posts',
				'redirect'      => false
			) );

		}

	}

  public function smaicc_extimgfltroptions_2403116280348208()
  {
    $filter_options = '<option value="0">Select Add-on Filter (optional)</option>';

    foreach ($this->g_image_filters as $filter) 
    {
      $filter_options .= '<option value="'.$filter->id.'">'.$filter->name.'</option>'.PHP_EOL;
    }

    return $filter_options;

  }

  public function smaicc_extimgalgooptions_2403116280348208($exclude=array())
  {
    $algo_options = '';
   
    foreach($this->g_image_models as $algo)
    {      
      if(in_array($algo->prov,$exclude))
      {
      }
      else
      {
        $algo_options .= '<option data-description="'.$algo->description.'" value="'.$algo->command.'">'.$algo->nicename.'</option>'.PHP_EOL;
      }
    }
    return $algo_options;
  }      

  public function smaicc_extimgstyloptions_2403116280348208()
  {
    //$stylz = $this->get_image_style_algos();

    $style_options = '<option value="">select art style (optional)</option>';

    foreach($this->g_art_styles as $styl)
    {
      $style_options .= '<option>'.$styl->name.'</option>'.PHP_EOL;
    }

    return $style_options;

  }

  function smaicc_rwrtrexecute_2403116280348208()
  {

    $params = array();
    $params['type'] = 'text';
    $params['method'] = 'smaicc_get_rewrite';
    $params['textcopy'] = $_POST['rewritertext'];
    $ret = 
      $this->smaicc_execauthCTXWEBD_2403116280348208($params,true);

    $this->check_ret($ret,true);

    echo $ret;

    exit;

  }

  function smaicc_postfrmbrnbldr_2403116280348208()
  {
    if(! isset($_POST['title']) || $_POST['title'] == '' ||
       ! isset($_POST['content']) || $_POST['content'] == '' )
    {
      $ret = array('result'=>'error','error'=>'Invalid input');
      echo json_encode($ret);
      exit;
    }

    if(! isset($_POST['posttype']))
    {
      $post_type = 'page';
    }
    else
    {
      $post_type = $_POST['posttype'];
    }

    $headline = $_POST['title'];
    $post_body = $_POST['content'];

    $post_date = date( "Y-m-d H:i:s", current_time( 'timestamp' ));
    $post_status = "draft";
    $slug = sanitize_title($headline);
    $user_id = get_current_user_id();

    $my_post = array(
      'post_date'     => $post_date,
      'post_type'     => $post_type
    );

    $my_post['post_author'] = $user_id;
    $my_post['post_title'] = wp_strip_all_tags( wp_encode_emoji($headline) );
    $my_post['post_name'] = $slug;
    $my_post['post_content']  = wp_kses_post(wp_encode_emoji($post_body));
    $my_post['post_status']   = $post_status;
    $resultid = wp_insert_post( $my_post, true );

    if(isset($resultid->errors))
    {
      $s = $resultid->errors;

      $error = $resultid->get_error_message();
    
      if(WP_DEBUG==true){

        $etext = "WP Insert Post Error: ".$error;
      
        file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);
      }
      $ret = array('result'=>'error','error'=>$error);
      echo json_encode($ret);
      exit;

    }
    else
    {
      $postid = $resultid;
      $editorurl = get_edit_post_link( $postid, '' );
      $ret = array('result'=>'completed','editorurl'=>$editorurl,'postid'=>$postid);
      echo json_encode($ret);
      exit;
    }    


  }

  function smaicc_artclsctnexecute_2403116280348208()
  {
    $articletitle = $chaptername = $sectionname = $dataidx = $input = "";
    $articletitle = $_POST['articletitle'];
    $chaptername = $_POST['chaptername'];
    $sectionname = $_POST['sectionname'];
    $articleoutline = $_POST['articleoutline'];
    $dataidx = $_POST['dataidx'];

    if($articletitle == "" || $articletitle == null || $articleoutline == "" || $articleoutline == null ||
       $chaptername == "" || $chaptername == null)
    {
      echo json_encode(array('result'=>'error','error'=>'Invalid input'));
      exit;
    }
    if($sectionname != "")
    {
      $input = $sectionname;// . " relating to " . $chaptername . " in a piece called " . $articletitle;
    }
    else
    {
      $input = $chaptername;// . " relating to " . $articletitle;
    }

    $params = array();
    $params['type'] = 'text';
    $params['method'] = 'smaicc_write_article_section_by_outline';
    $params['dataidx'] = $dataidx;
    $params['textcopy'] = $input;
    $params['article_outline'] = $articleoutline;
    $ret = 
      $this->smaicc_execauthCTXWEBD_2403116280348208($params,true);

    $this->check_ret($ret,true);

    echo $ret;

    exit;
  }

  function smaicc_artclroutlnrexecute_2403116280348208()
  {
    $params = array();
    $params['type'] = 'text';
    $params['method'] = 'smaicc_get_article_outline';
    $params['textcopy'] = $_POST['articletopic'];
    $ret = 
      $this->smaicc_execauthCTXWEBD_2403116280348208($params,true);

    $this->check_ret($ret,true);

    echo $ret;

    exit;
  }

  function smaicc_rttlrexecute_2403116280348208()
  {
    $params = array();
    $params['type'] = 'text';
    $params['method'] = 'smaicc_get_retitle';
    $params['textcopy'] = $_POST['retitlertext'];
    $ret = 
      $this->smaicc_execauthCTXWEBD_2403116280348208($params,true);

    $this->check_ret($ret,true);

    echo $ret;

    exit;
  }

  function smaicc_crtnsmang_2403116280348208()
  {
    global $wpdb;

    $id = $_REQUEST['itemid'];
    $whattodo = $_REQUEST['whattodo'];

    $table_name_creations = $wpdb->prefix . 'smaicc_creations';

    $where = [ 'id' => $id ];

    if($whattodo == 'gonext2')
    {
      // push to get images


    }
    else if($whattodo == 'gonext3')
    {
      //reset to status = 1 and remove error      

      $input = array('status'=>1,'error'=>'','lastupdated'=>date("Y-m-d H:i:s"));

      $ret = $wpdb->update( $table_name_creations, $input, $where );
      
    }
    else if($whattodo == 'delete')
    {
      $sql = 'DELETE FROM `'. $table_name_creations .'` WHERE `id` = %d;';

      try 
      {
        $rt = $wpdb->query($wpdb->prepare($sql, $id));
        $ret = array('result'=>'completed','ret'=>$rt);
      } 
      catch (Exception $e) 
      {
        $ret = array('result'=>'error','error'=>$wpdb->last_error);
      }      
      echo json_encode($ret);
      exit;      

    }
        
    $ret = array('result'=>'completed','ret'=>$ret);
    echo json_encode($ret);
    exit;
  }

//  function smaicc_current_screen() 
//  {
//    // "This function is defined on most admin pages, but not all."
//    if( function_exists('get_current_screen')) 
//    {
//      $pt = get_current_screen();
//
//      if( $pt != 'edit-post' && $pt != 'edit-page') 
//      {
//        return;
//      }
//
//      $this->load_image_models();
//      
//      $this->smaicc_enqassets_2403116280348208();
//
//      $this->smaicc_mediatmptsadd_2403116280348208();
//
//      $this->wp_enqueue_media();
//
//    }
//  }

//  public function smaicc_register_meta_boxes() 
//  {
//    add_meta_box( 'smaicc-1', 'Create Text with AI', 'smaicc_metabox1_display_callback', 'post', 'normal', 'high' );
//  }
//
//  function smaicc_metabox1_display_callback()
//  {
//    echo "<h1>Hello Smaicc</h1>";
//  }

  public function smaicc_bc_wp_editor_2403116280348208( $content = '', $editor_id = 0, $options = array() ) {
    ob_start();
    wp_editor( $content, $editor_id, $options );

    $temp = ob_get_clean();
    $temp .= \_WP_Editors::enqueue_scripts();
    //$temp .= print_footer_scripts();
    $temp .= \_WP_Editors::editor_js();

    return $temp;
  }

  public function smaicc_getsvdsilos_2403116280348208($withrows=0)
  {
    global $wpdb;

    $table_name_silos = $wpdb->prefix."smaicc_silos";

    if($withrows == 0)
    {
      $results = $wpdb->get_results( " select id, nickname, datecreated, lastupdated from ".$table_name_silos );
    }
    else
    {
      $table_name_creations = $wpdb->prefix."smaicc_creations";
      $results = $wpdb->get_results( " select id, nickname, datecreated, lastupdated ".
        "from ".$table_name_silos." silos where silos.id in (select srcid from ".$table_name_creations." where srcid=silos.id)");
    }

    //var_dump($results);
    
    return $results;
  }

  public function smaicc_getmnulocoptions_2403116280348208()
  {
    $ret = '';

    $this->nav_menu_locations = get_registered_nav_menus();

    foreach($this->nav_menu_locations as $key => $name)
    {
      $ret .= '<option value="'.$key.'">'.$name.'</option>';
    }
    return $ret;
  }

  public function smaicc_getsvdsilooptions_2403116280348208($iid=0,$hasrows=0)
  {
    $saved_silos = $this->smaicc_getsvdsilos_2403116280348208($hasrows);

    $accum = '';

    foreach($saved_silos as $silo)
    {
      $accum .= '<option value="'.$silo->id.'"';
      if($silo->id == $iid)
      {
        $accum .= ' selected';
      }
      $accum .= '>'.$silo->nickname.'</option>';
    }
    return $accum;
  }

  public function smaicc_loadsvdsilo_2403116280348208()
  {
    global $wpdb;

    if(! isset($_POST['savedsiloid']) || $_POST['savedsiloid'] == "")
    {
      echo json_encode(array('result'=>'error','error'=>'Invalid input'));
      exit;
    }

    $table_name_silos = $wpdb->prefix."smaicc_silos";

    $results = $wpdb->get_results( $wpdb->prepare(" select id, nickname, silotext, datecreated, lastupdated from ".$table_name_silos." where id=%d", $_POST['savedsiloid']) );

    $mysilo = array();

    foreach($results as $result)
    {
      $mysilo = $result;
      $result->silotext = str_replace('\\"','\"',$result->silotext);
      //$mysilo->silojson = $silo_object;
      break;
    }

    $ret = array('result'=>'completed','silo'=>$mysilo);

    echo json_encode($ret);

    exit;

  }

  function smaicc_reloadsvdsilos_2403116280348208()
  {
    global $wpdb;

    $table_name_silos = $wpdb->prefix."smaicc_silos";

    $results = $wpdb->get_results( "select id, nickname from ".$table_name_silos." order by id" );

    $ret = array('result'=>'completed','silos'=>$results);

    echo json_encode($ret);

    exit;
  }

  function smaicc_trashsvdsilo_2403116280348208()
  {
    global $wpdb;

    if(! isset($_POST['siloid']) || $_POST['siloid'] == "")
    {
      echo json_encode(array('result'=>'error','error'=>'Invalid input'));
      exit;
    }

    $id = $_POST['siloid'];

    $table_name_silos = $wpdb->prefix."smaicc_silos";

    $wpdb->delete( $table_name_silos, array( 'id' => $id ) );

    $ret = array('result'=>'completed');

    echo json_encode($ret);

    exit;
  }


  public function smaicc_cmpgndialogadd_2403116280348208()
  {
    $srcdir = SMAICC_PLUGIN_URL . 'images';

    $filter_options = $this->smaicc_extimgfltroptions_2403116280348208();
    $algorithm_options = $this->smaicc_extimgalgooptions_2403116280348208(array(2,3));
    $stylz_options = $this->smaicc_extimgstyloptions_2403116280348208();

    $cats = get_categories(array(
        'taxonomy'   => 'category', // Taxonomy to retrieve terms for. We want 'category'. Note that this parameter is default to 'category', so you can omit it
        'orderby'    => 'name',
        'parent'     => 0,
        'hide_empty' => 0, // change to 1 to hide categores not having a single post
    ));

    $cat_options = '<option value="0">Category</option>';

    foreach($cats as $cat)
    {
      $cat_options .= '<option value="'.$cat->term_id . '">'.$cat->name.'</option>';
    }
?>
<div id="modalcontentsourcedialog" class="modal" style="display: none;">

  <div class="modal-dialog modal-lg" style="width:100%">
    <div class="modal-content">
      <div class="modal-header">
        <button style="padding:12px" type="button" class="close closeit"><i class="icon-close2"></i></button>
        <div align="center"><img style="max-width:326px;width:65%" src="<?php echo plugins_url( '../../images/smaicc-banner-campaign-editor.jpg', dirname(__FILE__) );?>" alt="Smart AI Content Creator"/></div>
      </div>

      <div class="modal-body" style="height:70vh">
        
        <form id="c_form1" class="formcontentsource form-horizontal">

          <div class="form-group">

            <div class="input-group" style="width: 100%;">

              <div class="input-group-addon" style="  width: 20%;  text-align: right;">

                <label for="c_nickname">Campaign Name:</label>

              </div>

              <div class="input-group-addon" style="  width: 28%;">

                <input class="form-control" name="c_nickname" id="c_nickname" value="" placeholder="your nickname">

              </div>

              <div class="input-group-addon" style="  width: 12%;  text-align: right;">

                <label for="c_category">Category:</label>

              </div>

              <div class="input-group-addon" style="  width: 20%;">

                <select id="c_category" name="c_category" class="form-control"><?php echo $cat_options;?></select>

              </div>

              <div class="input-group-addon" style="    width: 44px;">

                <input type="checkbox" id="c_postenabled" name="c_postenabled" value="1">

              </div>

              <div class="input-group-addon" style="    width: 25%;    text-align: left;">

                <label for="c_postenabled">Enabled</label>

              </div>

            </div>

          </div>

          <div class="form-group">

            <div class="input-group" style="    width: 100%;">

              <div class="input-group-addon" style=" /*   width: 20%;  */  text-align: right;">

                <label for="c_posttype">Write a</label>

              </div>

              <div class="input-group-addon" style="    width: 20%;">
    
                <select class="form-control" name="c_posttype" id="c_posttype">                  
                <option value="9">Blog Post</option>
                <option value="1">Article (short)</option>
                <option value="2">Article (long)</option>
                <option value="3">Story</option>
                <option value="4">Ad Copy</option>
                <option value="5">Sales Page</option>
                <option value="6">JV Page</option>
                <option value="7">Bonus Page</option>
                <option value="8">Product Review</option>
                <option value="0">Free text</option>
                </select>

              </div>

              <div class="input-group-addon" style="   /* width: 10%;  */  text-align: right;">
    
                <label for="c_poststyle">Style:</label>

              </div>

              <div class="input-group-addon" style="    width: 20%;    padding-right: 28px;">
    
                <input class="form-control" name="c_poststyle" id="c_poststyle" value="" placeholder="optional">

              </div>

            </div>

            <div class="input-group" style="    width: 100%;">

              <div class="input-group-addon" style="  /*  width: 10%;  */  text-align: right;">
    
                <label for="urlinprompt">Link:</label>

              </div>

              <div class="input-group-addon" style="   width: 20%;  padding-right: 28px;">
    
                <input class="form-control" name="urlinprompt" id="urlinprompt" value="" placeholder="URL for link (SPINTAX OK)">

              </div>

              <div class="input-group-addon" style="  /*  width: 10%;  */  text-align: right;">
    
                <label for="urlinprompt">Phrase for Link</label>

              </div>

              <div class="input-group-addon" style="   width: 20%;  padding-right: 28px;">
    
                <input class="form-control" name="linkphrase" id="linkphrase" value="" placeholder="PHRASE for link (SPINTAX OK)">

              </div>

<!--               <div class="inpput-group-addon" style="width:20%">&nbsp;</div> -->

            </div>

            <div class="input-group" style="    width: 100%;">

              <div class="input-group-addon" style="    width: 15%;    text-align: right;">
    
                <label for="c_prompt">About:<br/>(Spintax OK)</label>

              </div>

              <div class="input-group-addon" style="    width: 85%;    padding-right: 24px;">
    
                <textarea class="form-control" id="c_prompt" name="c_prompt" style="height:75px"></textarea>

              </div>
              
            </div>

            <div class="input-group autoimages" style="height:32px;width:100%">

              <div class="input-group-addon" style="text-align: right;width:10%">
    
                <input type="checkbox" class="form-control" id="chkautoimages" value="1" onchange="switchImageSrc(this);" style="float:right" checked/>

              </div>

              <div class="input-group-addon" style="width: 30%;text-align:left; padding-right: 24px;">
    
                <label style="min-width:200px" for="chkautoimages">Auto-Generate Images</label>

              </div>
              
<!--             </div> -->
<!--  -->
<!--             <div class="input-group autoimages" style="height:32px"> -->

              <div class="input-group-addon" style="text-align: right;width:10%">
    
                <label for="imagecommand">Algo</label>

              </div>

              <div class="input-group-addon" style="width: 40%; padding-right: 24px;">
    
                <select id="imagecommand" name="imagecommand" class="form-control" style="width:100%">
                <?php echo $algorithm_options; ?>
                </select>

              </div>
              
            </div>

            <div class="input-group autoimages" style="height:32px;width:100%;padding-bottom:46px">

              <div class="input-group-addon" style=" text-align: right;width:10%">
    
                <label for="imagefilter">Filter</label>

              </div>

              <div class="input-group-addon" style="    width: 30%;    padding-right: 24px;">
    
                <select id="imagefilter" name="imagefilter" class="form-control" style="width:100%">
                <?php echo $filter_options; ?>
                </select>

              </div>
              
<!--             </div> -->
<!--  -->
<!--             <div class="input-group autoimages" style="height:32px"> -->

              <div class="input-group-addon" style=" text-align: right;width:10%">
    
                <label for="artiststyle">Style</label>

              </div>

              <div class="input-group-addon" style="width: 40%;padding-right: 24px;">
    
                <select id="artiststyle" name="artiststyle" class="form-control" style="width:100%">
                <?php echo $stylz_options; ?>
                </select>

              </div>
              
            </div>

            <div class="input-group selectimages" style="height: 32px;display:none">

              <div class="input-group-addon" style="width:132px;text-align: right;">
    
                <input type="checkbox" class="form-control" id="chkselectimages" value="1" onchange="switchImageSrc(this);" style="
                    float: right;
                ">

              </div>

              <div class="input-group-addon" style="width: 301px;padding-right: 24px;text-align: left;">
    
                <label for="chkautoimages">Choose Images from Media Library</label>

              </div>
             
              <div class="input-group-addon" style="text-align: left;width: 50%;">
    
                <button id="c_openimages" class="set_custom_images button"><span>Open Media Browser</span></button>

              </div>
              
            </div>

            <div class="input-group selectimages" style="width: 100%;display:none">

              <div class="input-group-addon" style="width: 100%;padding-right: 24px;">
    
                <div id="c_imgholder"></div>

              </div>
              
            </div>

            <div class="input-group" style="    width: 100%;">

              <div class="input-group-addon" style="width: 20%; text-align:right">

                <div style="font-size:18px;font-weight:600">Schedule:</div>

              </div>


              <div class="input-group-addon" style="width: 20%; ">

                <input type="radio" name="c_schedule" id="c_schedule_daily" value="1" checked/>

                <label for="c_schedule_daily">Daily</label>

              </div>

              <div class="input-group-addon" style="width: 20%; ">

                <input type="radio" name="c_schedule" id="c_schedule_2xdaily" value="2"/>

                <label for="c_schedule_2xdaily">2X Daily</label>

              </div>

              <div class="input-group-addon" style="width: 20%; ">

                <input type="radio" name="c_schedule" id="c_schedule_weekly" value="3"/>

                <label for="c_schedule_weekly">Weekly</label>

              </div>

              <div class="input-group-addon" style="width: 20%; ">

                <input type="radio" name="c_schedule" id="c_schedule_monthly" value="4"/>

                <label for="c_schedule_monthly">Monthly</label>

              </div>

            </div>

            <div class="input-group featurestocome" style=" width: 100%;padding-top:24px;">

              <div class="input-group-addon" style="width: 25%;">

                <input type="checkbox" id="c_chksunday" name="c_chksunday" value="sunday" class="c_chkweekdays" checked/>

                <label for="c_chksunday">Sunday</label>

              </div>

              <div class="input-group-addon" style="width: 25%;">

                <input type="checkbox" id="c_chkmonday" name="c_chkmonday" value="monday" class="c_chkweekdays" checked/>

                <label for="c_chkmonday">Monday</label>

              </div>

              <div class="input-group-addon" style="width: 25%;">

                <input type="checkbox" id="c_chktuesday" name="c_chktuesday" value="tuesday" class="c_chkweekdays" checked/>

                <label for="c_chktuesday">Tuesday</label>

              </div>

              <div class="input-group-addon" style="width: 25%;">

                <input type="checkbox" id="c_chkwednesday" name="c_chkwednesday" value="wednesday" class="c_chkweekdays" checked/>

                <label for="c_chkwednesday">Wednesday</label>

              </div>

            </div>

            <div class="input-group featurestocome">

              <div class="input-group-addon" style="width: 25%;">

                <input type="checkbox" id="c_chkthursday" name="c_chkthursday" value="thursday" class="c_chkweekdays" checked/>

                <label for="c_chkthursday">Thursday</label>

              </div>

              <div class="input-group-addon" style="width: 25%;">

                <input type="checkbox" id="c_chkfriday" name="c_chkfriday" value="friday" class="c_chkweekdays" checked/>

                <label for="c_chkfriday">Friday</label>

              </div>

              <div class="input-group-addon" style="width: 25%;">

                <input type="checkbox" id="c_chksaturday" name="c_chksaturday" value="saturday" class="c_chkweekdays" checked/>

                <label for="c_chksaturday">Saturday</label>

              </div>

            </div>

            <div class="col-md-12" style="width:100%;padding-top:24px;">

              <div class="col-md-6 featurestocome">
                
                <div><strong>Choose Hours:</div>
                <div>Between <select id="c_startfrom" name="c_startfrom" class="">
                <option value="00" selected>12:00 AM</option>
                <option value="01">01:00 AM</option>
                <option value="02">02:00 AM</option>
                <option value="03">03:00 AM</option>
                <option value="04">04:00 AM</option>
                <option value="05">05:00 AM</option>
                <option value="06">06:00 AM</option>
                <option value="07">07:00 AM</option>
                <option value="08">08:00 AM</option>
                <option value="09">09:00 AM</option>
                <option value="10">10:00 AM</option>
                <option value="11">11:00 AM</option>
                <option value="12">12:00 PM</option>
                <option value="13">01:00 PM</option>
                <option value="14">02:00 PM</option>
                <option value="15">03:00 PM</option>
                <option value="16">04:00 PM</option>
                <option value="17">05:00 PM</option>
                <option value="18">06:00 PM</option>
                <option value="19">07:00 PM</option>
                <option value="20">08:00 PM</option>
                <option value="21">09:00 PM</option>
                <option value="22">10:00 PM</option>
                <option value="23">11:00 PM</option>
                </select> and <select id="c_gountil" name="c_gountil" class="">
                <option value="01">01:00 AM</option>
                <option value="02">02:00 AM</option>
                <option value="03">03:00 AM</option>
                <option value="04">04:00 AM</option>
                <option value="05">05:00 AM</option>
                <option value="06">06:00 AM</option>
                <option value="07">07:00 AM</option>
                <option value="08">08:00 AM</option>
                <option value="09">09:00 AM</option>
                <option value="10">10:00 AM</option>
                <option value="11">11:00 AM</option>
                <option value="12">12:00 PM</option>
                <option value="13">01:00 PM</option>
                <option value="14">02:00 PM</option>
                <option value="15">03:00 PM</option>
                <option value="16">04:00 PM</option>
                <option value="17">05:00 PM</option>
                <option value="18">06:00 PM</option>
                <option value="19">07:00 PM</option>
                <option value="20">08:00 PM</option>
                <option value="21">09:00 PM</option>
                <option value="22">10:00 PM</option>
                <option value="23">11:00 PM</option>
                <option value="24" selected>12:00 AM</option>
                </select></div>

              </div>
              
              <div class="col-md-6 featurestocome">

                <div class="input-group">

                  <div class="input-group-addon" style="text-align:right">

                    <input type="checkbox" id="c_limitposts" name="c_limitposts" value="1"/>

                  </div>

                  <div class="input-group-addon" style="text-align:left">

                    <label for="c_limitposts">Limit Posts</label>

                  </div>

                  <div class="input-group-addon" style="text-align:right">

                    <label for="c_postslimit">Limit:</label>

                  </div>

                  <div class="input-group-addon" style="text-align:left">

                    <input id="c_postslimit" type="number" class="form-control" style="width:75px" name="c_postslimit" value=""/>

                  </div>

                </div>

              </div>

            </div>

          </div>
          <input type="hidden" id="c_srctype" name="srctype" value="0"/>
          <input type="hidden" id="c_hdncontentid" name="c_hdncontentid" value="0"/>
          <input type="hidden" id="c_hdnselectedimages" name="c_hdnselectedimages"/>
          <input type="hidden" name="action" value="the_ajax_smaiccCampaign"/>        
        
        </form>

      </div>

      <div class="modal-footer">
        <div class="notifydiv" style="display: none;text-align:center">
        <h2><span class="mymessage"></span></h2>
        <p style="font-size:16px"><span class="myexplanation"></span></p>
        </div>
        <button type="button" class="btn btn-link closeit" data-dismiss="modal">Close</button>
        <button id="btnaddsrc" class="btn btn-primary" type="button"><i class="icon-floppy-disk"></i>
        &nbsp;
        <span>Save Campaign</span></button>
      </div>
    </div>
  </div>
</div>    
<style type="text/css">
.modal-body div.input-group, .modal-body div.input-group-addon
{
border: none;
background:unset;
}
#c_imgholder
{
min-height: 9vh;
overflow: scroll;
max-height: 200px;
resize: vertical;
}
.modal-body input[type=radio]
{
  width:24px;
  height:24px;
  cursor:pointer;
  -webkit-appearance: radio;
}
.modal-body input[type=checkbox]
{
  width:24px;
  height:24px;
  cursor:pointer;
  -webkit-appearance: checkbox;
}
.autoimages
{
  width:460px;
  margin-left:auto;
  margin-right:auto;
}

</style>
<?php

  }

  public function smaicc_mediatmptsadd_2403116280348208()
  {
    $srcdir = SMAICC_PLUGIN_URL . 'images';

    $filter_options = $this->smaicc_extimgfltroptions_2403116280348208();
    $algorithm_options = $this->smaicc_extimgalgooptions_2403116280348208();
    $stylz_options = $this->smaicc_extimgstyloptions_2403116280348208();

?>
    <script type="text/html" id="tmpl-smaiccmedia">

      <div class="container" style="width:98%">

        <div class="col-md-12" style="width:96%" id="maindiv">

          <h2>Create Images with AI <span class="message" style="display:none"></span></h2>

          <form id="aiform" method="POST">

          <div class="form-group" id="aiimgcontrolsformgroup">

            <div class="input-group">

            <div class="input-group-addon freezable">

              <select id="lstcommands" name="lstcommands" style="width:256px">
                <?php echo $algorithm_options;?>

              </select>
              <br/>
            
            </div>

            <div class="input-group-addon freezable" style="width:80%">

              <input type="text" id="txtprompt" name="txtprompt" style="width:100%" value="" placeholder="Enter sentence/keyword/topic"/>
            
            </div>

          </div>

          <div class="input-group">

            <div class="input-group-addon freezable">
              <div style=";text-align:left">Filter Add-ons(optional)</div>
              <select id="imagefilter" name="imagefilter" style="width:256px;text-align:left">
              <?php echo $filter_options;?>
              </select>
            </div>

            <div class="input-group-addon freezable" style="text-align:left;min-width:200px">
              <div style=";text-align:left">Artist Style (optional)</div>
              <select style="width:100%;min-width:200px" id="artiststyle" name="artiststyle">
              <?php echo $stylz_options;?>
              </select>

            </div>
            <div class="input-group-addon  freezable" style="width:80%">

              <button style="height:54px" id="btnexecuteai" class="btn btn-success btn-lg" type="button" onclick="JAVASCRIPT:imageAiSmaicc();return false">
                <span>Execute</span>
              </button>
            
            </div>
            <div class="input-group-addon freezable" style="display:none">

              <button class="btn btn-default" type="button" id="btncloseme"><i class="icon-exit"></i> <span>close</span></button>

            </div>

          </div>

          <div style="text-align:center" id="description_span"></div>

          <div class="form-group" style="text-align:center">

            <div class="input-group">

              <div class="input-group-addon" style="width:auto"></div>

              <div class="input-group-addon" style="max-width:63px;vertical-align:middle;padding:12px">

                <img id="leftbtn" src="<?php echo $srcdir;?>/arrow-left.png" style="display:none;cursor:pointer"/>

              </div>

              <div class="input-group-addon" style="max-width:640px">
          
                <div id="imgholder">

                  <img id="imgaioutput" style="width:auto;height:360px;border: solid 1px #dddddd" src="<?php echo $srcdir;?>/questionai.png"/>

                  <div id="notification"></div>

                </div>

              </div>

              <div class="input-group-addon" style="width:63px;vertical-align:middle;padding:12px">

                <img id="rightbtn" src="<?php echo $srcdir;?>/arrow-right.png" style="display:none;cursor:pointer"/>

              </div>

              <div class="input-group-addon" style="width:auto"></div>

            </div>

          </div>
          <div style="width:100%" align="center">
            <div style="width:65%">
            
            </div>
          </div>

          <input name="action" type="hidden" value="the_ajax_smaicImageAI" />
          <input name="platform" type="hidden" value=""/>


          </form>

          <form method="POST" id="checkupdateform">
            <input type="hidden" name="action" value="the_ajax_checkSmaiccImageRequest"/>
            <input type="hidden" id="taskid" name="taskid" value=""/>
          </form>

        </div>

      </div>

    </script>

<?php
  }

	/**
	 * ####################
	 * ### WP Webhooks 
	 * ####################
	 */

	/*
	 * Register dynamically all integrations
	 * The integrations are available within core/includes/integrations.
	 * A new folder is considered a new integration.
	 *
	 * @access	public
	 * @since	0.1.1
	 *
	 * @return	void
	 */
	public function add_wp_webhooks_integrations(){

    $options = get_option('smart-ai-content-creator');

    if($options['authorized'] != 'Y')
    {
      return;
    }

    global $wpdb;
    $table_name_content = $wpdb->prefix."smaicc_content";
    $table_name_creations = $wpdb->prefix."smaicc_creations";
    //date_default_timezone_set("America/New_York");

    // get table data for campaigns
    if(isset($_REQUEST['page']) && $_REQUEST['page'] == 'smaicc-campaigns' && 
      isset($_REQUEST['action']) && $_REQUEST['action'] == 'the_ajax_getTableData')
    {

      $mainsql = $sortsql = $querysql = $limitsql = "";

      $mainsql = "SELECT * FROM ".$table_name_content." ";

      $deleted_sql = " WHERE deleted = 0 ";

      if(isset($_REQUEST['query']))
      {
        $querysql .= "WHERE nickname like %s ";
        $deleted_sql = " AND deleted = 0 ";
      }
      
      $order = "desc";
      $sort  = 'lastposted';
      
      if(isset($_REQUEST['sort']))
      {
        $sort = $_REQUEST['sort'];
      }
        
      if(isset($_REQUEST['order']))
      {
        $order = $_REQUEST['order'];
      }

      $sortsql .= "ORDER BY %s %s ";
      
      $offset = 0;
      $limit = 10;

      if(isset($_REQUEST['offset']))
      {
        $offset = $_REQUEST['offset'];
      }

      if(isset($_REQUEST['limit']))
      {
        $limit = $_REQUEST['limit'];
      }

      $limitsql .= "LIMIT %d, %d ";


      if($querysql != "")
      {
        $mainsql .= $querysql . $deleted_sql . $sortsql . $limitsql;
        $query = $wpdb->prepare($mainsql, array($query,$sort,$order,$offset,$limit));
      }
      else
      {
        $mainsql .= $deleted_sql . $sortsql . $limitsql;
        $query = $wpdb->prepare($mainsql, array($sort,$order,$offset,$limit));
      }

      //echo $sql;      

      $result = $wpdb->get_results( $query );

      //print_r($result);
      //exit;

      $tmprows = array();

      foreach($result as $row)
      {
        //print_r($row);
        $row->{'editor'} = '<button title="edit" class="btn btn-primary btn-lg editcampaign" data-campaignid="'.$row->id.'"><i class="icon-pencil"></i></button>';
        $row->{'deletor'} = '<button title="delete" class="btn btn-danger btn-lg"><i class="icon-trash"></i></button>';
        $tmprows[] = $row;
      }
      //print_r($tmprows);
      //exit;
      //die("5 ".sizeof($tmprows));

      $data = $tmprows;


      $ret = array('total'=> sizeof($data), 'rows'=>$data);

      $json = json_encode($ret);

      echo $json;

      exit;
    }
    else if(
      isset($_REQUEST['page']) && 
      ( ($_REQUEST['page'] == 'smaicc-campaigns') || ($_REQUEST['page'] == 'smaicc-writer') ) && 
      ( isset($_REQUEST['action']) && $_REQUEST['action'] == 'the_ajax_getCampaignById' && isset($_REQUEST['campaignid'])))
    {
      // get campaign by id and return by json
      $mainsql = "SELECT * FROM ".$table_name_content." WHERE id = %d";
      $query = $wpdb->prepare($mainsql,array($_REQUEST['campaignid']));
      $result = $wpdb->get_results( $query );

      foreach($result as $row)
      {
        $ret = array('result'=>'completed','campaign'=>$row);
        echo json_encode($ret);
        exit;
      }
      $ret = array('result'=>'completed','campaign'=>array());
      echo json_encode($ret);
      exit;
    }
    else if(
      isset($_REQUEST['page']) && 
       $_REQUEST['page'] == 'smaicc-posts'  && 
      ( isset($_REQUEST['action']) && $_REQUEST['action'] == 'the_ajax_getSmaiccPosts' ))
    {
      // get created posts and return by json

      $mainsql = "SELECT id, srcid, taskid, status, requrl, prompt, response, imageprompt, imageresult, category, datecreated, postid FROM ".$table_name_creations;
        
      if($_REQUEST['showerrors'] != "1")
      {
        $mainsql .= " WHERE postid > 0 ";
      }
      else
      {        
        $mainsql .= "  ";
      }

      $mainsql .= " ORDER BY ".$_REQUEST['sort']." ".$_REQUEST['order']." LIMIT ".$_REQUEST['limit'];

     // die($mainsql);
      //$query = $wpdb->prepare($mainsql,array($_REQUEST['campaignid']));
      $result = $wpdb->get_results( $mainsql );

      $tmprows = array();

      foreach($result as $row)
      {
        $postid = $row->postid;

        $thepost = get_permalink($postid);

        $row->permalink = $thepost;

        $tmprows[] = $row;
      }

      $ret = array('total'=> sizeof($tmprows), 'rows'=>$tmprows);

      $json = json_encode($ret);

      echo $json;

      exit;

    }
    else if(isset($_REQUEST['page']) && $_REQUEST['page'] == 'smaicc-factoryview' && 
      isset($_REQUEST['action']) && $_REQUEST['action'] == 'the_ajax_getSilosData')
    {
      $filter = $_POST['filter'];

      $filter = " WHERE requrl like 'silo%' AND srcid=".$_REQUEST['siloid'];

      $mainsql = "SELECT id, srcid, taskid, status, requrl, prompt, response, imageprompt, imageresult, category, datecreated, postid FROM ".$table_name_creations.
      $filter.
      " ORDER BY ".$_REQUEST['sort']." ".$_REQUEST['order']." LIMIT ".$_REQUEST['limit'];
     // die($mainsql);
      //$query = $wpdb->prepare($mainsql,array($_REQUEST['campaignid']));
      $result = $wpdb->get_results( $mainsql );

      $ret = array('total'=> sizeof($result), 'rows'=>$result);

      $json = json_encode($ret);

      echo $json;

      exit;

    }
    else if(isset($_REQUEST['page']) && $_REQUEST['page'] == 'smaicc-factoryview' && 
      isset($_REQUEST['action']) && $_REQUEST['action'] == 'the_ajax_getSiloDetails')
    {
      $filter = $_POST['filter'];

      $mainsql = "SELECT id, srcid, taskid, status, requrl, prompt, response, imageprompt, imageresult, category, datecreated, postid FROM ".$table_name_creations.
      $filter.
      " ORDER BY ".$_REQUEST['sort']." ".$_REQUEST['order']." LIMIT ".$_REQUEST['limit'];
     // die($mainsql);
      //$query = $wpdb->prepare($mainsql,array($_REQUEST['campaignid']));
      $result = $wpdb->get_results( $mainsql );

      $ret = array('total'=> sizeof($result), 'rows'=>$result);

      $json = json_encode($ret);

      echo $json;

      exit;

    }


    $this->smaicc_extimgmodels_2403116280348208();

    if((isset($options['smartaicampaigns_validated']) && $options['smartaicampaigns_validated'] == 'Y' && 
        isset($options['smartaicampaignson']) && $options['smartaicampaignson'] == 'Y')||$options['mgrlvl']=="9")
    {
      if(rand(0,1) == 0)
      {
        $this->smaicc_execcrnpst_2403116280348208();
      }
      else
      {
        $this->smaicc_PPAP_2403116280348208();
      }
    }
    else if(isset($options['silofactory_validated']) && $options['silofactory_validated'] == 'Y'||$options['mgrlvl']=="9")
    {
      $this->smaicc_PPAP_2403116280348208();
    }

//		// Abort if WP Webhooks is not active
//		if( ! function_exists('WPWHPRO') ){
//			return;
//		}
//
//		$custom_integrations = array();
//		$folder = SMAICC_PLUGIN_DIR . 'core' . DIRECTORY_SEPARATOR . 'includes' . DIRECTORY_SEPARATOR . 'integrations';
//
//		try {
//			$custom_integrations = WPWHPRO()->helpers->get_folders( $folder );
//		} catch ( Exception $e ) {
//			WPWHPRO()->helpers->log_issue( $e->getTraceAsString() );
//		}
//
//		if( ! empty( $custom_integrations ) ){
//			foreach( $custom_integrations as $integration ){
//				$file_path = $folder . DIRECTORY_SEPARATOR . $integration . DIRECTORY_SEPARATOR . $integration . '.php';
//				WPWHPRO()->integrations->register_integration( array(
//					'slug' => $integration,
//					'path' => $file_path,
//				) );
//			}
//		}
	}  

  function check_ret($ret,$return=false,$from="")
  {
    if($ret == false)
    {
      if($return == true)
      {
        return false;
      }
      $outt = array('result'=>'error','error'=>$this->g_api_error);
      echo json_encode($outt);
      exit;
    }

    if($return == true)
    {
      return true;
    }
  }

  function smaicc_extimgmodels_2403116280348208()
  {

    if( file_exists(SMAICC_PLUGIN_DIR . "core/includes/assets/files/imdl".$this->g_imgversion.".txt") && 
        @filesize(SMAICC_PLUGIN_DIR . "core/includes/assets/files/imdl".$this->g_imgversion.".txt") > 0 )
    {
      $this->g_image_models = json_decode(file_get_contents(SMAICC_PLUGIN_DIR . "core/includes/assets/files/imdl".$this->g_imgversion.".txt"));
    }
    else
    {
      $params = array();
      $params['type'] = 'general';
      $params['method'] = 'smaicc_get_image_models';
      $ret = 
        $this->smaicc_execauthCTXWEBD_2403116280348208($params);

      $this->check_ret($ret,true);

      $this->g_image_models = $ret;

      if($ret != false)
      {
        file_put_contents( SMAICC_PLUGIN_DIR . "core/includes/assets/files/imdl" . $this->g_imgversion . ".txt", json_encode( $this->g_image_models ) );
        
        if( file_exists( SMAICC_PLUGIN_DIR . "core/includes/assets/files/imdl".$this->g_previmgversion.".txt" ) )
        {
          @unlink(  SMAICC_PLUGIN_DIR . "core/includes/assets/files/imdl".$this->g_previmgversion.".txt"  );
        }

      }
    }

    if(file_exists(SMAICC_PLUGIN_DIR . "core/includes/assets/files/styl".$this->g_imgversion.".txt") && @filesize(SMAICC_PLUGIN_DIR . "core/includes/assets/files/styl".$this->g_imgversion.".txt")>0)
    {
      $this->g_art_styles = json_decode(file_get_contents(SMAICC_PLUGIN_DIR . "core/includes/assets/files/styl".$this->g_imgversion.".txt"));  
    }
    else
    {
      $params = array();
      $params['type'] = 'general';
      $params['method'] = 'smaicc_get_art_styles';
      
      $ret = 
        $this->smaicc_execauthCTXWEBD_2403116280348208($params);

      $this->check_ret($ret,true);

      $this->g_art_styles = $ret;

      if($ret != false)
      {
        file_put_contents(SMAICC_PLUGIN_DIR . "core/includes/assets/files/styl".$this->g_imgversion.".txt",json_encode($this->g_art_styles));
      }
    }

    if(file_exists(SMAICC_PLUGIN_DIR . "core/includes/assets/files/fltr".$this->g_imgversion.".txt") && @filesize(SMAICC_PLUGIN_DIR . "core/includes/assets/files/fltr".$this->g_imgversion.".txt")>0)
    {
      $this->g_image_filters = json_decode(file_get_contents(SMAICC_PLUGIN_DIR . "core/includes/assets/files/fltr".$this->g_imgversion.".txt"));  
    }
    else
    {
      $params = array();
      $params['type'] = 'general';
      $params['method'] = 'smaicc_get_image_filters';

      $ret = 
        $this->smaicc_execauthCTXWEBD_2403116280348208($params);

      $this->check_ret($ret,true);

      $this->g_image_filters = $ret;

      if($ret != false)
      {
        file_put_contents(SMAICC_PLUGIN_DIR . "core/includes/assets/files/fltr".$this->g_imgversion.".txt",json_encode($this->g_image_filters));
      }
    }

    $this->g_already_loaded = true;
  }

  function encodeURIComponent($str)
  {
    $revert = array('%21'=>'!', '%2A'=>'*', '%27'=>"'", '%28'=>'(', '%29'=>')');
    return strtr(rawurlencode($str), $revert);
  }

  function encrypt($string, $key='%key&') 
  {
      $result = '';
      for($i=0; $i<strlen($string); $i++) {
          $char = substr($string, $i, 1);
          $keychar = substr($key, ($i % strlen($key))-1, 1);
          $ordChar = ord($char);
          $ordKeychar = ord($keychar);
          $sum = $ordChar + $ordKeychar;
          $char = chr($sum);
          $result.=$char;
      }
      return base64_encode($result);
  }

  function decrypt($string, $key='%key&') 
  {
      $result = '';
      $string = base64_decode($string);
      for($i=0; $i<strlen($string); $i++) {
          $char = substr($string, $i, 1);
          $keychar = substr($key, ($i % strlen($key))-1, 1);
          $ordChar = ord($char);
          $ordKeychar = ord($keychar);
          $sum = $ordChar - $ordKeychar;
          $char = chr($sum);
          $result.=$char;
      }
      return $result;
  }

  function smaicc_execcrnpst_2403116280348208()
  {
    global $wpdb;
    $table_name_content = $wpdb->prefix."smaicc_content";
    $table_name_contentpost = $wpdb->prefix."smaicc_contentpost";
    $table_name_creations = $wpdb->prefix."smaicc_creations";
    $default_image = 'https://www.nps.gov/anti/planyourvisit/images/Pry-House.jpg';

    $current_time = strtotime( date("Y-m-d H:i:s"));

    if(WP_DEBUG==true){file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', date("Y-m-d H:i:s") . " Test entry "  .$current_time. PHP_EOL,FILE_APPEND);}
    
    $query = $wpdb->prepare( "SELECT * FROM ".$table_name_content.
                " WHERE active=%d AND deleted=%d ORDER BY lastposted ASC", array(1, 0) );

    $results = $wpdb->get_results( $query );

    if(sizeof($results)==0)
    {

      if(WP_DEBUG==true){file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', date("Y-m-d H:i:s") . " No entries found."  . PHP_EOL,FILE_APPEND);}
      return;
    }

    foreach($results as $row)
    {
      $time_to_post = "false";

      $lastposted = strtotime( $row->lastposted );

      $properties = json_decode($row->extrajson);
      $startfrom = $properties->startfrom;
      $gountil = $properties->gountil;
      $weekdays = $properties->weekdays;

      if($lastposted === 0)
      {
        // it's time
        $time_to_post = "true";

      }
      else
      {
        $schedule = $row->frequency;

        $difference = $current_time - $lastposted;
        //$difference = (time() - strtotime($lastposted));
        
        if(WP_DEBUG==true){file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 
          date("Y-m-d H:i:s") . " Difference: " . $difference  . PHP_EOL,FILE_APPEND);}

        $hours = 24; // one day

        if($schedule == 1)
        {
          $hours = 24;
        }
        else if($schedule == 2)
        {
          $hours = 12;
        }
        else if($schedule == 3)
        {
          $hours = 24 * 7;
        }
        else if($schedule == 4)
        {
          $hours = 24 * 30;
        }
        else if($schedule == 99)
        {
          $hours = .10;
        }

        $scheduletime = $hours * 3600; // seconds

        if(WP_DEBUG==true){file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', date("Y-m-d H:i:s") . 
        " schedule time: "  .$scheduletime.PHP_EOL,FILE_APPEND);}

        if( $difference > $scheduletime  )
        {
          // do a post
          $time_to_post = "true";
        }

        // TBD: filter for days and hours
      }

      $now = date("Y-m-d H:i:s",$current_time);

      $sline = " Current time: ".$now. 
               "; Last Posted: ".$lastposted. 
               "; Waiting for: ".$scheduletime.
               "; Currently: ".$difference.
               "; Time to post: ".$time_to_post.PHP_EOL;

      if(WP_DEBUG==true){file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', $sline, FILE_APPEND);}

      //return;
      //$time_to_post = "true";

      if($time_to_post == "true")
      {
        // TBD
        // creations table used to house api call status and initiate calls to unfinished business
        // stick a new api requests into the middle server.
        // the api request must target a procedure in the daemon
        // which not only grabs the content, 
        // but also creates a post on the website.

        $description = base64_decode($properties->prompt);

        $spintax = new smaicc_spntx_2403116280348208();

        $description = $spintax->process($description);
        
        $urlinprompt = $linkphrase = "";
        $whattowrite = $row->type;
        $writingstyle = $properties->poststyle;
        $category = $properties->category;

        if(isset($properties->urlinprompt) && isset($properties->linkphrase))
        {
          $urlinprompt = $spintax->process($properties->urlinprompt);
          $linkphrase = $spintax->process($properties->linkphrase);
        }

        $image_to_use = $default_image;
        $generate_algorithm = 'text2img';
        $imagefilter = '';
        $artiststyle = '';
        //echo "Images from properties: ".PHP_EOL;
        if(WP_DEBUG==true)
        {
          $debuggy = var_export($properties->images,true);
          file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 'Images from properties: '. $debuggy.PHP_EOL, FILE_APPEND);
        }
        if($properties->images != null && sizeof($properties->images) > 0)
        {
          $tmp_images = $properties->images;

          $image_to_use = array_shift($tmp_images);

          if($image_to_use != 'generate')
          {
            $properties->images = $tmp_images;
            if(isset($properties->usedimages))
            {
              $properties->usedimages[] = $image_to_use;
            }
            else
            {
              $properties->usedimages = array();
              $properties->usedimages[] = $image_to_use;
            }
            
            //echo "Using image ".$image_to_use.PHP_EOL;
            if(WP_DEBUG==true){
              $debuggy = var_export($image_to_use,true);
              file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 'Using image: '. $debuggy.PHP_EOL, FILE_APPEND);
            }
          }
          else
          {
            $parts_left = sizeof($tmp_images);
            // process auto image request
            if($parts_left-- > 0) { $generate_algorithm = array_shift($tmp_images); }
            if($parts_left-- > 0) { $imagefilter = array_shift($tmp_images); }
            if($parts_left > 0) { $artiststyle = array_shift($tmp_images); }
          }
        }
        else
        {
          $image_to_use = 'generate';
          //echo "Properties->images had no size.".PHP_EOL;
          if(WP_DEBUG==true){file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 'Properties->images had no size.'.PHP_EOL, FILE_APPEND);}
        }

        $data = array();

        //$data['image_to_use'] = $image_to_use;
        $data['description'] = $description;
        $data['whattowrite'] = $whattowrite;
        $data['writingstyle'] = $writingstyle;
        $data['urlinprompt'] = $urlinprompt;
        $data['linkphrase'] = $linkphrase;
        $data['method']  = 'smaicc_get_text';
        $data['platform'] = 'openai';

        $guidbase = '_' . uniqid() . '_' . time();
        $guid =  'auto_' . $guidbase;
        $imageguid = 'autoimage' . $guidbase;
        $data['guid'] = $guid;

        $data['type'] = 'text';

        //var_dump($data);
        //die("ok2");

        $ret = 
          $this->smaicc_execauthCTXWEBD_2403116280348208($data, true);

        if(WP_DEBUG==true){
          $debuggy = var_export($ret,true);
          file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 'Ret from mid: '. $debuggy.PHP_EOL, FILE_APPEND);
        }

        if($ret != false)
        {
          if($image_to_use != $default_image && $image_to_use != 'generate')
          {
            // save the images arrays
            $where = [ 'id' => $row->id ];
            $input = array( 'extrajson'=>json_encode($properties));
            $format = array('%s');
            $wpdb->update( $table_name_content, $input, $where );
          }
          // get the returned data
          $obj = json_decode($ret);

          $taskid = $obj->taskid;
          $status = $obj->smaicc_get_text;

          $user_id = $row->userid;

          // just insert into creations table,
          // checking will be in different process.

          $vars = array('srcid'=>$row->id,
                        'taskid'=>$taskid,
                        'userid'=>$user_id,
                        'status'=>1,//
                        'requrl'=>$guid,
                        'imageguid'=>$imageguid,
                        'imageprompt'=>'auto',
                        'imagecommand'=>$generate_algorithm,//
                        'imagefilter'=>$imagefilter,
                        'artiststyle'=>$artiststyle,
                        'prompt'=>$description,
                        'datecreated'=>$now,
                        'lastupdated'=>$now,
                        'category'=>$category,
                        'imageresult'=>$image_to_use);

          $format = array("%d","%d","%d","%d",
                          "%s","%s","%s","%s",
                          "%s","%s","%s","%s",
                          "%s","%d","%s" );

          $wpdb->insert($table_name_creations,$vars,$format);

          $ret = $wpdb->insert_id;

          if($ret == false)
          {
            $err = $wpdb->last_error;
            
            if(WP_DEBUG==true){
            
              $debuggy = var_export($err, true);

              file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 'Result from creations: '. $debuggy, FILE_APPEND);

            }

          }

          // TBD must updated lastposted field to current date & time
          $where = [ 'id' => $row->id ];

          $newshares = $row->shares + 1;

          $input = array( 'lastposted' => date("Y-m-d H:i:s"),
                          'shares' => $newshares );

          $format = array('%s','%d');

          $ret = $wpdb->update( $table_name_content, $input, $where );

          // now another process will pick up the resulting row in creations and query the middle server for the text associated with the request

        }

      }
    }// each row
  }


  public function smaicc_execPGIR_2403116280348208()
  {
    global $wpdb;
    $taskid = $debuggy = "";
    $throttle_number = 1;
    $ran_once = 0;

    $table_name_creations = $wpdb->prefix."smaicc_creations";

    $query = $wpdb->prepare( "SELECT * FROM ".$table_name_creations.
                " WHERE status=%d and imageresult=%s order by datecreated ASC LIMIT %d", array( 2, 'generate', $throttle_number ) );

    $rows = $wpdb->get_results( $query );

    if(sizeof($rows)>0 && WP_DEBUG==true )
    {
      $debuggy = var_export($rows,true);
      file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', date("Y-m-d H:i:s") . ' Processing "generate" images block: '.$debuggy.PHP_EOL, FILE_APPEND);
    }

    foreach($rows as $row)
    {
      $guid        = $row->imageguid;
      $imageprompt = $row->imageprompt;
      $imagecommand = $row->imagecommand;
      $imagefilter = $row->imagefilter;
      $artiststyle = $row->artiststyle;
      $data = array();
      $data['command'] = 'text2img';
      $data['artiststyle'] = '';
      $data['imagefilter'] = '0';

      $method = 'smaicc_request_image';

      if(isset($imagecommand) && $imagecommand != null && $imagecommand != "")
      {
        $data['command'] = $imagecommand;
      }

      if(isset($imagefilter) && $imagefilter != "0")
      {
        $data['imagefilter'] = $imagefilter;
      }

      if(isset($artiststyle) && $artiststyle != "")
      {
        $data['artiststyle'] = $artiststyle;
      }
       
      $data['guid']    = $guid;
      $data['aspect']  = 'square';//$_POST['aspect'];
      $data['prompt']  = $imageprompt;
      $data['method']  = $method;
      $data['type'] = 'image';

      $ret = 
        $this->smaicc_execauthCTXWEBD_2403116280348208($data, true); 

      $debuggy = var_export($ret,true);

      $where = [ 'id' => $row->id ];

      if($ret == false)
      {
        $input = array('imageresult'=>'error','lastupdated'=>date("Y-m-d H:i:s"));
        $t = $wpdb->update( $table_name_creations, $input, $where );

      }
      else
      {      
        $input = array('imageresult'=>'pending','lastupdated'=>date("Y-m-d H:i:s"));
        $t = $wpdb->update( $table_name_creations, $input, $where );
      }
      if(WP_DEBUG==true){
        file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', date("Y-m-d H:i:s") . ' Generating image for: '.$imageprompt.PHP_EOL.$debuggy.PHP_EOL, FILE_APPEND);
      }
      $ran_once++;

    }

  }

  public function smaicc_execPPIR_2403116280348208()
  {
    global $wpdb;
    $taskid = $debuggy = "";
    $throttle_number = 1;
    $ran_once = 0;

    $table_name_creations = $wpdb->prefix . 'smaicc_creations';

    $query = $wpdb->prepare( "SELECT * FROM ".$table_name_creations.
                " WHERE status=%d and imageresult=%s order by datecreated DESC LIMIT %d", array( 2, 'pending', $throttle_number ) );

    $rows = $wpdb->get_results( $query );

    if(sizeof($rows)>0)
    {
      if(WP_DEBUG==true){
      $debuggy = var_export($rows,true);
      file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', date("Y-m-d H:i:s") . ' Processing "pending" images block: '.$debuggy.PHP_EOL, FILE_APPEND);
      }
    }

    foreach($rows as $row)
    {
      $imageguid = $row->imageguid;

      $user_id = $row->userid;

      $where = [ 'id' =>$row->id ];

      if(WP_DEBUG==true){
        file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', date("Y-m-d H:i:s") . ' Image pending. guid: '.$imageguid.PHP_EOL, FILE_APPEND);
      }

      $params = array('guid'=>$imageguid,'method'=>'check_image_task_request_completion_by_guid','type'=>'general');

      $obj = $this->smaicc_execauthCTXWEBD_2403116280348208($params);

      if($obj == false || $obj == null || $obj->status == 3)
      {
        if(WP_DEBUG==true){
        ob_start();
        var_dump($obj);
        $debuggy = ob_get_clean();

          file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', date("Y-m-d H:i:s") . ' Result from check guid image: '.$debuggy.PHP_EOL, FILE_APPEND);
        }

        $input = array('imageresult'=>'generate');
        $t = $wpdb->update( $table_name_creations, $input, $where );

        continue;
      }
      else if($obj->status == 1)
      {// wait sleep cycle and start again

        continue;

      }
      else if($obj->status == 2)
      {
        require_once( ABSPATH . 'wp-admin/includes/file.php' );

        $upload_path = $upload_url = "";

        $upload_dir = wp_upload_dir();

        if ( wp_mkdir_p( $upload_dir['path'] ) ) 
        {
          $upload_path = $upload_dir['path']; 
        }
        else 
        {
          $upload_path = $upload_dir['basedir'];
        }

        $result = json_decode($obj->result);

        $pathparts = pathinfo($result->mainimage);
        $thefilename = $pathparts['filename'];
        $basename = $pathparts['basename'];
        $theext = $pathparts['extension'];

        /****************************/
        /******* MAIN IMAGE DEEPAI **/

        $file_to_download = $result->mainimage;

        if(substr($result->mainimage,0,4)!='http')
        {
          $file_to_download = 'https://ai.iccexpress.net' . $result->mainimage;
        }

        $mi = $this->smaicc_PMLA_2403116280348208($file_to_download,$row->imageprompt);

        // MAIN IMAGE DEALT WITH. NOW SUBIMAGES

        $idx = 1;

        $subimages = array();

        $files_to_choose_from = array();
        
        foreach($result->subimages as $subimage)
        {
          $file_to_download = $subimage;

          $prts = pathinfo($file_to_download);

          $myext = $prts['extension'];

          if(substr($subimage,0,4)!='http')
          {
            $file_to_download = 'https://ai.iccexpress.net' . $subimage;
          }

          $subimage = $this->smaicc_PMLA_2403116280348208($file_to_download,$row->imageprompt);
          if(WP_DEBUG==true){
          file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 
                 date("Y-m-d H:i:s") . ' Processed subimage: '.$subimage.PHP_EOL, FILE_APPEND);
          }
          if($subimage != false)
          {
            $subimages[] = $subimage;
          }

          $idx++;

        }

        if(WP_DEBUG==true){

          $debuggy = var_export($subimages,true);

        

          file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 
                 date("Y-m-d H:i:s") . ' Collected subimages: '.$debuggy.PHP_EOL, FILE_APPEND);
        }

        $chosen_image = $subimages[rand(0,sizeof($subimages)-1)];

        // and we store it in image_to_use and proceed
        $where = [ 'id' => $row->id ];

        $input = array('imageresult'=>$chosen_image);

        $t = $wpdb->update( $table_name_creations, $input, $where );

        if(WP_DEBUG==true){
        $debuggy = var_export($t, true);

        file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 
                 date("Y-m-d H:i:s") . ' Chosen image for this content set: '.$chosen_image.PHP_EOL.$debuggy.PHP_EOL, FILE_APPEND);
        }
      }

      $ran_once++;

    }


  }  

  public function smaicc_execPPTR_2403116280348208()
  {
    global $wpdb;
    $taskid = $debuggy = "";
    $throttle_number = 1;
    $ran_once = 0;

    $table_name_creations = $wpdb->prefix . 'smaicc_creations';

    $query = $wpdb->prepare( "SELECT * FROM ".$table_name_creations.
                " WHERE status=%d order by datecreated ASC LIMIT %d", array( 1, $throttle_number ) );

    $rows = $wpdb->get_results( $query );

    if(sizeof($rows)>0 && WP_DEBUG==true)
    {
      $debuggy = var_export($rows,true);
      file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', date("Y-m-d H:i:s") . ' Processing unfinished text block: '.$debuggy.PHP_EOL, FILE_APPEND);
    }

    foreach($rows as $row)
    {
      $taskid = $row->taskid;
      $user_id = $row->userid;
      $where = [ 'id' => $row->id ];

      $ret = $this->smaicc_execchkTR_2403116280348208($taskid);

      if(WP_DEBUG==true){
        $debuggy = var_export($ret,true);
        file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 'Ret: '.$debuggy.PHP_EOL, FILE_APPEND);
      }

      if(isset($ret->error))//$ret == false)
      {
        $input = array('status'=>3,'error'=>$obj->error->message,'lastupdated'=>date("Y-m-d H:i:s"));
        $t = $wpdb->update( $table_name_creations, $input, $where );
        $this->g_api_error = "";
        continue;
      }

      $imageprompt = $ret->imageprompt;

      if($imageprompt == null || $ret->title == null || $ret->body == null)
      {
        $input = array('status'=>3,'error'=>'null imageprompt','lastupdated'=>date("Y-m-d H:i:s"));
        $t = $wpdb->update( $table_name_creations, $input, $where );
        continue;
      }

      $json_to_save = json_encode($ret);
      // TBD implement image controls from silo panel

      $input = array('response'=>$json_to_save,
                     'status'=>2,
                     'imageprompt'=>$imageprompt,
                     'lastupdated'=>date("Y-m-d H:i:s"));
      
      if($row->imageresult == null || $row->imageresult == "" || substr($row->imageresult,0,4) != 'http')
      {
        $input['imageresult'] = 'generate';
      }

      $t = $wpdb->update( $table_name_creations, $input, $where );

      if(WP_DEBUG==true){
        $debuggy = var_export($t, true);

        file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 
               date("Y-m-d H:i:s") . ' Text received and image prompt set for '.$row->id.PHP_EOL.$debuggy.PHP_EOL, FILE_APPEND);      
      }
    }

  }

  public function smaicc_execPCTR_2403116280348208()
  {
    global $wpdb;

    if ( ! defined( 'WP_POST_REVISIONS' ) ) 
    {
      define( 'WP_POST_REVISIONS', true);
    }

    $taskid = $debuggy = "";
    $throttle_number = 1;
    $ran_once = 0;

    $table_name_creations = $wpdb->prefix . 'smaicc_creations';

    $query = $wpdb->prepare( "SELECT * FROM ".$table_name_creations.
                " WHERE status=%d and (requrl like %s or requrl like %s) and imageresult like %s order by datecreated ASC LIMIT %d", 
                 array( 2, 'silocontent%','auto_%', 'http%', $throttle_number ) );

    $rows = $wpdb->get_results( $query );

    if(sizeof($rows)>0 && WP_DEBUG==true)
    {
      $debuggy = var_export($rows,true);
      file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 'Processing unfinished text blocks '.PHP_EOL.$debuggy.PHP_EOL, FILE_APPEND);
    }

    foreach($rows as $row)
    {
      $where = [ 'id' => $row->id ];
      $taskid = $row->taskid;
      $user_id = $row->userid;
      $image_to_use = $row->imageresult;
      $json = $row->response;

      $ret = json_decode($json);

      if($ret == false || ! isset($ret->body) )
      {
        $input = array('status'=>1,'response'=>'');
        $ret = $wpdb->update( $table_name_creations, $input, $where );
        continue;
      }

      $body = $ret->body;
      $headline = $ret->title;
      $slug = sanitize_title($headline);
      $tags = $ret->tags;

      ///////////////////////////////

      $image_tag = '<img class="align-center size-full wp-image aligncenter" src="'.$image_to_use.'"/>';

      $paragraphs = explode($body,"\n\n");
      
      $post_body = '';
      $img_used = 0;

      $lines = explode(PHP_EOL,$body);

      $img_used = 0;
      $linecount = 0;

      foreach($lines as $line)
      {
        if($line == "")
        {
          $linecount++;
        }
      }

      $linecount--;
      $line_break_to_use = rand(1,$linecount-1);
      $linefound = 0;

      //echo PHP_EOL.PHP_EOL."Line break for image: ".$line_break_to_use.PHP_EOL.PHP_EOL;

      foreach($lines as $line)
      {
        if($line != "")
        {
          $post_body .= $line . PHP_EOL;
        }
        else
        {
          $linefound++;
          if($linefound == $line_break_to_use)
          {
            $post_body .= PHP_EOL.  $image_tag . PHP_EOL.PHP_EOL;
          }
          else
          {
            $post_body .= PHP_EOL;
          }
        }
      }

      //echo $post_body;

      $post_date = date( "Y-m-d H:i:s", current_time( 'timestamp' ));
      $post_status = "publish";
      $imageprompt = $ret->imageprompt;

      $my_post = array(
        'post_date'     => $post_date,        
        'tags_input'    => $tags
      );
      $my_post['post_author'] = $user_id;

      if(substr($row->requrl,0,11) == 'silocontent')
      {
        // must update existing post and not insert

        $my_post['ID'] = $row->postid;

        $my_post['post_content']  = 
        '<h2>' . wp_encode_emoji($headline) .  '</h2>'. PHP_EOL . wp_encode_emoji($post_body);

        $resultid = wp_update_post( $my_post, true );
      }
      else
      {
        /////////////////////////////////////////////
        // first check for duplicate in last 24 hours
        /* questionable
        $searchtitle = str_replace("'","\'",$headline);
        $searchbody = substr($post_content,0,100);
        $dupsql = "SELECT ID, post_date_gmt, CAST(post_content as VARCHAR(100)) as body from wp_posts WHERE post_title='".$searchtitle."'";
        $results = $wpdb->get_results($dupsql);
        if(sizeof($results)>0)
        {
          $thispostid = $results[0]->ID;
          $thispostdate = strtotime($results[0]->post_date_gmt);
          $thispostbody = $results[0]->body;
          $now = time();
          $howmuch = $now - $thispostdate;

          // if more recent than a couple days
          if( $howmuch <= 150000 && thispostbody == searchbody )// then grab and record post
          {
            $input = array( 'postid' => $thispostid,
                            'status' => 10,
                            'lastupdated' => date("Y-m-d H:i:s"));

            $ret = $wpdb->update( $table_name_creations, $input, $where );
            continue;
          }
        }
        */
        $post_type = 'post';
        $my_post['post_title'] = wp_strip_all_tags( wp_encode_emoji($headline) );
        $my_post['post_category'] = array( $row->category );
        $my_post['post_type'] = $post_type;
        $my_post['post_name'] = $slug;
        $my_post['post_content']  = wp_kses_post(wp_encode_emoji($post_body));
        $my_post['post_status']   = $post_status;
        $resultid = wp_insert_post( $my_post, true );
      }

      if(isset($resultid->errors))
      {
        $s = $resultid->errors;

        $error = $resultid->get_error_message();

          //$s['db_insert_error'][0];

        $dberror = $wpdb->last_error;

        $input = array( 'status' => 3,
                        'error' => $error,
                        'lastupdated' => date("Y-m-d H:i:s"));

        //$format = array('d%','%s','%s');
        
        $ret = $wpdb->update( $table_name_creations, $input, $where );
       
       if(WP_DEBUG==true){

          $etext = "WP Insert Post Error: ".$error."\nDB Error: ".$dberror;
        
          file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);
        }

      }
      else
      {
        $postid = $resultid;
        
        if(WP_DEBUG==true){
          $etext = "Attempting to set ".$image_to_use." as featured image for post id ".$postid;        
          file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);
        }
        
        $attachment_id = $this->smaicc_getattachidbyurl_2403116280348208( $image_to_use );
        
        if(WP_DEBUG==true){
          $etext = "Result from smaicc_getattachidbyurl_2403116280348208: ".$attachment_id;        
          file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);
        }
        

        if( $attachment_id )
        {
        }
        else
        {
          if(WP_DEBUG==true){
            $etext = "Attachment ".$image_to_use." not found by smaicc_getattachidbyurl_2403116280348208! attempting by guid";        
            file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);
          }

          $attachment_id = $this->smaicc_getattachidbyguid_2403116280348208($image_to_use);

          if(WP_DEBUG==true){
            $etext = "Result from smaicc_getattachidbyguid_2403116280348208: ".$attachment_id;        
            file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);
          }
        }

        if( $attachment_id )
        {
          if(WP_DEBUG==true){
            $etext = "Attachment id found: ".$attachment_id." setting as thumbnail";        
            file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);
          }

          update_post_meta( $postid, '_thumbnail_id', $attachment_id );

        }
        else
        {
          if(WP_DEBUG==true){
            $etext = "Attachment ".$image_to_use." not found by guid";        
            file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);
          }
        }
        // update status for this row

        $input = array( 'status' => 10,
                        'response' => json_encode($ret),
                        'lastupdated' => date("Y-m-d H:i:s"));

        if($row->postid == null || $row->postid == 0)
        {
          $input['postid'] = $postid;
        }

        //$format = array('d%','%s','%s');

        //$where = [ 'id' => $row->id ];

        $ret = $wpdb->update( $table_name_creations, $input, $where );

        $attachment_id = $this->smaicc_attachurltopostid_2403116280348208( $image_to_use );
      }
      //////////////////////////////
    }


  }  

  public function smaicc_PMLA_2403116280348208($image_to_download,$imageprompt)
  {
    $temp_file = download_url( $image_to_download );

    if( is_wp_error( $temp_file ) ) 
    {
      if(WP_DEBUG==true){
      file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 
             date("Y-m-d H:i:s") . ' Error downloading url: '.
             $temp_file->get_error_message().PHP_EOL, FILE_APPEND);
      }
      return false;
    }

    $file = array(
      'name'     => basename( $image_to_download ),
      'type'     => mime_content_type( $temp_file ),
      'tmp_name' => $temp_file,
      'size'     => filesize( $temp_file ),
    );

    $sideload = wp_handle_sideload(
      $file,
      array(
        'test_form'   => false // no needs to check 'action' parameter
      )
    );

    if( ! empty( $sideload[ 'error' ] ) ) 
    {
      if(WP_DEBUG==true){
      file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 
             date("Y-m-d H:i:s") . ' Error in sideload: '.
             $sideload[ 'error' ].PHP_EOL, FILE_APPEND);
      }

      return false;
    }

    $attachment_id = wp_insert_attachment(
      array(
        'guid'           => $sideload[ 'url' ],
        'post_mime_type' => $sideload[ 'type' ],
        'post_title'     => basename( $sideload[ 'file' ] ),
        'post_content'   => '',
        'post_status'    => 'inherit',
        '_wp_attachment_image_alt' => $imageprompt
      ),
      $sideload[ 'file' ]
    );

    if( is_wp_error( $attachment_id ) || ! $attachment_id ) 
    {
      $errmsg = "";
      if(is_wp_error($attachment_id))
      {
        $errmsg = $attachment_id->get_error_message();
      }
      else
      {
        $errmsg = 'No attachment id';
      }

      if(WP_DEBUG==true){
        file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 
             date("Y-m-d H:i:s") . ' Error in attachment: '.
             $errmsg.PHP_EOL, FILE_APPEND);
      }

      return false;
    }

    require_once( ABSPATH . 'wp-admin/includes/image.php' );

    wp_update_attachment_metadata(
      $attachment_id,
      wp_generate_attachment_metadata( $attachment_id, $sideload[ 'file' ] )
    );

    if(WP_DEBUG==true){
      file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 
             date("Y-m-d H:i:s") . 
      ' Main image saved. Url: '.$sideload[ 'url' ].PHP_EOL, FILE_APPEND);
    }

    return $sideload['url'];

  }
  
  public function smaicc_PPAP_2403116280348208()
  {
    $this->smaicc_execPPTR_2403116280348208();

    $this->smaicc_execPGIR_2403116280348208();

    $this->smaicc_execPPIR_2403116280348208();

    $this->smaicc_execPCTR_2403116280348208();
  }

	private function smaicc_getattachidbyguid_2403116280348208( $guid ) 
  {
		global $wpdb;

		$attachment_id = $wpdb->get_var(
			$wpdb->prepare(
				"SELECT ID FROM $wpdb->posts WHERE post_type = 'attachment' AND guid = %s LIMIT 1;",
				$guid
			)
		); // WPCS: db call ok, WPCS: cache ok.
		return (int) $attachment_id;
	}

  function smaicc_execchkLCX_2403116280348208()
  {
    global $wpdb,$post;

    $options = get_option('smart-ai-content-creator');

    $last_time = $options['timestamp'];

    $current_time = current_time( 'timestamp' );

    $difference = ($current_time - $last_time);

    if( $difference > ( 24 * 3600 ) ) // 24 hours
    {
      $plugin_data = get_plugin_data('smart-ai-content-creator');
      $version = $plugin_data['Version'];      
      $user_email = $options['user_email'];      
      $user_key = $options['user_key'];
      $llllvl = $options['mgrlvl'];

      $lcx = trim($options['user_email']) . ":" . trim($options['user_key']);

      $lcx = $this->encodeURIComponent($this->encrypt($lcx, "SMAICC"));

      $lcxurl = 'http://lcx1.web-dimensions.net/smacc/ping_16122201.php?v='.$version.'&lcx='.$lcx;

      $ch = curl_init();
      curl_setopt($ch, CURLOPT_URL, $lcxurl);
      curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
      $response_data = curl_exec($ch);
      curl_close($ch);
    
      $response_data = strval($response_data);

      $unencrypted = $this->decrypt($response_data, "SMAICC");

      //die($unencrypted);

      $parts = explode(":", $unencrypted);

      $llllvl = $parts[0];

      $license_status = $parts[1];

      $options['mgrlvl'] = $llllvl;

      if($license_status != "0")
      {
        $options['authorized'] = 'N';
        $options['smartaicampaigns_key'] = '';
        $options['smartaicampaigns_email'] = '';
        $options['smartaicampaigns_validated'] = 'N';
        $options['silofactory_key'] = '';
        $options['silofactory_email'] = '';
        $options['silofactory_validated'] = 'N';
        $options['timestamp'] = $current_time;
        
        update_option( 'smart-ai-content-creator', $options );
        
      }
      elseif($llllvl == "1" || $llllvl == "9")//strpos($response_data,"LICENSE_OK_")!==false)
      {        
        $options['authorized'] = 'Y';         
        
        $options['timestamp'] = $current_time;
        
        update_option('smart-ai-content-creator', $options);    
        if($llllvl != 9)
        {
          $this->smaicc_execchkCMPNLCX_2403116280348208();
          $this->smaicc_execchkSFLCX_2403116280348208();
        }
      }
      else
      {
        $options['authorized'] = 'N';    
        $options['smartaicampaigns_validated'] = 'N';
        $options['silofactory_validated'] = 'N';
        $options['timestamp'] = $current_time;
        
        update_option( 'smart-ai-content-creator', $options );

      }
    }
  }

  function smaicc_execchkCMPNLCX_2403116280348208()
  {
    $options = get_option('smart-ai-content-creator');

    $plugin_data = get_plugin_data('smart-ai-content-creator');
    
    $version = $plugin_data['Version'];      

    $user_email = $options['smartaicampaigns_email'];      
    $user_key = $options['smartaicampaigns_key'];

    $lcx = trim($user_email) . ":" . trim($user_key);

    $lcx = $this->encodeURIComponent($this->encrypt($lcx, "SMAICC"));

    $lcxurl = 'http://lcx1.web-dimensions.net/smacc/ping_16122201.php?v='.$version.'&lcx='.$lcx;

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $lcxurl);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $response_data = curl_exec($ch);
    curl_close($ch);
  
    $response_data = strval($response_data);

    $unencrypted = $this->decrypt($response_data, "SMAICC");

    //die($unencrypted);

    $parts = explode(":", $unencrypted);

    $llllvl = $parts[0];

    $license_status = $parts[1];

    if($license_status != "0")
    {
      $options['smartaicampaigns_validated'] = 'N';    
      $options['smartaicampaigns_key'] = '';    
      $options['smartaicampaigns_email'] = '';          
    }
    elseif($llllvl == "3")//strpos($response_data,"LICENSE_OK_")!==false)
    {        
      $options['smartaicampaigns_validated'] = 'Y';       
      $options['smartaicampaigns_key'] = $user_key;    
      $options['smartaicampaigns_email'] = $user_email;    
    }
    else
    {
      $options['smartaicampaigns_validated'] = 'N';    
      $options['smartaicampaigns_key'] = '';    
      $options['smartaicampaigns_email'] = '';       
    }

    update_option('smart-ai-content-creator', $options);                          

  }

  function smaicc_execchkSFLCX_2403116280348208()
  {
    $options = get_option('smart-ai-content-creator');

    $plugin_data = get_plugin_data('smart-ai-content-creator');
    $version = $plugin_data['Version'];      

    $user_email = $options['silofactory_email'];      
    $user_key = $options['silofactory_key'];

    $lcx = trim($user_email) . ":" . trim($user_key);

    $lcx = $this->encodeURIComponent($this->encrypt($lcx, "SMAICC"));

    $lcxurl = 'http://lcx1.web-dimensions.net/smacc/ping_16122201.php?v='.$version.'&lcx='.$lcx;

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $lcxurl);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $response_data = curl_exec($ch);
    curl_close($ch);
  
    $response_data = strval($response_data);

    $unencrypted = $this->decrypt($response_data, "SMAICC");

    //die($unencrypted);

    $parts = explode(":", $unencrypted);

    $llllvl = $parts[0];

    $license_status = $parts[1];

    if($license_status != "0")
    {
      $options['silofactory_validated'] = 'N';    
      $options['silofactory_key'] = '';    
      $options['silofactory_email'] = '';    
      
    }
    elseif($llllvl == "2")//strpos($response_data,"LICENSE_OK_")!==false)
    {        
      $options['silofactory_validated'] = 'Y';      
      $options['silofactory_key'] = $user_key;    
      $options['silofactory_email'] = $user_email;    

    }
    else
    {
      $options['silofactory_validated'] = 'N';    
      $options['silofactory_key'] = '';    
      $options['silofactory_email'] = '';    

    }
    update_option( 'smart-ai-content-creator', $options );

  }

	/**
	 * ####################
	 * ### Activation/Deactivation hooks
	 * ####################
	 */
	 
	/*
	 * This function is called on activation of the plugin
	 *
	 * @access	public
	 * @since	0.1.1
	 *
	 * @return	void
	 */
	public function activation_hook_callback(){
    global $wpdb;

    $table_name_content = $wpdb->prefix."smaicc_content";

    //die("callback");
    
    if($wpdb->get_var("show tables like '$table_name_content'") != $table_name_content) 
    {
      
      $sql="CREATE TABLE " . $table_name_content . " (
        `id` int(11) UNSIGNED NOT NULL auto_increment,
        `userid` int(11) UNSIGNED NOT NULL DEFAULT 0,
        `type` int(11) UNSIGNED NOT NULL DEFAULT '0',
        `nickname` varchar(256) NOT NULL DEFAULT '',
        `extrajson` text,
        `active` int(11) UNSIGNED NOT NULL DEFAULT '0',
        `frequency` double UNSIGNED NOT NULL DEFAULT '0',
        `introtext` varchar(2048) NOT NULL DEFAULT '',
        `hashtags` varchar(1024) NOT NULL DEFAULT '',
        `datecreated` datetime NOT NULL,
        `lastposted` datetime DEFAULT '1971-01-01 00:00:00',
        `shares` int(11) NOT NULL DEFAULT '0',
        `deleted` int(11) NOT NULL DEFAULT '0',
        PRIMARY KEY (`id`)				
      );";
      
      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    
      dbDelta($sql);

      //$sql="ALTER TABLE `" . $table_name_content . "`   MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;"
      //dbDelta($sql);
    }


    $table_name_content_post = $wpdb->prefix . "smaicc_contentpost";

    if($wpdb->get_var("show tables like '$table_name_content_post'") != $table_name_content_post) 
    {      
      $sql="CREATE TABLE " . $table_name_content_post . " (
            `id` int(11) UNSIGNED NOT NULL auto_increment,
            `postid` int(11) UNSIGNED NOT NULL,
            `taskid` int(11) UNSIGNED NOT NULL,
            `srcurl` varchar(512) NOT NULL DEFAULT '',
            `sharedurl` varchar(512) NOT NULL DEFAULT '',
            `textposted` text,
            `serializedmedia` text,
            `serializederror` text,
            `datecreated` datetime NOT NULL,
            `archived` int(11) NOT NULL DEFAULT '0',
            `lastupdated` datetime NOT NULL,
            `dateposted` datetime NOT NULL DEFAULT '1971-01-01 00:00:00',
             PRIMARY KEY (`id`)				
          );";
      
      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    
      dbDelta($sql);
    }

    $table_name_creations = $wpdb->prefix . "smaicc_creations";

    if($wpdb->get_var("show tables like '$table_name_creations'") != $table_name_creations) 
    {      
      $sql="CREATE TABLE " . $table_name_creations . " (
            `id` int(11) UNSIGNED NOT NULL auto_increment,
            `srcid` int(11) UNSIGNED NOT NULL DEFAULT 0,
            `userid` int(11) UNSIGNED NOT NULL DEFAULT 0,
            `taskid` int(11) UNSIGNED NOT NULL DEFAULT 0,
            `postid` int(11) UNSIGNED NULL DEFAULT 0,
            `status` int(11) NOT NULL DEFAULT 0,
            `requrl` varchar(512) NULL DEFAULT '',
            `imageguid` varchar(512) NULL DEFAULT '',
            `prompt` text NOT NULL DEFAULT '',
            `response` text NULL DEFAULT '',
            `imageprompt` text NULL DEFAULT '',
            `imagecommand`varchar(512) NULL DEFAULT '',
            `imagefilter` varchar(512) NULL DEFAULT '',
            `artiststyle` varchar(512) NULL DEFAULT '',
            `imageresult` varchar(1024) NULL DEFAULT '',
            `category` int(11) UNSIGNED NOT NULL DEFAULT 0,
            `error` text NULL DEFAULT '',
            `datecreated` datetime NOT NULL,
            `lastupdated` datetime NOT NULL,
            `deleted` int(11) NOT NULL DEFAULT '0',
             PRIMARY KEY (`id`)				
          );";
      
      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    
      dbDelta($sql);

    }

    $table_name_silos = $wpdb->prefix."smaicc_silos";

    //die("callback");
    
    if($wpdb->get_var("show tables like '$table_name_silos'") != $table_name_silos) 
    {
      
      $sql="CREATE TABLE " . $table_name_silos . " (
        `id` int(11) UNSIGNED NOT NULL auto_increment,
        `type` int(11) UNSIGNED NOT NULL DEFAULT '0',
        `nickname` varchar(256) NOT NULL DEFAULT '',
        `silotext` TEXT,
        `datecreated` datetime NOT NULL,
        `lastupdated` datetime DEFAULT '1971-01-01 00:00:00',
        PRIMARY KEY (`id`)				
      );";
      
      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    
      dbDelta($sql);

      //$sql="ALTER TABLE `" . $table_name_content . "`   MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;"
      //dbDelta($sql);
    }


    $newoptions = get_option('smart-ai-content-creator');

    if($newoptions == false)
    {
      $current_time = current_time( 'timestamp' );
      $newoptions = array();
      $newoptions['authorized'] = 'N';
      $newoptions['user_email'] = '';
      $newoptions['user_key'] = '';
      $newoptions['authorized'] = 'N';
      $newoptions['smartaicampaigns_key'] = '';
      $newoptions['smartaicampaigns_email'] = '';
      $newoptions['smartaicampaigns_validated'] = 'N';
      $newoptions['silofactory_key'] = '';
      $newoptions['silofactory_email'] = '';
      $newoptions['silofactory_validated'] = 'N';
      $newoptions['timestamp'] = $current_time;
      $newoptions['mgrlvl'] = '';
      $newoptions['openaiapikey'] = '';
      $newoptions['deepaiapikey'] = '';
      $newoptions['rikuapikey'] = '';
    }

    $newoptions['timestamp'] =current_time('timestamp' );
    
    //add options						
    add_option('smart-ai-content-creator', $newoptions);
		
	}


  function smaicc_execreqtxt_2403116280348208()
  {
    $data = array();

    $data['description'] = $_POST['description'];
    $data['whattowrite'] = $_POST['whattowrite'];
    $data['writingstyle'] = $_POST['writingstyle'];
    $data['urlinprompt'] = $_POST['urlinprompt'];
    $data['linkphrase'] = $_POST['linkphrase'];
    $data['method']  = 'smaicc_get_text';
    $data['platform'] = 'openai';
    $data['type'] = 'text';
    $data['guid'] = '';

    //var_dump($data);
    //die("ok2");

    $ret = 
      $this->smaicc_execauthCTXWEBD_2403116280348208($data, true);

    $this->check_ret($ret);

    echo $ret;

    exit;

  }

//  function do_post_creation_run()
//  {
//    global $wpdb;
//
//    if(WP_DEBUG==true){file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', date("Y-m-d H:i:s") . " from do_post_creation_run() "  . PHP_EOL,FILE_APPEND);}
//
//    $options = get_option('smart-ai-content-creator');
//
//    $table_name_creations = $wpdb->prefix."smaicc_creations";
//
//    $query = $wpdb->prepare( "SELECT * FROM ".$table_name_creations.
//                " WHERE status=%d order by datecreated ASC LIMIT %d", array( 0, 1 ) );
//
//    $rows = $wpdb->get_results( $query );
//
//    $this_creation = array();
//
//    if(is_array($rows) && ! empty($rows))
//    {
//      $fnd = 0;
//      foreach($rows as $row)
//      {
//        $this_creation = $row;
//        $fnd = 1;
//        break;
//      }
//      if($fnd == 0)
//      {
//        // no posts to process
//        return false;
//      }
//    }
//
//    $where = [ 'id' => $this_creation['id'] ];
//
//    if(! isset($options['openaiapikey']) || $options['openaiapikey'] == "")
//    {
//
//      $input = array('error' => 'No api key(s)', 'lastupdated' => date("Y-m-d H:i:s") );
//
//      //$data = array('column1' => 'data one', 'column2' => 123);
//      $format = array('%s','%s');
//
//      $ret = $wpdb->update( $table_name_creations, $input, $where );
//
//      return false;
//    }
//
//    $prompt = base64_decode($this_creation['prompt']);
//
//    $api_key = $options['openaiapikey'];
//
//    $ret = execute_openai_api_call($prompt, $api_key);
//
//    if($ret == false)
//    {
//
//      return;
//    }
//
//    $title = $ret['title'];
//    $body = $ret['body'];
//    $tags = $ret['tags'];
//    $post_date = date("Y-m-d H:i:s");
//    $post_status = "publish";
//    $user_id = get_current_user_id();
//  
//    $my_post = array(
//      'post_title'    => wp_strip_all_tags( wp_encode_emoji($headline) ),
//      'post_content'  => wp_encode_emoji($content),
//      'post_date'     => $post_date,
//      'post_status'   => $post_status,
//      'tags_input'    => $tags,
//      'post_author'   => $user_id,
//      'post_category' => array( $category )
//    );
//
//    $resultid = wp_insert_post( $my_post, true );
//
//    if(isset($resultid->errors))//is_array($resultid))
//    {
//      $s = $resultid->errors;
//
//      $error = $s['db_insert_error'][0];
//
//      $dberror = $wpdb->last_error;
//     
//      $ret = array('result'=>'error','error'=>$error,'dberror'=>$dberror, 'fields'=>$my_post);
//    }
//    else
//    {
//      $updatevars = array('response'=>$ret['response'],'lastupdated'=>date("Y-m-d H:i:s"),'status'=>1);
//
//      $format = array('%s','%s','%d');
//
//      $ret = $wpdb->update( $table_name_creations, $updatevars, $where );
//
//      $ret = array('result'=>'completed','newpostid'=>$resultid);
//    }
//
//  }



  function smaicc_savapikeys_2403116280348208()
  {
    $options = get_option('smart-ai-content-creator');

    $openai = $_POST['openaiapikey'];
    $deepai = $_POST['deepaiapikey'];
    $rikuai = $_POST['rikuapikey'];

    $options['openaiapikey'] = base64_encode($openai);
    $options['deepaiapikey'] = base64_encode($deepai);
    $options['rikuapikey'] = base64_encode($rikuai);

    update_option('smart-ai-content-creator', $options);

    $ret = array('result'=>'completed');

    echo json_encode($ret);

    exit;

  }

  function smaicc_enqreqsilo_2403116280348208()
  {
    $data = array();

    if($_POST['silodetails'] == '')
    {
      echo json_encode(array('result'=>'error','error'=>'Invalid input'));
      exit;
    }

    $data['silodetails'] = $_POST['silodetails'];
    $data['method']  = 'smaicc_get_authority_silo';
    $data['platform'] = 'openai';
    $data['type'] = 'text';

    //var_dump($data);
    //die("ok2");

    $ret = 
      $this->smaicc_execauthCTXWEBD_2403116280348208($data, true);

    $this->check_ret($ret);

    echo $ret;

    exit;
  }

  function smaicc_enqchkreqsilo_2403116280348208()
  {
    $taskid = $_POST['silotaskid'];

    $params = array('taskid'=>$taskid,'method'=>'check_text_task_request_completion','type'=>'general');

    $obj = $this->smaicc_execauthCTXWEBD_2403116280348208($params);

    $this->check_ret($obj);

    if($obj->status == 3)
    {
      // error abort

      $ret = array('result'=>'error','error'=>$obj->error);
      echo json_encode($ret);
      exit;
    }
    else if($obj->status == 1)
    {
      // wait sleep cycle and start again

      $ret = array('result'=>'completed', 'status'=>'1', 'taskid'=>$taskid);

      echo json_encode($ret);

      exit;

    }
    else if($obj->status == 2)
    {
      //var_dump($obj);
      //exit;
      // eureka it's finished
      $result = json_decode($obj->result);

      $keywords = array();
      $levels = array();
      $types = array();

      foreach($result as $item)
      {
        if($item->level == 'top')
        {
          //$accum .= $item->name . '+' . PHP_EOL;

          $keywords[] = $item->name;
          $levels[] = 0;
          $types[] = "Page";

          if(isset($item->subtopics) && sizeof($item->subtopics) > 0)
          {
            foreach($item->subtopics as $subtopic)
            {
              //$accum .= '-' . $subtopic->name . '+' . PHP_EOL;
              $keywords[] =  $subtopic->name;
              $levels[] = 1;
              $types[] = "Page";
            }
          }
        }
      }

//      var_dump($obj);
//      var_dump($result);
//      die("ok");

      $ret = array('result'=>'completed','status'=>'2','keywords'=>$keywords,'levels'=>$levels,'types'=>$types);

      echo json_encode($ret);

      exit;
      
    }
  }
  
  function smaicc_enqchkreqtxt_2403116280348208()
  {
    $taskid = $_POST['texttaskid'];

    $params = array('taskid'=>$taskid,'method'=>'check_text_task_request_completion','type'=>'general');

    $obj = $this->smaicc_execauthCTXWEBD_2403116280348208($params);

    $this->check_ret($obj);

    if($obj->status == 3)
    {
      // error abort
      $errobj = json_decode($obj->result);

      if($errobj == null)
      {
        $errout = "Unknown error, please contact support.";
      }
      else
      {
        $errout = '<strong>'.$errobj->error->message.'</strong><br/>' . $errobj->error->type . ' - ' . $errobj->error->code;
      }

      $ret = array('result'=>'error','error'=>$errout);
      echo json_encode($ret);
      exit;
    }
    else if($obj->status == 1)
    {
      // wait sleep cycle and start again

      $ret = array('result'=>'completed', 'status'=>'1', 'taskid'=>$taskid);

      echo json_encode($ret);

      exit;

    }
    else if($obj->status == 2)
    {
      //var_dump($obj);
      //exit;
      // eureka it's finished
      if($task['command'] == 'get_rewrite')
      {
        $result = $obj->result;
        $ret = array('result'=>'completed','status'=>'2','rewrite'=>$result);

      }
      else
      {

        $result = json_decode($obj->result);

        //var_dump($obj);
        //var_dump($result);
        //die("ok");

        $ret = array('result'=>'completed','status'=>'2','body'=>$result->body,'title'=>$result->title,'tags'=>$result->tags,'imageprompt'=>$result->imageprompt);

      }

      echo json_encode($ret);

      exit;
      
    }
  }

  
  function smaicc_execchkTR_2403116280348208($taskid)
  {
    $params = array('taskid'=>$taskid,'method'=>'check_text_task_request_completion','type'=>'general');

    $obj = $this->smaicc_execauthCTXWEBD_2403116280348208($params);

    $this->check_ret($obj);
    $this->g_api_error = "";

    $debuggy = var_export($obj,true);

    if(WP_DEBUG==true){file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 'smaicc_execchkTR_2403116280348208: '.$debuggy.PHP_EOL, FILE_APPEND);}


    if($obj->status == 3)
    {
      // error abort
      $er = '';
      if(isset($obj->error))
      {
        $er = $obj->error;
      }

      $this->g_api_error = $er;
      return $obj;
    }
    else if($obj->status == 1)
    {
      // wait sleep cycle and start again

      return false;
    }
    else if($obj->status == 2)
    {
      // eureka it's finished
      $result = json_decode($obj->result);

      return $result;
      
    }
  }


  function smaicc_enqchkreqimg_2403116280348208()
  {
    $taskid = $_POST['taskid'];

    $params = array('taskid'=>$taskid,'method'=>'check_image_task_request_completion','type'=>'general');

    $obj = $this->smaicc_execauthCTXWEBD_2403116280348208($params);

    $this->check_ret($obj);

    if($obj->status == 3)
    {
      // error abort

      $ret = array('result'=>'error','error'=>$obj->error);
      echo json_encode($ret);
      exit;
    }
    else if($obj->status == 1)
    {
      // wait sleep cycle and start again

      $ret = array('result'=>'completed', 'status'=>'1', 'taskid'=>$taskid);

      echo json_encode($ret);

      exit;

    }
    else if($obj->status == 2)
    {
      //var_dump($obj);
      //exit;
      // eureka it's finished
      $result = json_decode($obj->result);

      //var_dump($obj);
      //var_dump($result);
      //die("ok");

      $pathparts = pathinfo($result->mainimage);
      $thefilename = $pathparts['filename'];
      $basename = $pathparts['basename'];
      $theext = $pathparts['extension'];

      $filebase = time() . '_' . $thefilename; 

      $newfile = $filebase . '.' . $theext;      

      $newfilepath = SMAICC_PLUGIN_DIR . 'images/tmp/'.$newfile;

      $file_to_download = $result->mainimage;

      if(substr($result->mainimage,0,4)!='http')
      {
        $file_to_download = 'https://ai.iccexpress.net' . $result->mainimage;
      }        

      $this->download_file($file_to_download, $newfilepath);

      $main_img_url = SMAICC_PLUGIN_URL . 'images/tmp/'.$newfile;

      $idx = 1;

      $subimages = array();

      foreach($result->subimages as $subimage)
      {
        $file_to_download = $subimage;

        $prts = pathinfo($file_to_download);

        $myext = $prts['extension'];

        if(substr($subimage,0,4)!='http')
        {
          $file_to_download = 'https://ai.iccexpress.net' . $subimage;
        }        

        $subimagefilename = $idx.'_'.$filebase . '.' . $myext;

        $newfilepath = SMAICC_PLUGIN_DIR . 'images/tmp/'.$subimagefilename;
        $newfileurl   = SMAICC_PLUGIN_URL . 'images/tmp/'.$subimagefilename;

        $this->download_file($file_to_download,$newfilepath);

        $subimages[] = $newfileurl;

        $idx++;
      }


      $ret = array('result'=>'completed','status'=>'2','mainimage'=>$main_img_url,'subimages'=>$subimages);

      echo json_encode($ret);

      exit;
      
    }
  }

  function smaicc_retcmpnbyid_2403116280348208()
  {
    global $wpdb;
    $table_name_content = $wpdb->prefix."smaicc_content";
    // get campaign by id and return by json
    $mainsql = "SELECT * FROM ".$table_name_content." WHERE id = %d";
    $query = $wpdb->prepare($mainsql,array($_REQUEST['campaignid']));
    $result = $wpdb->get_results( $query );

    foreach($result as $row)
    {
      $ret = array('result'=>'completed','campaign'=>$row);
      echo json_encode($ret);
      exit;
    }
    $ret = array('result'=>'completed','campaign'=>array());
    echo json_encode($ret);
    exit;

  }

  function smaicc_rettbldata_2403116280348208()
  {
    $data = array();
    $data[] = array('type'=>3,'nickname'=>'Fred','lastposted'=>'never','shares'=>0,'editor'=>'','deletor'=>'');
    $data[] = array('type'=>1,'nickname'=>'lkjh','lastposted'=>'never','shares'=>0,'editor'=>'','deletor'=>'');
    $data[] = array('type'=>6,'nickname'=>'bvcxvcx','lastposted'=>'never','shares'=>0,'editor'=>'','deletor'=>'');
    $data[] = array('type'=>3,'nickname'=>'pipoi','lastposted'=>'never','shares'=>0,'editor'=>'','deletor'=>'');
    $data[] = array('type'=>7,'nickname'=>'bnvcbnvc','lastposted'=>'never','shares'=>0,'editor'=>'','deletor'=>'');

    $ret = array('total'=> sizeof($data), 'rows'=>$data);

    $json = json_encode($ret);

    echo $ret;

    exit;

  }

  function smaicc_delcmpn_2403116280348208()
  {
    global $wpdb;

    $table_name_content = $wpdb->prefix . 'smaicc_content';

    $id = $_POST['idtodelete'];

    $where = [ 'id' => $id ];

    $input = array('deleted' => 1);
                    
    $format = array('%d');

    $ret = $wpdb->update( $table_name_content, $input, $where );

    $ret = array('result'=>'completed');

    echo json_encode($ret);

    exit;
  }

  function get_photo_filter_by_id($iid)
  {
    if($iid == 0)
    {
      return '';
    }

    return $this->g_image_filters[$iid-1]->name;

  }

  function smaicc_savcmpn_2403116280348208()
  {
    global $wpdb;
    // save the campaign
/*
    obj.posttype = jQuery("#c_posttype").val();
    obj.poststyle = jQuery("#c_style").val();
    obj.postprompt = jQuery("#c_prompt").val();
    obj.postschedule = schedule;
    obj.postweekdays = weekdays;
    obj.postlimited = is_limited;
    obj.postslimit = postslimit;
    obj.starttime = jQuery("c_startfrom").val();
    obj.endtime = jQuery("c_gountil").val();
*/
    $id = $_POST['c_hdncontentid'];
    $nickname = $_POST['c_nickname'];
    $category = $_POST['c_category'];
    $posttype = $_POST['c_posttype'];

    $postenabled = 0;

    if(isset($_POST['c_postenabled']))
    {
      $postenabled = 1;
    }

    $poststyle = $_POST['c_poststyle'];

    $postprompt = $_POST['c_prompt'];
    $postschedule = $_POST['c_schedule'];

    $postlimited = $_POST['c_limitposts'];
    $postslimit = $_POST['c_postslimit'];
    $starttime = $_POST['c_startfrom'];
    $endtime = $_POST['c_gountil'];

    $urlinprompt = $_POST['urlinprompt'];
    $linkphrase  = $_POST['linkphrase'];

    //$imgjson = $_POST['c_selectedimages'];
    $selectedimages = explode(",", $_POST['c_hdnselectedimages']);
    //  json_decode($imgjson);
    $usedimages = array();

    $wkdays = array('sunday','monday','tuesday','wednesday','thursday','friday','saturday');

    $weekdays = array();

    foreach($wkdays as $dy)
    {
      if(isset($_POST['c_chk'.$dy]))
      {
        $weekdays[] = $dy;
      }
    }


    $properties = array('schedule'=>$postschedule,
                        'weekdays'=>$weekdays,
                        'postlimited'=>$postlimited,
                        'postslimit'=>$postslimit,
                        'poststyle'=>$poststyle,
                        'category'=>$category,
                        'startfrom'=>$starttime,
                        'gountil'=>$endtime,
                        'images'=>$selectedimages,
                        'usedimages'=>$usedimages,
                        'urlinprompt'=>$urlinprompt,
                        'linkphrase'=>$linkphrase,
                        'prompt'=>base64_encode($postprompt));

    $extrajson = json_encode($properties);
    $thedate = date("Y-m-d H:i:s");
    $thetable = $wpdb->prefix.'smaicc_content';

    if($id == "0" || $id == "" || ! isset($id) )
    {
      //die("insert");
      //insert
      $input = array('type' => $posttype,
                      'nickname' => $nickname,
                      'userid' => get_current_user_id(),
                      'extrajson' => $extrajson,
                      'active' => $postenabled,
                      'frequency' => $postschedule,
                      'introtext' => '',
                      'hashtags' => '',
                      'datecreated' => $thedate,
                      'lastposted' => '1971-01-01 00:00:00',
                      'shares' => 0,
                      'deleted' => 0);

      //var_dump($input);
      //exit;

      $format = array('%d','%s','%d','%s','%d','%d','%s','%s','%s','%s','%d','%d');
      $wpdb->insert($thetable,$input,$format);
      $ret = $wpdb->insert_id;

      //var_dump($ret,$wpdb->last_error);
      //exit;

      if($ret !== false)
      {
        $id = $ret;
      }

    }
    else
    {
      // update
      $where = [ 'id' => $id ];
      $input = array('type' => $posttype,
                      'nickname' => $nickname,
                      'extrajson' => $extrajson,
                      'active' => $postenabled,
                      'frequency' => $postschedule,
                      //'introtext' => '',
                      //'hashtags' => '',
                      //'datecreated' => $thedate,
                      //'lastposted' => '1971-01-01 00:00:00',
                      //'shares' => 0,
                      //'deleted' => 0
                        );

      //$data = array('column1' => 'data one', 'column2' => 123);
      $format = array('%d','%s','%s','%d','%d');

      $ret = $wpdb->update( $thetable, $input, $where );
    }

    if ( false === $ret ) 
    {
      // There was an error.
      $result = array('result'=>'error','error'=>'Error reported updating/inserting to database.');

    } 
    else 
    {
        // No error. You can check updated to see how many rows were changed.
      $result = array('result'=>'completed','id'=>$id);
    }

    echo json_encode($result);

    exit;

  }


// 'id',
  function smaicc_imgssavall_2403116280348208()
  {
    $subimage_json = str_replace('\"','"',$_POST['subimages']);

    $subimages = json_decode($subimage_json);

    //var_dump($_POST['subimages'],$subimages);
    //exit;

    // TODO: save to media library

    $upload_dir = wp_upload_dir();

    if ( wp_mkdir_p( $upload_dir['path'] ) ) 
    {
      $upload_path = $upload_dir['path']; 
    }
    else 
    {
      $upload_path = $upload_dir['basedir'];
    }

    foreach($subimages as $imgpath)
    {
      //$site_address = get_site_url();

      //$file_to_copy = str_replace($site_address,'',$imgpath);
      $file_to_copy = str_replace(SMAICC_PLUGIN_URL, SMAICC_PLUGIN_DIR, $imgpath);
      
//      $file_to_copy = $imgpath;
        //SMAICC_PLUGIN_DIR . ltrim(str_replace($site_address,'',$imgpath),'/');

      $basename = basename( $imgpath );

      $newfilepath  = $upload_path . '/' . $basename;

      //echo "Would copy file ".$file_to_copy." to file ".$newfilepath.PHP_EOL;
      //exit;

      copy($file_to_copy, $newfilepath);

      $wp_filetype = wp_check_filetype( $newfilepath, null );

      $attachment = array(
        'post_mime_type' => $wp_filetype['type'],
        'post_title' => sanitize_file_name( $newfilepath ),
        'post_content' => '',
        'post_status' => 'inherit'
      );

      $attach_id = wp_insert_attachment( $attachment, $newfilepath );

      require_once( ABSPATH . 'wp-admin/includes/image.php' );
      $attach_data = wp_generate_attachment_metadata( $attach_id, $newfilepath );
      wp_update_attachment_metadata( $attach_id, $attach_data );

      @unlink($file_to_copy);

    }

    $ret = array('result'=>'completed');
    echo json_encode($ret);
    exit;

  }

  function smaicc_execreqimg_2403116280348208()
  {

    $options = get_option('smart-ai-content-creator');

    if(! isset($_POST['txtprompt']) || $_POST['txtprompt'] == '')
    {
      $ret = array('result'=>'error','error'=>'Invalid input');
      echo json_encode($ret);
      exit;
    }

    $imagefilter = $artiststyle = "";

    if(isset($_POST['imagefilter']) && $_POST['imagefilter'] != "" && $_POST['imagefilter'] != null && $_POST['imagefilter'] != "0")
    {
      $imagefilter = $_POST['imagefilter'];
      $imagefilter = ', ' . $this->get_photo_filter_by_id($imagefilter);
    }

    if(isset($_POST['artiststyle']) && $_POST['artiststyle'] != "" && $_POST['artiststyle'] != null && $_POST['artiststyle'] != "0")
    {
      $artiststyle = ', in the style of ' . $_POST['artiststyle'];
    }

    $input = trim($_POST['txtprompt']);

   
    $numresults = 1; // (isset($_POST['numresults'])) ?  $_POST['numresults'] : 1;

    $commandtype = $_POST['lstcommands'];

    if(isset($_POST['txtprompt']) && $_POST['txtprompt'] !='')
    {
      $prompt_content = $_POST['txtprompt'];

    }
    else
    {
      $errstring .= ' no prompt content.';
      $ret = json_encode(array('result'=>'error','error'=>'Invalid text input: '.$errstring));
      echo $ret;
      exit;
    }

    // command, guid, aspect, apikeyhash

    $data = array();
    //$data['artiststyle'] = '';
    //$data['imagefilter'] = '0';

    $method = 'smaicc_request_image';
     
    //try
    //{
    $input = $prompt_content . $artiststyle . $imagefilter;


    $data['command'] = $commandtype;
    $data['guid']    = uniqid() . '_' . time();
    $data['aspect']  = 'square';//$_POST['aspect'];
    $data['prompt']  = $input;
    $data['method']  = $method;
    $data['type'] = 'image';

    //var_dump($data);
    //die("ok2");

    $ret = 
      $this->smaicc_execauthCTXWEBD_2403116280348208($data, true);

    $this->check_ret($ret,true);

    echo $ret;
    exit;

  }

  function smaicc_schdlctx_2403116280348208()
  {
    global $wpdb;

    $tags = array();

    ////////////
    $headline = $_POST['headline'];
    $content = $_POST['output'];
    $tag_input = $_POST['tags'];
    $category = $_POST['category2'];
    $post_date = $_POST['post_date'];
    $post_type = $_POST['post_type'];

    ////////////

    if(isset($tag_input) && $tag_input != '')
    {
      if(strpos($tag_input,",") !== false)
      {
        $tags = explode(",",$tag_input);
      }
      else
      {
        $tags[] = $tag_input;
      }
    }
    
    $post_status = 'publish';
  
    if($post_date == 'now')
    {
      $post_date = '';
    }
    else 
    {
      $startDate = strtotime(date('Y-m-d', strtotime($post_date) ) );
      $currentDate = strtotime(date('Y-m-d'));
      $post_status = 'future';
    }

    $user_id = get_current_user_id();

    $my_post = array(
      'post_title'    => wp_strip_all_tags( wp_encode_emoji($headline) ),
      'post_content'  => wp_kses_post(wp_encode_emoji($content)),
      'post_date'     => $post_date,
      'post_status'   => $post_status,
      'tags_input'    => $tags,
      'post_author'   => $user_id,
      'post_type'     => $post_type,
      'post_category' => array( $category )
    );

    $resultid = wp_insert_post( $my_post, true );

    if(isset($resultid->errors))//is_array($resultid))
    {
      $s = $resultid->errors;

      $error = $s['db_insert_error'][0];

      $dberror = $wpdb->last_error;
     
      $ret = array('result'=>'error','error'=>$error,'dberror'=>$dberror, 'fields'=>$my_post);
    }
    else
    {
      $ret = array('result'=>'completed','newpostid'=>$resultid);
    }

    echo json_encode($ret);

    exit;
  }

	/**
	 * ####################
	 * ### External License Registration
	 * ####################
	 */

  function get_content($URL)
  {
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_URL, $URL);
    $data = curl_exec($ch);
    curl_close($ch);
    return $data;
  }

  function smaicc_execauthCTXWEBD_2403116280348208($params,$getraw=false)
  {
    $mykeys = array();
    
    $options = get_option('smart-ai-content-creator');

    if($params['type'] == 'image' || $params['type'] == 'text')
    {
      foreach($options as $key => $value)
      {
        if(substr($key, strlen($key) - 6, 6) == 'apikey')
        {
          $pf = str_replace('apikey','',$key);

          $mykeys[$pf] = $value;
        }
      }

      $params['mykeys'] = json_encode($mykeys);
    }

    $params['site_url'] = get_site_url();

    $user_key = $options['user_key'];

    $headers = array(
        'Content-Type: application/json',
        'X-WEBDBLOBR: Bearer ' . $user_key
    );

    $ch = curl_init();

    curl_setopt($ch, CURLOPT_URL,WEBD_MID_SERVER_PROCESSOR);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS,       http_build_query($params));
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 0); 
    curl_setopt($ch, CURLOPT_TIMEOUT, 600);
    // Receive server response ...
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $server_output = curl_exec($ch);

    //die($server_output);

    if($getraw == true)
    {
      return $server_output;
    }

    $dontlog = array('smaicc_get_image_models','smaicc_get_art_styles','smaicc_get_image_filters');

    if(! in_array($params['method'],$dontlog))
    {
      if(WP_DEBUG==true){file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 'smaicc_execauthCTXWEBD_2403116280348208 raw: '.$server_output.PHP_EOL, FILE_APPEND);}
    }

    curl_close($ch);

    $obj = json_decode($server_output);
    
    if(! in_array($params['method'],$dontlog))
    {
      if(WP_DEBUG==true){
        $debuggy = var_export($obj,true);
        file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 'smaicc_execauthCTXWEBD_2403116280348208: '.$debuggy.PHP_EOL, FILE_APPEND);
      }
    }

    if($obj == false || $obj == null)
    {
      return false;
    }

    if($obj && $obj->result=='error')
    {
      $this->g_api_error = $obj->error;
      // log error somewhere

      return false;
    }

    return $obj->{$params['method']};

  }

  function smaicc_extregcmpns_2403116280348208()
  {
    $response_data = $this->get_content('https://lcx1.web-dimensions.net/smacc/lcxvalidate.php?key='.
      $_POST['smcampaignsregisterlicensekey'] .'&email='.$_POST['smcampaignsregisterlicenseemail']);

    $response_data=strval($response_data);

    if($response_data =="NO_REGKEY")
    {
      $response_message = "Please enter your registration key.";
    }
    elseif($response_data =="NO_EMAIL")
    {
      $response_message = "Please enter your Paypal email address.";
    }
    elseif($response_data == "NO_LICENSE_LEVEL")
    {
      $response_message = "The server was unable to find the requested license.";
    }
    elseif($response_data == "NO_LICENSES_REMAINING")
    {
      $response_message = "This registration hey has already been used the maximum number or product registrations.";
    }
    elseif($response_data == "NO_KEY_MATCH_FOUND")
    {
      $response_message = "The server was unable to find the requested license.";
    }
    elseif($response_data == "NO_LICENSE_ROW_FOUND")
    {
      $response_message = "The server was unable to find the requested license.";
    }
    elseif(strpos($response_data,"LICENSE_OK_")!==false)
    {
      $license_level = str_replace("LICENSE_OK_","",$response_data);

      if($license_level != '3')
      {
        //something wrong

        $response_message = "You have entered the wrong license type for this add-on. Please research and try again.";
        
      }
      else
      {

        $options = get_option('smart-ai-content-creator');
        $options['smartaicampaigns_validated'] = 'Y';
        $options['smartaicampaigns_email'] = $_POST['smcampaignsregisterlicenseemail'];
        $options['smartaicampaigns_key'] = $_POST['smcampaignsregisterlicensekey'];

        update_option('smart-ai-content-creator', $options);
        $response_message = "You have successfully validated the Smart AI Campaigns add-on and the license has been registered.";

      }
    }

    echo $response_message;
    exit;
  }

  function smaicc_extregsilofactory_2403116280348208()
  {
    $response_data = $this->get_content('https://lcx1.web-dimensions.net/smacc/lcxvalidate.php?key='.
      $_POST['sfregisterlicensekey'] .'&email='.$_POST['sfregisterlicenseemail']);

    $response_data=strval($response_data);

    if($response_data =="NO_REGKEY")
    {
      $response_message = "Please enter your registration key.";
    }
    elseif($response_data =="NO_EMAIL")
    {
      $response_message = "Please enter your Paypal email address.";
    }
    elseif($response_data == "NO_LICENSE_LEVEL")
    {
      $response_message = "The server was unable to find the requested license.";
    }
    elseif($response_data == "NO_LICENSES_REMAINING")
    {
      $response_message = "This registration hey has already been used the maximum number or product registrations.";
    }
    elseif($response_data == "NO_KEY_MATCH_FOUND")
    {
      $response_message = "The server was unable to find the requested license.";
    }
    elseif($response_data == "NO_LICENSE_ROW_FOUND")
    {
      $response_message = "The server was unable to find the requested license.";
    }
    elseif(strpos($response_data,"LICENSE_OK_")!==false)
    {
      $license_level = str_replace("LICENSE_OK_","",$response_data);

      if($license_level != '2')
      {
        //something wrong

        $response_message = "You have entered the wrong license type for this add-on. Please research and try again.";
        
      }
      else
      {
        $options = get_option('smart-ai-content-creator');
        $options['silofactory_validated'] = 'Y';
        $options['silofactory_email'] = $_POST['sfregisterlicenseemail'];
        $options['silofactory_key'] = $_POST['sfregisterlicensekey'];

        update_option('smart-ai-content-creator', $options);
        $response_message = "You have successfully validated the Silo Factory add-on and the license has been registered.";
      }
    }

    echo $response_message;
    exit;

  }

  function smaicc_extregplgn_2403116280348208()
  {
    $response_data = $this->get_content('https://lcx1.web-dimensions.net/smacc/lcxvalidate.php?key='.$_POST['key'] .'&email='.$_POST['email']);

    $response_data=strval($response_data);

    if($response_data =="NO_REGKEY")
    {
      $response_message = "Please enter your registration key.";
    }
    elseif($response_data =="NO_EMAIL")
    {
      $response_message = "Please enter your Paypal email address.";
    }
    elseif($response_data == "NO_LICENSE_LEVEL")
    {
      $response_message = "The server was unable to find the requested license.";
    }
    elseif($response_data == "NO_LICENSES_REMAINING")
    {
      $response_message = "This registration hey has already been used the maximum number or product registrations.";
    }
    elseif($response_data == "NO_KEY_MATCH_FOUND")
    {
      $response_message = "The server was unable to find the requested license.";
    }
    elseif($response_data == "NO_LICENSE_ROW_FOUND")
    {
      $response_message = "The server was unable to find the requested license.";
    }
    elseif(strpos($response_data,"LICENSE_OK_")!==false)
    {
      $license_level = str_replace("LICENSE_OK_","",$response_data);
      $options = get_option('smart-ai-content-creator');
      $options['authorized'] = 'Y';
      $options['user_email'] = $_POST['email'];
      $options['user_key'] = $_POST['key'];
      $options['mgrlvl'] = $license_level;
      
      if(! isset($options['silofactory_validated'])){$options['silofactory_validated'] = 'N';}
      if(! isset($options['silofactory_licensekey'])){$options['silofactory_licensekey'] = '';}
      if(! isset($options['silofactory_email'])){$options['silofactory_email'] = '';}
      if(! isset($options['silofactory_enabled'])){$options['silofactory_enabled'] = 'N';}

      if(! isset($options['smartaicampaigns_validated'])){$options['smartaicampaigns_validated'] = 'N';}
      if(! isset($options['smartaicampaigns_licensekey'])){$options['smartaicampaigns_licensekey'] = '';}
      if(! isset($options['smartaicampaigns_email'])){$options['smartaicampaigns_email'] = '';}
      if(! isset($options['smartaicampaigns_enabled'])){$options['smartaicampaigns_enabled'] = 'N';}

      if(! isset($options['openaiapikey']))
      {
        $options['openaiapikey'] = '';
      }
      if(! isset($options['deepaiapikey']))
      {
        $options['deepaiapikey'] = '';
      }
      if(! isset($options['rikuapikey']))
      {
        $options['rikuapikey'] = '';
      }
      if(! isset($options['silofactoryon']))
      {
        $options['silofactoryon'] = 'N';
      }
      $options['timestamp'] = current_time( 'timestamp' );
      update_option('smart-ai-content-creator', $options);
      $response_message = "You have successfully validated and the license has been registered.";
    }

    echo $response_message;
    exit;
  }

  function smaicc_extunregplgn_2403116280348208()
  {
    global $wpdb, $post;

    $options = get_option('smart-ai-content-creator');

    $response_data = $this->get_content('https://lcx1.web-dimensions.net/smacc/unregister.php?rzkey='.$options['user_key'].'&rzemail='.$options['user_email']);

    $response_data = intval($response_data);

    if($response_data == 2)
    {
      $response_message = "There was an error unregistering the plugin.";
    }
    else
    {
      $options = get_option('smart-ai-content-creator');
      $options['authorized'] = 'N';
      $options['user_email'] = '';
      $options['user_key'] = '';
      //$options['openaiapikey'] = '';
      //$options['deepaiapikey'] = '';
//      $options['silofactory_validated'] = 'N';
//      $options['silofactory_licensekey'] = '';
//      $options['silofactory_email'] = '';
//      $options['silofactory_enabled'] = 'N';
//
//      $options['smartaicampaigns_validated'] = 'N';
//      $options['smartaicampaigns_licensekey'] = '';
//      $options['smartaicampaigns_email'] = '';
//      $options['smartaicampaigns_enabled'] = 'N';

      $options['timestamp'] = current_time( 'timestamp' );
      update_option('smart-ai-content-creator', $options);
      $response_message = "The licensing has been successfully removed from this plugin.";
    }

    if($response_message == "")
    {
      $response_message = "No response was received.";
    }

    echo $response_message;
    exit;

  }

//  function checkLicenceValidation()
//  {
//    global $wpdb,$post;
//
//    $options = get_option('smart-ai-content-creator');
//
//    if($options['authorized']=="Y")
//      return true;
//
//    return false;
//
//  }


  public function download_file($sourcefile, $destfile)
  {
    if (!file_exists($destfile))
            @unlink($destfile);

  //  $out = file_get_contents($sourcefile);
  //
  //  $file = fopen($destfile, 'w');
  //
  //  fwrite($file, $out);
  //
  //  fclose($file);


    $file = fopen($destfile, 'w');

    $ch = curl_init();

    curl_setopt($ch, CURLOPT_URL, $sourcefile);
    //curl_setopt($ch, CURLOPT_PROGRESSFUNCTION, 'progressCallback');
    curl_setopt($ch, CURLOPT_BUFFERSIZE, (1024*512));
    curl_setopt($ch, CURLOPT_NOPROGRESS, FALSE);
    curl_setopt($ch, CURLOPT_FAILONERROR, 1);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_TIMEOUT, 15);
    curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13');
    curl_setopt($ch, CURLOPT_FILE, $file);

    curl_exec($ch);
    curl_close($ch);

    fclose($file);

  }

  public function smaicc_imgsqtrs_2403116280348208($i_image)
  {  
    $pathinfo = pathinfo($i_image);

    $basename = $pathinfo['basename'];

    $size = getimagesize($i_image);

    if($size == false)
    {
      return false;
    } 

    //var_dump($size);

    $width = $size[0];

    $height = $size[1];

    $half_width = $width * 0.5;
    $half_height = $height * 0.5;

  //  var_dump($size,$width,$height,$half_width,$half_height);

    $coords = array();

    $newfiles = array();

    $coords[] = array(0,0);
    $coords[] = array($half_height, 0);
    $coords[] = array(0, $half_width);
    $coords[] = array($half_height, $half_width);

    $img = 0;

    $ext = strtolower($pathinfo['extension']);

    if($ext == 'png')
    {
      $img = imagecreatefrompng($i_image);
    }
    else if($ext == 'jpg')
    {
      $img = imagecreatefromjpeg($i_image);
    }

    for($i=0; $i<sizeof($coords); $i++)
    {
      $num = $i + 1;

      $numstr = $num . '_' . time();

      $mycoords = $coords[$i];

      $newfile = SMAICC_PLUGIN_DIR . 'images/tmp/' . $numstr . "_" . $basename;

      $img2 = imagecrop($img, ['x' => $mycoords[0], 'y' => $mycoords[1], 'width' => $half_width, 'height' => $half_height]);

      if($ext == 'png')
      {
        imagepng($img2, $newfile);
      }
      else if($ext == 'jpg')
      {
        imagejpeg($img2, $newfile);
      }

      imagedestroy($img2);

      $new_web_file = SMAICC_PLUGIN_URL . 'images/tmp/' . $numstr . "_" . $basename;

      $newfiles[] = $new_web_file;
    }

    @imagedestroy($img);

    return $newfiles;

  }

	private function smaicc_getattachidbyurl_2403116280348208( $url, $is_full_size = true ) {
		global $wpdb;

		$attachment_id = 0;

		// If it is a relative URL, convert it to an absolute URL.
		$parse_url = wp_parse_url( $url );
		if ( ! isset( $parse_url['host'] ) ) {
			if ( isset( $_SERVER['SERVER_NAME'] ) ) {
				$host = set_url_scheme( '//' . strtolower( sanitize_text_field( wp_unslash( $_SERVER['SERVER_NAME'] ) ) ) );
				$url  = rtrim( $host, '/' ) . '/' . ltrim( $parse_url['path'], '/' );
			}
		}

		$full_size_url = $url;

		if ( ! $is_full_size ) {
			// Remove the size notation (-999x999) from the URL to get the full-size URL.
			$full_size_url = preg_replace( '/(-[0-9]+x[0-9]+)(\.[^.]+){0,1}$/i', '${2}', $url );
			if ( $url === $full_size_url ) {
				// Abort because it is not a different size.
				return $attachment_id;
			}
		}

		$uploads  = wp_upload_dir();
		$base_url = $uploads['baseurl'];
		if ( strpos( $full_size_url, $base_url ) === 0 ) {
			$attached_file = str_replace( $base_url . '/', '', $full_size_url );
			$attachment_id = $wpdb->get_var(
				$wpdb->prepare(
					"SELECT post_id FROM $wpdb->postmeta WHERE meta_key = '_wp_attached_file' AND meta_value = %s LIMIT 1;",
					$attached_file
				)
			); // WPCS: db call ok, WPCS: cache ok.
		}

		return (int) $attachment_id;
	}

	private function smaicc_attachurltopostid_2403116280348208( $url ) {
		$attachment_id = $this->smaicc_getattachidbyurl_2403116280348208( $url );
		if ( ! $attachment_id ) {
			$attachment_id = $this->smaicc_getattachidbyurl_2403116280348208( $url, false );
		}
		return $attachment_id;
	}

////////////////////////////////////////////////////////////
// SILO FACTORY FUNCTIONS
////////////////////////////////////////////////////////////

  function smaicc_issubtopic_2403116280348208($line)
  {
    $subTopicIndicator = '-';

    if (substr($line, 0, 1) === $subTopicIndicator)
    {
      $line = substr($line, 1);

      return $line;
    }

    return false;
  }

  function smaicc_containslink_2403116280348208($line)
  {
    $containsLink = strpos($line, "->");

    // if -> is found then we need to create a link
    if($containsLink !== false)
    {

      $array = explode("->", $line);

      return $array[1];

    }
    return false;
  }

  function smaicc_getmainlink_2403116280348208($line)
  {
    $containsLink = strpos($line, "->");

    // if -> is found then we need to create a link
    if($containsLink !== false)
    {

      $array = explode("->", $line);

      if(!empty($array))
      {

        return $array[0];

      }

    }
    return $line;
  }

  function smaicc_itemispage_2403116280348208($line)
  {
    $plusis = strpos($line, '+');

    if($plusis !== false)
    {
      $p_mainlink = str_replace("+", "", $line);

      return $p_mainlink;
    }

    return false;

  }

  function smaicc_itemispost_2403116280348208($line)
  {
    $caretis = strpos($line, '^');

    if($caretis !== false)
    {
      $p_mainlink = str_replace("^", "", $line);

      return $p_mainlink;
    }

    return false;

  }


  function smaicc_shldcreatepostctx_2403116280348208($line)
  {
    if(strpos($line, "%") !== false)
    {
      $p_mainlink = str_replace("%", "", $line);

      return $p_mainlink;
    }

    return false;
  }

  function smaicc_execsilostruct_2403116280348208($posttextlines, $siloid, $nav_menu_name, $addToExistingSilo=false, $makeTopLevelMenusOnly=false,$keyword="",$image_options=array())
  {
    global $wpdb;
    //die($makeTopLevelMenusOnly);
    $mainObjectIndex = 0;
    $menuArray = array();
    $mainObjectArray = array();
    $content = "";
    $mainLink = "";
    $childLink = "";
    $pageLink = "";
    $isPage = false;
    $blSubTopic = false;
    $main_menu_title = "";
    $i = 0;
    $content_to_write = array();
    $last_category_id_to_put_next_post_under = 0;
    $posts_not_to_rewrite = array();

    if(empty($posttextlines))
    {
      return $menuArray;
    }

    $incomingLines = $posttextlines;

    $totalLines = sizeof($incomingLines);

    for($idx = 0; $idx < $totalLines; $idx++)
    {
      $isSubTopic = false;
      $blSubTopic = false;
      $isPage     = false;
      $isPost     = false;
      $isCategory = false;
      $mainLink   = "";
      $content    = "";

      $thisLine = trim($incomingLines[$idx]);

      $childLink = $this->smaicc_containslink_2403116280348208($thisLine);

      if($childLink !== false)
      {
        $mainLink = $this->smaicc_getmainlink_2403116280348208($thisLine);

        $thisLine = $mainLink;
      }

      $isSubTopic = $this->smaicc_issubtopic_2403116280348208($thisLine);

      if($isSubTopic !== false)
      {
        $thisLine = $isSubTopic;

        $blSubTopic = true;

        //echo "This one is a subtopic" . PHP_EOL;

        $mainLink = $this->smaicc_itemispage_2403116280348208($thisLine);

        if($mainLink !== false)
        {
          $isPage = true;
        }
        else
        {
          $mainLink = $this->smaicc_itemispost_2403116280348208($thisLine);

          if($mainLink != false)
          {
            $isPost = true;
          }
        }
      }
      else if($mainLink == "" || $mainLink == false)
      {
        $mainLink = $this->smaicc_itemispage_2403116280348208($thisLine);

        if($mainLink !== false)
        {
          $isPage = true;
          $thisLine = $mainLink;
        }
        else
        {
          $mainLink = $this->smaicc_itemispost_2403116280348208($thisLine);
          if($mainLink !== false)
          {
            $isPost = true;
            $thisLine = $mainLink;
          }
        }
      }

      //echo "Main Link: " . $mainLink . PHP_EOL;

      $mainObjectArray[$mainObjectIndex]['createPost'] = false;

      if($mainLink !== false)
      {

        $thisLine = $mainLink;

        //$isPage = true;

        //echo "It's a page and Main Link is: " . $thisLine . PHP_EOL;

      }
      else
      {
//        if($isPost == true)
//        {
//          $mainObjectArray[$mainObjectIndex]['createPost'] = true;
//        }
//        else
//        {
          $mainLink = $this->smaicc_shldcreatepostctx_2403116280348208($thisLine);

          if($mainLink !== false)
          {

            $thisLine = $mainLink;

            $mainObjectArray[$mainObjectIndex]['createPost'] = true;

          }
//      }
      }

      $mainObjectArray[$mainObjectIndex]['mainlink'] = $thisLine;

      if($isPost == true)
      {
        $mainObjectArray[$mainObjectIndex]['type'] = "post";
        $mainObjectArray[$mainObjectIndex]['createPost'] = true;
      }
      else if($isPage == true)
      {
        $mainObjectArray[$mainObjectIndex]['type'] = "page";
      }
      else
      {
        $mainObjectArray[$mainObjectIndex]['type'] = "category";
      }

      $mainObjectArray[$mainObjectIndex]['subtopic'] = $blSubTopic;

      if($childLink !== false)
      {

        $mainObjectArray[$mainObjectIndex]['childlink'] = $childLink;

      }

      $linetest = '';

      try
      {
        $linetest = trim( $incomingLines[$idx+1] );
      }
      catch(Exception $ex)
      {
       
      }

      if($linetest=="SiloFactoryContentStart")
      {
        $content = "";

        $idx+=2;

        $thisLine = $incomingLines[$idx];

        while(trim($thisLine) != "SiloFactoryContentEnd" && $idx < sizeof($incomingLines))
        {
          $content .= $thisLine;

          $idx++;

          $thisLine = $incomingLines[$idx];
        }

        $mainObjectArray[$mainObjectIndex]['content'] = html_entity_decode($content);

      }

      if(empty($mainObjectArray[$mainObjectIndex]['content']))
      {
        $content = 'autogenerate';

        $mainObjectArray[$mainObjectIndex]['content'] = $content;
        $mainObjectArray[$mainObjectIndex]['createPost'] = true;
        //$idx++;

      }
      $mainObjectIndex++;

    }

    //print_r($mainObjectArray);
    //exit;

    kses_remove_filters();

    $menuIndex = 0;
    $parent    = 0;
    $menu_category_id = 0;
    $menu_isPage = 0;
    $last_insert_category_id = 0;

    for($iidx=0; $iidx<sizeof($mainObjectArray); $iidx++)
    {
      $last_insert_post_id = 0;

      $item = $mainObjectArray[$iidx];

      if($item['mainlink'] == "")
      {
        continue;
      }

      $selected_image = '';

      if($item['subtopic']==false)
      {
        if($item['type']=="category")
        {
          $term = term_exists($item['mainlink'], 'category');

          if ($term == 0)
          {
            $menu_category_id = wp_create_category( $item['mainlink'] );

          }
          else
          {

            $existTerm = get_term_by('name', $item['mainlink'], 'category');

            $menu_category_id = $existTerm->term_id;

          }

          $parent = $menu_category_id;

          $last_category_id_to_put_next_post_under = $menu_category_id;

          $atitle = $item['mainlink'];
          $acontent = $item['content'];
          $atags = array();

          $selected_image1 = '';
          
          if( ! isset($item['content']) || $item['content']=="autogenerate" || $item['content']=="" )
          {
            $acontent = $item['mainlink'];
            $item['content'] = "autogenerate";
          }
          else
          {
            $content_object = json_decode(base64_decode($item['content']));
            if($content_object == false)
            {
              $acontent = $item['mainlink'];
              $item['content'] = "autogenerate";
            }
            else
            {
              $acontent = $content_object->body;
              if($content_object->headline != null && trim($content_object->headline) != "")
              {
                $atitle = $content_object->headline;
              }
              $atags = $content_object->tags;
              $selected_image1 = $content_object->image;
            }
          }

          $my_page = array(
          'post_title' => wp_strip_all_tags( wp_encode_emoji( $atitle )),
          'post_content' =>  wp_kses_post(wp_encode_emoji($acontent)),
          'tags_input' => $atags,
          'post_status' => 'publish',
          'post_name'  => sanitize_title( $item['mainlink']),
          'post_type' => 'post',
          'post_category'  =>array($parent)
          );

          $page_exists = $this->smaicc_getpostbytitle_2403116280348208($my_page['post_title'] );

          //print_r($page_exists);die;
          if( $page_exists == null )
          {

            // Page doesn't exist, so lets add it
            $last_insert_post_id = wp_insert_post($my_page);

          }
          else
          {
            $my_page['ID'] = $page_exists->ID;

            $last_insert_post_id = wp_update_post($my_page);

          }

          if($item['content']=="autogenerate")
          {

            $content_to_write[] = array('id'=>$last_insert_post_id,
                                        'type'=>'post',
                                        'topic'=>$item['mainlink'],
                                        'subject'=>$keyword,
                                        'category'=>$parent);
          }
          if($selected_image1 != '')
          {
            $this->smaicc_imgftrdset_2403116280348208($selected_image1, $last_insert_post_id);
          }

          $menu_isPage = 0;

        }
        else if($item['type']=="page")
        {
          $atitle = $item['mainlink'];
          $acontent = "";//$item['content'];
          $atags = array();

          $selected_image2 = '';
          
          if( ! isset($item['content']) || $item['content']=="autogenerate" || $item['content']=="" )
          {
            $acontent = $item['mainlink'];
            $item['content'] = "autogenerate";
          }
          else
          {
            $content_object = json_decode(base64_decode($item['content']));
            if($content_object == false)
            {
              $acontent = $item['mainlink'];
              $item['content'] = "autogenerate";
            }
            else
            {
              $acontent = $content_object->body;
              if($content_object->headline != null && trim($content_object->headline) != "")
              {
                $atitle = $content_object->headline;
              }
              $atags = $content_object->tags;
              $selected_image2 = $content_object->image;
            }
          }

          $my_page = array(
          'post_title' => wp_strip_all_tags( wp_encode_emoji($atitle)),
          'post_content' =>  wp_kses_post(wp_encode_emoji($acontent)),
          'post_status' => 'publish',
          'post_name'  => sanitize_title( $item['mainlink'] ),
          'post_type' => 'page'
          );

          $page_exists = @get_page_by_title( $my_page['post_title'] );

          if( $page_exists == null )
          {
            $last_insert_post_id = $child_id = wp_insert_post($my_page);
          }
          else
          {
            $last_insert_post_id = $post_id  = $page_exists->ID ;
          }

          if($item['content']=="autogenerate")
          {
            $content_to_write[] = array('id'=>$last_insert_post_id,'type'=>'page','topic'=>$item['mainlink'],'subject'=>$keyword,'category'=>0);
          }
          if($selected_image2 != '')
          {
            $this->smaicc_imgftrdset_2403116280348208($selected_image2, $last_insert_post_id);
          }

          $menu_category_id = $last_insert_post_id;

          $menu_isPage = 1;

        }

        $menuArray[$i]['category_id'] = $menu_category_id;

        $menuArray[$i]['isChild'] = 0;

        if($item['type'] == 'page')
        {
          $menuArray[$i]['isPage'] = 1;
          $menuArray[$i]['isPost'] = 0;
          $menuArray[$i]['isCat'] = 0;
        }
        else if($item['type'] == 'post')
        {
          $menuArray[$i]['isPost'] = 1;
          $menuArray[$i]['isPage'] = 0;
          $menuArray[$i]['isCat'] = 0;
        }
        else
        {
          $menuArray[$i]['isPost'] = 0;
          $menuArray[$i]['isPage'] = 0;
          $menuArray[$i]['isCat'] = 1;
        }

        $menuArray[$i]['isPage'] = $menu_isPage;

        $menuArray[$i]['thename'] = $item['mainlink'];

        $i++;

      } 
      else // s
      {
        if($item['type']=="category")
        {
          $term = term_exists($item['mainlink'], 'category');

          if ($term == 0)
          {

            $child_id = wp_create_category( $item['mainlink'], $parent );

          }
          else
          {

            $existTerm = get_term_by('name', $item['mainlink'], 'category');

            $child_id = $existTerm->term_id;

          }

          $menu_category_id = $child_id;


          $menu_isPage = 0;

          /// TBD: Should we write a post 

        } // end c       
        else if($item['type']=="post")
        {
          $headline = $body = "";
          $selected_image4 = '';
          $headline = $item['mainlink'];
          $body = $item['mainlink'];

          if(! isset($item['content']) || $item['content'] == "autogenerate" || $item['content'] == "")
          {
            $item['content'] = "autogenerate";
            $tags = array();
          }
          else
          {
            $myobj = json_decode(base64_decode($item['content']));

            if($myobj == false)
            {
              $item['content'] = "autogenerate";
              $headline = $item['mainlink'];
              $body = $item['mainlink'];
              $tags = array();
            }
            else
            {
              if($myobj->headline != null && trim($myobj->headline) != "")
              {
                $headline = $myobj->headline;
              }
              $body = $myobj->body;
              $tags = $myobj->tags;
              $selected_image4 = $myobj->image;
            }
          }

          $my_page = array(
          'post_title' => wp_strip_all_tags( wp_encode_emoji($headline)),
          'post_content' =>  wp_kses_post(wp_encode_emoji($body)),
          'post_status' => 'publish',
          'post_name'  => sanitize_title( $item['mainlink'] ),
          'post_type' => 'post',
          'tags_input' => $tags,
          'post_category' => array( $last_category_id_to_put_next_post_under )
          );

          $post_exists = $this->smaicc_getpostbytitle_2403116280348208( $my_page['post_title'] );

          if( $post_exists == null )
          {
            $last_insert_post_id = $child_id = wp_insert_post($my_page);
          }
          else
          {
            $last_insert_post_id = $post_id  = $page_exists->ID ;
          }

          if($item['content'] == 'autogenerate')
          {
            $content_to_write[] = array('id'=>$last_insert_post_id,'type'=>'post','topic'=>$item['mainlink'],'subject'=>$keyword,'category'=>$last_category_id_to_put_next_post_under);
          }
          if($selected_image4 != '')
          {
            $this->smaicc_imgftrdset_2403116280348208($selected_image4,$last_insert_post_id);
          }

          $menu_category_id = $last_insert_post_id;

          $menu_isPage = 1;


        }
        elseif($item['type']=="page")
        {
          $page_exists = get_page_by_title($item['mainlink']);

          $insert = false;

          if( $page_exists == null )
          {
            $insert = true;
          }

          $atitle = $item['mainlink'];
          $acontent = "";
          $atags = array();
          $selected_image5 = '';

          if( ! isset($item['content']) || $item['content']=="autogenerate" || $item['content']=="" )
          {
            $acontent = $item['mainlink'];
            $item['content'] = "autogenerate";
          }
          else
          {
            $content_object = json_decode(base64_decode($item['content']));

            if($content_object == false)
            {
              $acontent = $item['mainlink'];
              $item['content'] = "autogenerate";
            }
            else
            {
              $acontent = $content_object->body;
              
              if($content_object->headline != null && trim($content_object->headline) != "")
              {
                $atitle = $content_object->headline;
              }
              
              $atags = $content_object->tags;
              $selected_image5 = $content_object->image;
            }
          }

          $my_page = array(
          'post_title' =>    wp_strip_all_tags( wp_encode_emoji($atitle)),
          'post_content' =>  wp_kses_post(wp_encode_emoji($acontent)),
          'post_status' => 'publish',
          'post_name'  => sanitize_title( $item['mainlink'] ),
          'post_type' => 'page',
          'tags_input' => $atags
          );

          if($insert == true)
          {
            $last_insert_post_id = $child_id = wp_insert_post($my_page);
          }
          else
          {
            $last_insert_post_id = $page_exists->ID ;
            $my_page['ID'] = $last_insert_post_id;
            wp_update_post($my_page);

          }

          $menu_category_id = $last_insert_post_id;

          $menu_isPage = 1;

          $item['category_id'] = $menu_category_id;

          if($item['content'] == 'autogenerate')
          {
            $content_to_write[] = array('id'=>$last_insert_post_id,'type'=>'page','topic'=>$item['mainlink'],'subject'=>$keyword,'category'=>0);
          }
          if($selected_image5 != '')
          {
            $this->smaicc_imgftrdset_2403116280348208($selected_image5, $last_insert_post_id);
          }

        }

        if($makeTopLevelMenusOnly == false)
        {
          $menuArray[$i]['category_id']= $menu_category_id;

          $menuArray[$i]['isChild'] = 1;

          if($item['type'] == 'page')
          {
            $menuArray[$i]['isPage'] = 1;
            $menuArray[$i]['isPost'] = 0;
          }
          else if($item['type'] == 'post')
          {
            $menuArray[$i]['isPost'] = 1;
            $menuArray[$i]['isPage'] = 0;
          }


          $menuArray[$i]['thename'] = $item['mainlink'];

          $i++;
        }

      }
    }

    $forceNewMenu = true;

    if($addToExistingSilo !== false)
    {
      $forceNewMenu = false;
    }

    $menustuff = $this->smaicc_chkselectedmnu_2403116280348208($nav_menu_name,$forceNewMenu);
    $main_menu_title = $menustuff['name'];
    $main_menu_id = $menustuff['id'];

    $parentMenuId = 0;

    $menuIndex = 0;

    foreach($menuArray as $menu)
    {
      $menuIndex++;

      if($menu['isChild'] == 0)
      {

        if($menu['isCat'] == 1)//$menu['isPage'] == 0 && $menu['isPost'] == 0)
        {

          $parentMenuId = $this->smaicc_createmnuitm_2403116280348208($main_menu_title, $menu['category_id'], 'category', 0, $menuIndex);

        }
        else
        {
          $mytype = 'page';

          if($menu['isPage'] == 1)
          {
            $mytype = 'page';
          }
          else if($menu['isPost'] == 1)
          {
            $mytype = 'post';
          }

          $parentMenuId = $this->smaicc_createmnuitm_2403116280348208($main_menu_title, $menu['category_id'], $mytype, 0, $menuIndex, 1);

        }

      }
      else if($makeTopLevelMenusOnly == 0)
      {

        if($menu['isCat'] == 1)//$menu['isPage'] == 0 && $menu['isPost'] == 0)
        {

          $this->smaicc_createmnuitm_2403116280348208($main_menu_title, $menu['category_id'], 'category', $parentMenuId, $menuIndex);

        }
        else
        {
          $mytype = '';

          if($menu['isPage'] == 1)
          {
            $mytype = 'page';
          }
          else if($menu['isPost'] == 1)
          {
            $mytype = 'post';
          }

          $this->smaicc_createmnuitm_2403116280348208($main_menu_title, $menu['category_id'], $mytype, $parentMenuId, $menuIndex, 1);

        }

      }
    }

    //die("ok 44444");
    
    $ref_main_id = null;

//    if( ! empty( $mainObjectArray ) )
//    {
//      foreach( $mainObjectArray as $ref )
//      {
//        $ref_child_id = 0;
//
//        if(isset($ref['childlink']))
//        {
//          $ref_child_id = @get_page_by_title( trim( $ref['childlink'] ), OBJECT, 'post' )->ID;
//
//          if( $ref_child_id == null )
//          {
//            $ref_child_id = @get_page_by_title( trim( $ref['childlink'] ) )->ID;
//          }
//
//        }
//
//        if( $ref['type'] == 'post' )
//        {
//          $ref_main_id = @get_page_by_title( trim( $ref['mainlink'] ), OBJECT, 'post' )->ID;
//        }
//        elseif( $ref['type'] == 'page' )
//        {
//          $ref_main_id = @get_page_by_title( $ref['mainlink'] )->ID ;
//        }
//
//        if( $ref_main_id != null && $ref_child_id > 0)
//        {
//
//          $ref_content = get_post( $ref_main_id );
//
//          $ref_content = $ref_content->post_content .
//            "<div><a href=\"" . get_permalink( $ref_child_id ) . "\">" .
//            $ref['childlink'] . "</a></div>";
//
//          $my_post = array('ID' => $ref_main_id,  'post_content' => $ref_content);
//
//          wp_update_post( $my_post );
//
//        }
//      }
//    }

    $imagecommand = $image_options['command'];
    $imagefilter = $image_options['filter'];
    $artiststyle = $image_options['style'];

    foreach($content_to_write as $towrite)
    {
      //continue;
      $data = array();

      $whattowrite = 'Blog Post';

      if($towrite['type'] == 'post')
      {
        $whattowrite = 'Blog Post';
      }
      else if($towrite['type'] == 'page')
      {
        $whattowrite = 'Short Article';
      }

      $data['image_to_use'] = 'generate';
      $data['description'] = $towrite['topic'] . ' (as it relates to '.$towrite['subject'].')';
      $data['whattowrite'] = $whattowrite;
      $data['writingstyle'] = '';
      $data['method']  = 'smaicc_get_text';
      $data['platform'] = 'openai';
      $guidbase = '_' . $towrite['id'] . '_' . time();
      $guid =  'silocontent' . $guidbase;
      $imageguid = 'siloimage' . $guidbase;
      $data['guid'] = $guid;
      $data['type'] = 'text';

      $ret = 
        $this->smaicc_execauthCTXWEBD_2403116280348208($data, true);

      if(WP_DEBUG==true){
        $debuggy = var_export($ret,true);
        file_put_contents(SMAICC_PLUGIN_DIR . '/errors.log','Ret in text request: '.$debuggy.PHP_EOL,FILE_APPEND);
      }

      if($ret != false)
      {
        $obj = json_decode($ret);

        $taskid = $obj->taskid;
        $status = $obj->smaicc_get_text;

        $table_name_creations = $wpdb->prefix."smaicc_creations";

        $to_write_id = $towrite['id'];

        if($to_write_id == null)
        {
          $to_write_id == 0;
        }
               
        $vars = array('srcid'=>$siloid,
                      'taskid'=>$taskid,
                      'status'=>1,
                      'requrl'=>$guid,
                      'imageguid'=>$imageguid,
                      'imageprompt'=>'auto',
                      'userid'=>get_current_user_id(),
                      'prompt'=> 'Please write a '.$whattowrite.' about '.$data['description'],
                      'datecreated'=>date("Y-m-d H:i:s"),
                      'lastupdated'=>date("Y-m-d H:i:s"),
                      'category'=>$towrite['category'],
                      'imageresult'=>'generate',
                      'imagecommand'=>$imagecommand,
                      'imagefilter'=>$imagefilter,
                      'artiststyle'=>$artiststyle,
                      'postid'=>$towrite['id']);

                        //d    d    d    s    s    s    d    s    s    s    d    s    s    s    s    d
        $format = array("%d","%d","%d","%s","%s","%s","%d","%s","%s","%s","%d","%s","%s","%s","%s","%d");

        $wpdb->insert($table_name_creations,$vars,$format);

        $ret = $wpdb->insert_id;

        if($ret == false)
        {
          $err = $wpdb->last_error;

          if(WP_DEBUG==true){
            $debuggy = var_export($err, true);
            file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log', 'Result from creations: '. $debuggy, FILE_APPEND);
          }
        }

      }



    }

    kses_init_filters();

    return $menuArray;
  }

  function smaicc_chkselectedmnu_2403116280348208($i_mnulocnm,$forceANewMenu=true)
  {
    $menu_title = "";

    $hasmenu = has_nav_menu( $i_mnulocnm );

    if( $hasmenu !== false && $forceANewMenu !== true)//|| $addToExistingSilo == true )
    {
      $menu_title = $this->smaicc_getmnuname_2403116280348208( $i_mnulocnm );
    }
    else
    {
      if( $forceANewMenu !== false)
      {
        $menu_title = 'silofactory-' . time();
        $this->smaicc_createmnu_2403116280348208( $menu_title );
      }

    }

    $term = get_term_by('name', $menu_title, 'nav_menu');

    $menu_id = $term->term_id;

    set_theme_mod('nav_menu_locations', array($i_mnulocnm => $menu_id));

    $thismenu = array('name'=> $menu_title,'id'=>$menu_id);

    return $thismenu;

  }

  function smaicc_chkprimarymenu_2403116280348208($forceANewMenu=false)
  {
    $menu_title = "";

    $hasmenu = has_nav_menu( 'primary' );

    if( $hasmenu !== false && $forceANewMenu !== true)//|| $addToExistingSilo == true )
    {
      $menu_title = $this->smaicc_getmnuname_2403116280348208( 'primary' );
    }
    else
    {
      // make a new menu and stick it in the primary location

      if( $forceANewMenu !== false)
      {

        $menu_title = 'silofactoryai-' . time();

        $this->smaicc_createmnu_2403116280348208( $menu_title );

      }

    }

    $term = get_term_by('name', $menu_title, 'nav_menu');
    $menu_id = $term->term_id;

    $thismenu = array('name'=> $menu_title,'id'=>$menu_id);

    return $thismenu;


  }


  function smaicc_getmnuname_2403116280348208( $theme_location )
  {
    if( ! $theme_location ) return false;

    $theme_locations = get_nav_menu_locations();
    if( ! isset( $theme_locations[$theme_location] ) ) return false;

    $menu_obj = get_term( $theme_locations[$theme_location], 'nav_menu' );
    if( ! $menu_obj ) return false;

    if( ! isset( $menu_obj->name ) ) return false;

    return $menu_obj->name;
  }

  function smaicc_createmnu_2403116280348208($menuname,$menukey='primary')
  {
    global $post, $_SERVER, $wpdb;

    $theme = get_option('template');

    $mods = get_option("theme_mods_$theme");

    //$menukey='primary';

    // Does the menu exist already?

    $menu_exists = wp_get_nav_menu_object( $menuname );

    // If it doesn't exist, let's create it.

    if($menu_exists)
    {
      wp_delete_term($menu_exists->term_id, $menu_exists->taxonomy);
    }

    $menu_id = wp_create_nav_menu($menuname);

    $mods['nav_menu_locations'][$menukey] = $menu_id;

    update_option("theme_mods_$theme", $mods);

    $resultArray = array("msg_type"=>"success", "msg"=>"Menu created","result"=>$menu_id);

    return $resultArray;
  }


  function smaicc_createmnuitm_2403116280348208($main_menu_title, $category_id, $itype, $menu_parent_id=0, $menu_order=0)
  {
    global $wpdb;

    $mymenu = wp_get_nav_menu_object($main_menu_title);

    $menuID = (int) $mymenu->term_id;

    if($itype=='category')
    {
      $itemData =  array(
        'menu-item-object-id' => $category_id,    // page we're pointing the menu to
        'menu-item-parent-id' => $menu_parent_id, // higher level menu item if any
        'menu-item-position'  => $menu_order,     // ordinal position
        'menu-item-object'    => 'category',
        'menu-item-type'      => 'taxonomy',
        'menu-item-status'    => 'publish'
        );

      $result = wp_update_nav_menu_item($menuID, 0, $itemData);

//				$wpdb->insert(
//          $wpdb->term_relationships, 
//          array("object_id" => $result, "term_taxonomy_id" => $mymenu->term_taxonomy_id),
//          array("%d", "%d"));
    }
    else
    {
      $perma = get_permalink($category_id);

      $itemData =  array(
        'menu-item-object-id' => $category_id,    // page we're pointing the menu to
        'menu-item-parent-id' => $menu_parent_id, // higher level menu item if any
        'menu-item-position'  => $menu_order,     // ordinal position
        'menu-item-object'    => $itype,
        'menu-item-type'      => 'post_type',
        'menu-item-url' => $perma,
        'menu-item-status'    => 'publish'
        );

      $result = wp_update_nav_menu_item($menuID, 0, $itemData);

//				$wpdb->insert($wpdb->term_relationships, 
//                      array("object_id" => $result, "term_taxonomy_id" => $mymenu->term_taxonomy_id), 
//                      array("%d", "%d"));
    }

    return $result;
  }

  function smaicc_delctgry_2403116280348208()
  {

    global $wpdb,$post;

    $categories = get_categories(array('hide_empty'=> 0));

    $default_CategoryID=get_option('default_category'); //die;

    if(!empty($categories))
    {
      foreach($categories as $cat)
      {
      if($cat->count==0)
      {

        wp_delete_category($cat->cat_ID);
      }
      else
      {
        //move post to default category

        $posts_array = get_posts(array('category'=> $cat->cat_ID));

        foreach($posts_array as $post)
        {

          wp_set_post_categories( $post->ID, array($default_CategoryID)) ;

        }

        wp_delete_category($cat->cat_ID);


      }
    }

      //remove menu
      $sql = "SELECT term_id FROM $wpdb->terms where name like '%silofactory%'";

      $termArray = $wpdb->get_row( $sql );

      wp_delete_term($termArray->term_id,'nav_menu');
    }


  }

  function smaicc_getapgbytitle_2403116280348208($ititle)
  {
    $page_got_by_title = null;

    $query = new WP_Query(
      array(
          'post_type'              => 'page',
          'title'                  => $ititle,
          'post_status'            => 'all',
          'posts_per_page'         => 1,
          'no_found_rows'          => true,
          'ignore_sticky_posts'    => true,
          'update_post_term_cache' => false,
          'update_post_meta_cache' => false,
          'orderby'                => 'post_date ID',
          'order'                  => 'ASC',
      )
    );
     
    if ( ! empty( $query->post ) ) 
    {
      $page_got_by_title = $query->post;
    }
    
    return $page_got_by_title;

  }

  function smaicc_getpostbytitle_2403116280348208($page_title)
  {
    global $wpdb;

    $id = $wpdb->get_results($wpdb->prepare( "SELECT ID FROM $wpdb->posts WHERE post_title = %s AND post_type='post'",trim($page_title) )); //you can change the post type here to just look in CPTs or pages. Default is regular posts.
    if ($id)
      return $id[0]->ID;
    else
      return null;
  }

  function smaicc_smartaicmpgnsenable_2403116280348208()
  {
    $options = get_option('smart-ai-content-creator');

    if($_POST['whattodo'] == 'enable')
    {
      $options['smartaicampaignson'] = 'Y';
    }
    else if($_POST['whattodo'] == 'disable')
    {
      $options['smartaicampaignson'] = 'N';
    }

    update_option('smart-ai-content-creator', $options);		

    echo json_encode(array('result'=>'completed'));
    exit;
  }

  function smaicc_silofactoryenable_2403116280348208()
  {
    $options = get_option('smart-ai-content-creator');

    if($_POST['whattodo'] == 'enable')
    {
      $options['silofactoryon'] = 'Y';
    }
    else if($_POST['whattodo'] == 'disable')
    {
      $options['silofactoryon'] = 'N';
    }

    update_option('smart-ai-content-creator', $options);		

    echo json_encode(array('result'=>'completed'));
    exit;

  }

  function smaicc_silosave_2403116280348208()
  {
    global $wpdb;
    $silotext = $_POST['savesilotext'];
    $keyword = trim($_POST['keyword']);
    $type = $_POST['type'];

    $table_name_silos = $wpdb->prefix.'smaicc_silos';

    if(1==1)//$_POST['siloid'] == "0")
    {
      $now = date("Y-m-d H:i:s");

      //$keyword = $keyword . ' ' . time();;

      $vars = array('type'=>$type,'nickname'=>$keyword,'silotext'=>$silotext,'datecreated'=>$now,'lastupdated'=>$now);

      $format = array("%s","%s","%s","%s","%s");

      $wpdb->insert($table_name_silos,$vars,$format);

      $retid = $wpdb->insert_id;

      $ret = array('result'=>'completed','siloid'=>$retid);

      echo json_encode($ret);

      exit;
    }

    // update

    $siloid = $_POST['siloid'];

    $where = [ 'id' => $siloid ];

    $input = array( 'silotext'=>$silotext,'nickname'=>$keyword,
    'lastupdated'=>$now);

    $format = array('%s','%s');

    $wpdb->update( $table_name_silos, $input, $where );

    $ret = array('result'=>'completed');

    echo json_encode($ret);

    exit;


  }

  function smaicc_bloginitialize_2403116280348208()
  {
    global $wpdb, $post;

    /*********** 1. Delete Categories ****************/

    $categories = get_categories(array('hide_empty'=> 0));

    $default_CategoryID=get_option('default_category'); //die;

    if(!empty($categories))
    {
      foreach($categories as $cat)
      {
        if($cat->count==0)
        {
          wp_delete_category($cat->cat_ID);
        }
        else
        {
          //move post to default category

          $posts_array = get_posts(array('category'=> $cat->cat_ID));

          foreach($posts_array as $post)
          {

            wp_set_post_categories( $post->ID, array($default_CategoryID)) ;

          }

          wp_delete_category($cat->cat_ID);


        }
      }
    }

    /********* delete silo factory menus *********/
    $sql = "SELECT term_id FROM $wpdb->terms where name like '%silofactory%'";

    $termArray = $wpdb->get_row( $sql );

    wp_delete_term($termArray->term_id,'nav_menu');

    /**************** delete posts and pages ***********/

    //wp_delete_post( $postid, $force_delete );

    $get_post_args = array(
      'posts_per_page'   => 1000,
      'offset'           => 0,
      'post_type'        => 'post'
     );

    $get_page_args = array(
      'posts_per_page'   => 1000,
      'offset'           => 0,
      'post_type'        => 'page'
     );

    $postlist = get_posts( $get_post_args );
    $pagelist = get_posts( $get_page_args );

    foreach ( $postlist as $post )
    {
       wp_delete_post($post->ID, true);
    }

    foreach ( $pagelist as $page )
    {
       wp_delete_post($page->ID, true);
    }

    $resultArray=array("result"=>"completed");


    echo json_encode($resultArray);

    exit;


  }

  public function smaicc_execsilofactory_2403116280348208()
  {
    global $wpdb;

    if(! isset($_POST['siloid']) || $_POST['siloid'] == "" || $_POST['siloid'] == "0")
    {
      echo json_encode(array('result'=>'error','error'=>'Invalid input'));
      exit;
    }
    
    $siloid = $_POST['siloid'];
    //$keyword = $_POST['execsilokeyword'];

    $nav_menu_name = $_POST['navmenuselected'];
    
    $table_name_silos = $wpdb->prefix."smaicc_silos";

    $query = $wpdb->prepare("SELECT nickname, type, silotext FROM ".$table_name_silos." WHERE id=%d", $siloid );

    $results = $wpdb->get_results($query);

    $silotext = $results[0]->silotext;

    $lines = explode(PHP_EOL,$silotext);

    $lines = array_map("trim", $lines);

    $nickname = $results[0]->nickname;
    $silotype = $results[0]->type;

    $imagecommand = $_POST['imagecommand'];
    $imagefilter = $_POST['imagefilter'];
    $artiststyle = $_POST['artiststyle'];

    if($imagefilter != "" && $imagefilter != "0" && $imagefilter != 0)
    {
      $imagefilter = $this->get_photo_filter_by_id($imagefilter);
    }

    $image_options = array('command'=>$imagecommand,'filter'=>$imagefilter,'style'=>$artiststyle);

    $add_to_existing_silos = ($silotype != "1");
    $make_top_level_menus_only = ($silotype == 3);

    //var_dump($results[0]);
    //exit;

    $this->smaicc_execsilostruct_2403116280348208($lines,$siloid,$nav_menu_name,$add_to_existing_silos,$make_top_level_menus_only,$nickname,$image_options);

    $ret = array('result'=>'completed');
    echo json_encode($ret);
    exit;
  

  }

  public function smaicc_imgftrdset_2403116280348208($imgurl, $postid)
  {
    $pattern = '/-\d+[Xx]\d+\./';
    $subst = ".";

    $imgurl = preg_replace($pattern, $subst, $imgurl, 1);

    $s = "Post ID: ".$postid." Image url: ".$imgurl.PHP_EOL;

    $etext = "DATA: ".$s;        

    if(WP_DEBUG==true){file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);}

    $attachment_id = $this->smaicc_getattachidbyurl_2403116280348208( $imgurl );

    if( $attachment_id )
    {
    }
    else
    {
      if(WP_DEBUG==true){
        $etext = "Attachment ".$imgurl." not found by smaicc_getattachidbyurl_2403116280348208! attempting by guid";        
        file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);
      }

      $attachment_id = $this->smaicc_getattachidbyguid_2403116280348208($imgurl);

      if(WP_DEBUG==true){
        $etext = "Result from smaicc_getattachidbyguid_2403116280348208: ".$attachment_id;        
        file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);
      }

    }

    if( $attachment_id )
    {
      if(WP_DEBUG==true){
        $etext = "Attachment id found: ".$attachment_id." setting as thumbnail";        
        file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);
      }

      update_post_meta( $postid, '_thumbnail_id', $attachment_id );

      return true;
    }

    if(WP_DEBUG==true){
      $etext = "Attachment id not found for image url ".$imgurl;
      file_put_contents(SMAICC_PLUGIN_DIR . 'errors.log',date("Y-m-d H:i:s") . " " . $etext . PHP_EOL,FILE_APPEND);
    }

    return false;
  }

}

class smaicc_spntx_2403116280348208
{
  public function process($text)
  {
    return preg_replace_callback(
        '/\{(((?>[^\{\}]+)|(?R))*)\}/x',
        array($this, 'replace'),
        $text
    );
  }

  public function replace($text)
  {
    $text = $this->process($text[1]);
    $parts = explode('|', $text);
    return $parts[array_rand($parts)];
  }
}